const std::map<std::string, std::pair<const char*, const char*>>
AbstractSystem::ExamplesMap{
    { "ciliasun.cfdg", {
"startshape SUN\n"
"\n"
"shape SUN\n"
"{\n"
"	loop 72 [r 5]\n"
"		LINER(-3\u20263) [y 5 sat 1 b 0.3]\n"
"}\n"
"\n"
"shape LINER(number angle)\n"
"rule {\n"
"	UTRIANGLE [y 0.5 s 0.86 r 0.5]\n"
"	LINER(=) [r angle b 0.1 hue 0.1 60\n"
"		y 0.75 x 0.4330125 s 0.97]\n"
"}\n"
"rule .1 {\n"
"	LINER(-3\u20263) []\n"
"}\n"
"\n"
"path UTRIANGLE {\n"
"	MOVETO(0, -0.5)\n"
"	loop 3 [r 120] {\n"
"		CURVEREL(\n"
"			0.25, sqrt(3)/4,\n"
"			-0.05, 0.025,\n"
"			0, sqrt(3)/8\n"
"		)\n"
"		CURVEREL(\n"
"			0.25, sqrt(3)/4,\n"
"			0.25 + 0.025, sqrt(3)/4 - 0.025,\n"
"			CF::Continuous\n"
"		)\n"
"	}\n"
"	CLOSEPOLY(CF::Align)\n"
"	FILL[]\n"
"}\n"
 ,
"startshape SUN\n"
"\n"
"rule SUN {\n"
"	72* {r 5} LINER { y 5   hue 0 sat 1  b 0.3\n"
" 				|hue 60   |sat 1 |b 1 }\n"
"}\n"
"\n"
"rule LINER { LINER1 { } }\n"
"rule LINER { LINER2 { } }\n"
"rule LINER { LINER3 { } }\n"
"rule LINER { LINER4 { } }\n"
"rule LINER { LINER5 { } }\n"
"rule LINER { LINER6 { } }\n"
"\n"
"rule LINER1 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER1 { r -1 b 0.1| hue 0.1|\n"
"		y 0.75 x 0.4330125\n"
"		 s 0.97 }\n"
" }\n"
"rule LINER2 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER2 { r -2 b 0.1| hue 0.1|\n"
"		y 0.75 x 0.4330125\n"
"		 s 0.97 }\n"
" }\n"
"rule LINER3 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER3 { r -3 b 0.1| hue 0.1|\n"
"		y 0.75 x 0.4330125\n"
"		 s 0.97 }\n"
" }\n"
"rule LINER4 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER4 { r 1 b 0.1| hue 0.1|\n"
"		y 0.75 x 0.4330125\n"
"		 s 0.97 }\n"
" }\n"
"rule LINER5 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER5 { r 2 b 0.1| hue 0.1|\n"
"		y 0.75 x 0.4330125\n"
"		 s 0.97 }\n"
" }\n"
"rule LINER6 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER6 { r 3 b 0.1| hue 0.1|\n"
"		y 0.75 x 0.4330125\n"
"		 s 0.97 }\n"
" }\n"
"\n"
"rule LINER1 .1 { LINER { } }\n"
"rule LINER2 .1 { LINER { } }\n"
"rule LINER3 .1 { LINER { } }\n"
"rule LINER4 .1 { LINER { } }\n"
"rule LINER5 .1 { LINER { } }\n"
"rule LINER6 .1 { LINER { } }\n"
"\n"
"// 0.754877 is the solution to\n"
"// x^2 + x^3 = 1\n"
"// this allows double backed\n"
"// triangles to exactly line up!\n"
"\n"
"\n"
"rule UTRIANGLE {\n"
"	TRIANGLE { r 42.5 s 0.525 }\n"
"}\n"
"rule TRIANGLE{\n"
"	ARM { r 0 }\n"
"	ARM { r 120 }\n"
"	ARM { r -120 }\n"
"}\n"
"\n"
"rule ARM {\n"
"	CIRCLE { }\n"
"	ARM { y 0.1 s 0.9 r 2 }\n"
"}\n"
    } },
    { "demo1.cfdg", {
"startshape FOREST\n"
"\n"
"shape FOREST\n"
"{\n"
"     SEED []\n"
"     SEED [x -20]\n"
"     SEED [x -40]\n"
"}\n"
"\n"
"shape SEED\n"
"rule {BRANCH []}\n"
"rule {BRANCH [rotate 1]}\n"
"rule {BRANCH [rotate -1]}\n"
"rule {BRANCH [rotate 2]}\n"
"rule {BRANCH [rotate -2]}\n"
"rule {FORK []}\n"
"\n"
"shape BRANCH\n"
"rule {LEFTBRANCH [flip 90]}\n"
"rule {LEFTBRANCH []}\n"
"\n"
"shape LEFTBRANCH\n"
"rule 4 {BLOCK [] LEFTBRANCH [y 0.885 rotate 0.1 size 0.99]}\n"
"rule 4 {BLOCK [] LEFTBRANCH [y 0.885 rotate 0.2 size 0.99]}\n"
"rule {BLOCK [] LEFTBRANCH [y 0.885 rotate 4 size 0.99]}\n"
"rule {BLOCK [] FORK []}\n"
"\n"
"\n"
"shape BLOCK\n"
"{\n"
"     SQUARE [rotate 1]\n"
"     SQUARE [rotate -1]\n"
"     SQUARE []\n"
"}\n"
"\n"
"shape FORK\n"
"rule {\n"
"     BRANCH [ ]\n"
"     BRANCH [size 0.5 rotate 40]\n"
"}\n"
"rule {\n"
"     BRANCH [ ]\n"
"     BRANCH [size 0.5 rotate -40]\n"
"}\n"
"rule {\n"
"     BRANCH [size 0.5 rotate -20]\n"
"     BRANCH [ ]\n"
"}\n"
"rule {\n"
"     BRANCH [size 0.7 y 0.1 rotate 20]\n"
"     BRANCH [size 0.7 y 0.1 rotate -20]\n"
"}\n"
 ,
"startshape FOREST\n"
"\n"
"rule FOREST {\n"
"     SEED {}\n"
"     SEED {x -20}\n"
"     SEED {x -40}\n"
"}\n"
"\n"
"rule SEED {BRANCH {}}\n"
"rule SEED {BRANCH {rotate 1}}\n"
"rule SEED {BRANCH {rotate -1}}\n"
"rule SEED {BRANCH {rotate 2}}\n"
"rule SEED {BRANCH {rotate -2}}\n"
"rule SEED {FORK {}}\n"
"\n"
"rule BRANCH {LEFTBRANCH {flip 90}}\n"
"rule BRANCH {LEFTBRANCH {}}\n"
"\n"
"rule LEFTBRANCH 4 {BLOCK {} LEFTBRANCH {y 0.885 rotate 0.1 size 0.99}}\n"
"rule LEFTBRANCH 4 {BLOCK {} LEFTBRANCH {y 0.885 rotate 0.2 size 0.99}}\n"
"rule LEFTBRANCH {BLOCK {} LEFTBRANCH {y 0.885 rotate 4 size 0.99}}\n"
"rule LEFTBRANCH {BLOCK {} FORK {}}\n"
"\n"
"\n"
"rule BLOCK {\n"
"     SQUARE {rotate 1}\n"
"     SQUARE {rotate -1}\n"
"     SQUARE {}\n"
"}\n"
"\n"
"rule FORK {\n"
"     BRANCH { }\n"
"     BRANCH {size 0.5 rotate 40}\n"
"}\n"
"rule FORK {\n"
"     BRANCH { }\n"
"     BRANCH {size 0.5 rotate -40}\n"
"}\n"
"rule FORK {\n"
"     BRANCH {size 0.5 rotate -20}\n"
"     BRANCH { }\n"
"}\n"
"rule FORK {\n"
"     BRANCH {size 0.7 y 0.1 rotate 20}\n"
"     BRANCH {size 0.7 y 0.1 rotate -20}\n"
"}\n"
    } },
    { "demo2.cfdg", {
"#\n"
"# An example, showing how to include another file.\n"
"# Note that the include path has to be absolute OR\n"
"# relative to the directory you run .cfdg in\n"
"#\n"
"\n"
"startshape thingy\n"
"import i_pix.cfdg\n"
"\n"
"shape thingy\n"
"{\n"
" point [y -1 rotate 180]\n"
" point []\n"
"}\n"
"\n"
"shape point\n"
"{\n"
"  C_5by5 []\n"
"  F_5by5 [x 1.2]\n"
"  D_5by5 [y -1.2]\n"
"  G_5by5 [y -1.2 x 1.2]\n"
"  point [y 2.0 x -2.5 rotate 20 size 0.6]\n"
"  point [y 2.0 x 2.5 rotate -20 size 0.6]\n"
"}\n"
 ,
"#\n"
"# An example, showing how to include another file.\n"
"# Note that the include path has to be absolute OR\n"
"# relative to the directory you run .cfdg in\n"
"#\n"
"\n"
"startshape thingy\n"
"include i_pix.cfdg\n"
"\n"
"rule thingy{\n"
" point {y -1 rotate 180}\n"
" point {}\n"
"}\n"
"\n"
"rule point {\n"
"  C_5by5 {}\n"
"  F_5by5 {x 1.2}\n"
"  D_5by5 {y -1.2}\n"
"  G_5by5 {y -1.2 x 1.2}\n"
"  point {y 2.0 x -2.5 rotate 20 size 0.6}\n"
"  point {y 2.0 x 2.5 rotate -20 size 0.6}\n"
"}\n"
    } },
    { "funky_flower.cfdg", {
"startshape GARDEN\n"
"import i_curves.cfdg\n"
"\n"
"shape GARDEN\n"
"rule {\n"
"  SEED []\n"
"}\n"
"\n"
"shape SEED\n"
"rule {\n"
"   curveleft_0_98_3 [x -2]\n"
"   curveleft_0_98_2 []\n"
"   curveleft_0_98_1 [x 2]\n"
"   LEFT_OR_RIGHT [x 4 size 4 y 1.3]\n"
"   curveright_0_98_1 [x 6]\n"
"   curveright_0_98_2 [x 8]\n"
"   curveright_0_98_3 [x 10]\n"
"}\n"
"\n"
"shape LEFT_OR_RIGHT\n"
"rule {  LEFT_FLOWER [] }\n"
"rule {  LEFT_FLOWER [flip 90] }\n"
"\n"
"shape LEFT_FLOWER\n"
"rule {\n"
"   curveleft_0_97_1 []\n"
"   FLOWER [x -13 y 25.3 size 1]\n"
"}\n"
"\n"
"shape FLOWER\n"
"rule {\n"
"   CIRCLE [size 2]\n"
"   loop 6 [r 60] NEW_SEED []\n"
"}\n"
"\n"
"shape NEW_SEED\n"
"rule {\n"
"   SEED [size 0.1 y 3]\n"
"}\n"
"\n"
 ,
"\n"
"startshape GARDEN\n"
"include i_curves.cfdg\n"
"\n"
"rule GARDEN {\n"
"  SEED {}\n"
"}\n"
"\n"
"rule SEED {\n"
"   curveleft_0_98_3 {x -2}\n"
"   curveleft_0_98_2 {}\n"
"   curveleft_0_98_1 {x 2}\n"
"   LEFT_OR_RIGHT {x 4 size 4 y 1.3}\n"
"   curveright_0_98_1 {x 2}\n"
"   curveright_0_98_2 {x 8}\n"
"   curveright_0_98_3 {x 10}\n"
"}\n"
"\n"
"rule LEFT_OR_RIGHT {  LEFT_FLOWER {} }\n"
"rule LEFT_OR_RIGHT {  LEFT_FLOWER {flip 90} }\n"
"\n"
"rule LEFT_FLOWER {\n"
"   curveleft_0_97_1 {}\n"
"   FLOWER {x -13 y 25.3 size 1}\n"
"}\n"
"\n"
"rule FLOWER {\n"
"   CIRCLE {size 2}\n"
"   6* {r 60} NEW_SEED {}\n"
"}\n"
"\n"
"rule NEW_SEED {\n"
"   SEED {size 0.1 y 3}\n"
"}\n"
    } },
    { "i_curves.cfdg", {
"// This is a library file that is included in other files\n"
"// It offers a family of curves\n"
"\n"
"startshape test_i_curves\n"
"\n"
" shape curveright_0_9_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_9_5 [ rotate -5 size 0.9 x -0.0124921 y 0.909067 ]\n"
"}\n"
"\n"
" shape curveright_0_9_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_9_4 [ rotate -4 size 0.9 x -0.0197055 y 0.917513 ]\n"
"}\n"
"\n"
" shape curveright_0_9_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_9_3 [ rotate -3 size 0.9 x -0.0270653 y 0.925832 ]\n"
"}\n"
"\n"
" shape curveright_0_9_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_9_2 [ rotate -2 size 0.9 x -0.0345691 y 0.934021 ]\n"
"}\n"
"\n"
" shape curveright_0_9_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_9_1 [ rotate -1 size 0.9 x -0.0422147 y 0.942078 ]\n"
"}\n"
"\n"
"shape curveleft_0_9_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_9_0 [ rotate 0 size 0.9 x 0.0500008 y 0.950001 ]\n"
"}\n"
"\n"
"shape curveleft_0_9_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_9_1 [ rotate 1 size 0.9 x 0.0422158 y 0.942079 ]\n"
"}\n"
"\n"
"shape curveleft_0_9_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_9_2 [ rotate 2 size 0.9 x 0.0345701 y 0.934022 ]\n"
"}\n"
"\n"
"shape curveleft_0_9_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_9_3 [ rotate 3 size 0.9 x 0.0270664 y 0.925833 ]\n"
"}\n"
"\n"
"shape curveleft_0_9_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_9_4 [ rotate 4 size 0.9 x 0.0197066 y 0.917514 ]\n"
"}\n"
"\n"
"shape curveleft_0_9_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_9_5 [ rotate 5 size 0.9 x 0.0124931 y 0.909068 ]\n"
"}\n"
"\n"
" shape curveright_0_91_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_91_5 [ rotate -5 size 0.91 x -0.00707531 y 0.913612 ]\n"
"}\n"
"\n"
" shape curveright_0_91_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_91_4 [ rotate -4 size 0.91 x -0.0143689 y 0.922152 ]\n"
"}\n"
"\n"
" shape curveright_0_91_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_91_3 [ rotate -3 size 0.91 x -0.0218104 y 0.930563 ]\n"
"}\n"
"\n"
" shape curveright_0_91_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_91_2 [ rotate -2 size 0.91 x -0.0293976 y 0.938843 ]\n"
"}\n"
"\n"
" shape curveright_0_91_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_91_1 [ rotate -1 size 0.91 x -0.0371282 y 0.94699 ]\n"
"}\n"
"\n"
"shape curveleft_0_91_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_91_0 [ rotate 0 size 0.91 x 0.0450008 y 0.955001 ]\n"
"}\n"
"\n"
"shape curveleft_0_91_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_91_1 [ rotate 1 size 0.91 x 0.0371293 y 0.946991 ]\n"
"}\n"
"\n"
"shape curveleft_0_91_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_91_2 [ rotate 2 size 0.91 x 0.0293987 y 0.938844 ]\n"
"}\n"
"\n"
"shape curveleft_0_91_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_91_3 [ rotate 3 size 0.91 x 0.0218115 y 0.930565 ]\n"
"}\n"
"\n"
"shape curveleft_0_91_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_91_4 [ rotate 4 size 0.91 x 0.01437 y 0.922153 ]\n"
"}\n"
"\n"
"shape curveleft_0_91_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_91_5 [ rotate 5 size 0.91 x 0.00707635 y 0.913614 ]\n"
"}\n"
"\n"
" shape curveright_0_92_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_92_5 [ rotate -5 size 0.92 x -0.00165855 y 0.918158 ]\n"
"}\n"
"\n"
" shape curveright_0_92_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_92_4 [ rotate -4 size 0.92 x -0.00903229 y 0.926791 ]\n"
"}\n"
"\n"
" shape curveright_0_92_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_92_3 [ rotate -3 size 0.92 x -0.0165556 y 0.935295 ]\n"
"}\n"
"\n"
" shape curveright_0_92_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_92_2 [ rotate -2 size 0.92 x -0.0242262 y 0.943666 ]\n"
"}\n"
"\n"
" shape curveright_0_92_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_92_1 [ rotate -1 size 0.92 x -0.0320417 y 0.951902 ]\n"
"}\n"
"\n"
"shape curveleft_0_92_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_92_0 [ rotate 0 size 0.92 x 0.0400008 y 0.960001 ]\n"
"}\n"
"\n"
"shape curveleft_0_92_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_92_1 [ rotate 1 size 0.92 x 0.0320428 y 0.951903 ]\n"
"}\n"
"\n"
"shape curveleft_0_92_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_92_2 [ rotate 2 size 0.92 x 0.0242272 y 0.943667 ]\n"
"}\n"
"\n"
"shape curveleft_0_92_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_92_3 [ rotate 3 size 0.92 x 0.0165567 y 0.935296 ]\n"
"}\n"
"\n"
"shape curveleft_0_92_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_92_4 [ rotate 4 size 0.92 x 0.00903342 y 0.926793 ]\n"
"}\n"
"\n"
"shape curveleft_0_92_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_92_5 [ rotate 5 size 0.92 x 0.00165959 y 0.918159 ]\n"
"}\n"
"\n"
" shape curveright_0_93_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_93_5 [ rotate -5 size 0.93 x 0.00375817 y 0.922703 ]\n"
"}\n"
"\n"
" shape curveright_0_93_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_93_4 [ rotate -4 size 0.93 x -0.00369572 y 0.93143 ]\n"
"}\n"
"\n"
" shape curveright_0_93_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_93_3 [ rotate -3 size 0.93 x -0.0113008 y 0.940026 ]\n"
"}\n"
"\n"
" shape curveright_0_93_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_93_2 [ rotate -2 size 0.93 x -0.0190547 y 0.948488 ]\n"
"}\n"
"\n"
" shape curveright_0_93_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_93_1 [ rotate -1 size 0.93 x -0.0269552 y 0.956814 ]\n"
"}\n"
"\n"
"shape curveleft_0_93_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_93_0 [ rotate 0 size 0.93 x 0.0350009 y 0.965001 ]\n"
"}\n"
"\n"
"shape curveleft_0_93_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_93_1 [ rotate 1 size 0.93 x 0.0269564 y 0.956815 ]\n"
"}\n"
"\n"
"shape curveleft_0_93_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_93_2 [ rotate 2 size 0.93 x 0.0190558 y 0.948489 ]\n"
"}\n"
"\n"
"shape curveleft_0_93_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_93_3 [ rotate 3 size 0.93 x 0.0113019 y 0.940027 ]\n"
"}\n"
"\n"
"shape curveleft_0_93_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_93_4 [ rotate 4 size 0.93 x 0.00369686 y 0.931432 ]\n"
"}\n"
"\n"
"shape curveleft_0_93_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_93_5 [ rotate 5 size 0.93 x -0.00375711 y 0.922704 ]\n"
"}\n"
"\n"
" shape curveright_0_94_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_94_5 [ rotate -5 size 0.94 x 0.00917493 y 0.927248 ]\n"
"}\n"
"\n"
" shape curveright_0_94_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_94_4 [ rotate -4 size 0.94 x 0.00164089 y 0.936069 ]\n"
"}\n"
"\n"
" shape curveright_0_94_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_94_3 [ rotate -3 size 0.94 x -0.00604596 y 0.944758 ]\n"
"}\n"
"\n"
" shape curveright_0_94_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_94_2 [ rotate -2 size 0.94 x -0.0138833 y 0.953311 ]\n"
"}\n"
"\n"
" shape curveright_0_94_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_94_1 [ rotate -1 size 0.94 x -0.0218687 y 0.961725 ]\n"
"}\n"
"\n"
"shape curveleft_0_94_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_94_0 [ rotate 0 size 0.94 x 0.0300009 y 0.970001 ]\n"
"}\n"
"\n"
"shape curveleft_0_94_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_94_1 [ rotate 1 size 0.94 x 0.0218699 y 0.961727 ]\n"
"}\n"
"\n"
"shape curveleft_0_94_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_94_2 [ rotate 2 size 0.94 x 0.0138844 y 0.953312 ]\n"
"}\n"
"\n"
"shape curveleft_0_94_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_94_3 [ rotate 3 size 0.94 x 0.00604711 y 0.944759 ]\n"
"}\n"
"\n"
"shape curveleft_0_94_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_94_4 [ rotate 4 size 0.94 x -0.00163974 y 0.936071 ]\n"
"}\n"
"\n"
"shape curveleft_0_94_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_94_5 [ rotate 5 size 0.94 x -0.00917386 y 0.927249 ]\n"
"}\n"
"\n"
" shape curveright_0_95_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_95_5 [ rotate -5 size 0.95 x 0.0145917 y 0.931793 ]\n"
"}\n"
"\n"
" shape curveright_0_95_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_95_4 [ rotate -4 size 0.95 x 0.0069775 y 0.940708 ]\n"
"}\n"
"\n"
" shape curveright_0_95_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_95_3 [ rotate -3 size 0.95 x 0 y 0.949489 ]\n"
"}\n"
"\n"
" shape curveright_0_95_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_95_2 [ rotate -2 size 0.95 x -0.00871182 y 0.958133 ]\n"
"}\n"
"\n"
" shape curveright_0_95_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_95_1 [ rotate -1 size 0.95 x -0.0167822 y 0.966637 ]\n"
"}\n"
"\n"
"shape curveleft_0_95_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_95_0 [ rotate 0 size 0.95 x 0.0250009 y 0.975001 ]\n"
"}\n"
"\n"
"shape curveleft_0_95_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_95_1 [ rotate 1 size 0.95 x 0.0167834 y 0.966639 ]\n"
"}\n"
"\n"
"shape curveleft_0_95_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_95_2 [ rotate 2 size 0.95 x 0.00871294 y 0.958134 ]\n"
"}\n"
"\n"
"shape curveleft_0_95_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_95_3 [ rotate 3 size 0.95 x 0 y 0.94949 ]\n"
"}\n"
"\n"
"shape curveleft_0_95_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_95_4 [ rotate 4 size 0.95 x -0.00697634 y 0.94071 ]\n"
"}\n"
"\n"
"shape curveleft_0_95_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_95_5 [ rotate 5 size 0.95 x -0.0145906 y 0.931794 ]\n"
"}\n"
"\n"
" shape curveright_0_96_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_96_5 [ rotate -5 size 0.96 x 0.0200085 y 0.936338 ]\n"
"}\n"
"\n"
" shape curveright_0_96_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_96_4 [ rotate -4 size 0.96 x 0.0123141 y 0.945347 ]\n"
"}\n"
"\n"
" shape curveright_0_96_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_96_3 [ rotate -3 size 0.96 x 0.00446371 y 0.954221 ]\n"
"}\n"
"\n"
" shape curveright_0_96_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_96_2 [ rotate -2 size 0.96 x -0.00354036 y 0.962956 ]\n"
"}\n"
"\n"
" shape curveright_0_96_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_96_1 [ rotate -1 size 0.96 x -0.0116957 y 0.971549 ]\n"
"}\n"
"\n"
"shape curveleft_0_96_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_96_0 [ rotate 0 size 0.96 x 0.0200009 y 0.980001 ]\n"
"}\n"
"\n"
"shape curveleft_0_96_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_96_1 [ rotate 1 size 0.96 x 0.0116969 y 0.971551 ]\n"
"}\n"
"\n"
"shape curveleft_0_96_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_96_2 [ rotate 2 size 0.96 x 0.00354149 y 0.962957 ]\n"
"}\n"
"\n"
"shape curveleft_0_96_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_96_3 [ rotate 3 size 0.96 x -0.00446254 y 0.954222 ]\n"
"}\n"
"\n"
"shape curveleft_0_96_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_96_4 [ rotate 4 size 0.96 x -0.0123129 y 0.945349 ]\n"
"}\n"
"\n"
"shape curveleft_0_96_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_96_5 [ rotate 5 size 0.96 x -0.0200074 y 0.93634 ]\n"
"}\n"
"\n"
" shape curveright_0_97_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_97_5 [ rotate -5 size 0.97 x 0.0254252 y 0.940884 ]\n"
"}\n"
"\n"
" shape curveright_0_97_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_97_4 [ rotate -4 size 0.97 x 0.0176507 y 0.949986 ]\n"
"}\n"
"\n"
" shape curveright_0_97_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_97_3 [ rotate -3 size 0.97 x 0.00971855 y 0.958952 ]\n"
"}\n"
"\n"
" shape curveright_0_97_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_97_2 [ rotate -2 size 0.97 x 0.0016311 y 0.967778 ]\n"
"}\n"
"\n"
" shape curveright_0_97_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_97_1 [ rotate -1 size 0.97 x -0.00660916 y 0.976461 ]\n"
"}\n"
"\n"
"shape curveleft_0_97_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_97_0 [ rotate 0 size 0.97 x 0.0150009 y 0.985001 ]\n"
"}\n"
"\n"
"shape curveleft_0_97_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_97_1 [ rotate 1 size 0.97 x 0.00661039 y 0.976463 ]\n"
"}\n"
"\n"
"shape curveleft_0_97_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_97_2 [ rotate 2 size 0.97 x -0.00162996 y 0.967779 ]\n"
"}\n"
"\n"
"shape curveleft_0_97_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_97_3 [ rotate 3 size 0.97 x -0.00971737 y 0.958953 ]\n"
"}\n"
"\n"
"shape curveleft_0_97_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_97_4 [ rotate 4 size 0.97 x -0.0176495 y 0.949988 ]\n"
"}\n"
"\n"
"shape curveleft_0_97_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_97_5 [ rotate 5 size 0.97 x -0.0254241 y 0.940885 ]\n"
"}\n"
"\n"
" shape curveright_0_98_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_98_5 [ rotate -5 size 0.98 x 0.030842 y 0.945429 ]\n"
"}\n"
"\n"
" shape curveright_0_98_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_98_4 [ rotate -4 size 0.98 x 0.0229873 y 0.954625 ]\n"
"}\n"
"\n"
" shape curveright_0_98_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_98_3 [ rotate -3 size 0.98 x 0.0149734 y 0.963684 ]\n"
"}\n"
"\n"
" shape curveright_0_98_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_98_2 [ rotate -2 size 0.98 x 0.00680257 y 0.9726 ]\n"
"}\n"
"\n"
" shape curveright_0_98_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_98_1 [ rotate -1 size 0.98 x -0.00152265 y 0.981373 ]\n"
"}\n"
"\n"
"shape curveleft_0_98_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_98_0 [ rotate 0 size 0.98 x 0.0100009 y 0.990001 ]\n"
"}\n"
"\n"
"shape curveleft_0_98_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_98_1 [ rotate 1 size 0.98 x 0.00152389 y 0.981375 ]\n"
"}\n"
"\n"
"shape curveleft_0_98_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_98_2 [ rotate 2 size 0.98 x -0.00680141 y 0.972602 ]\n"
"}\n"
"\n"
"shape curveleft_0_98_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_98_3 [ rotate 3 size 0.98 x -0.0149722 y 0.963685 ]\n"
"}\n"
"\n"
"shape curveleft_0_98_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_98_4 [ rotate 4 size 0.98 x -0.0229861 y 0.954627 ]\n"
"}\n"
"\n"
"shape curveleft_0_98_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_98_5 [ rotate 5 size 0.98 x -0.0308409 y 0.94543 ]\n"
"}\n"
"\n"
" shape curveright_0_99_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_99_5 [ rotate -5 size 0.99 x 0.0362587 y 0.949974 ]\n"
"}\n"
"\n"
" shape curveright_0_99_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_99_4 [ rotate -4 size 0.99 x 0.028324 y 0.959264 ]\n"
"}\n"
"\n"
" shape curveright_0_99_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_99_3 [ rotate -3 size 0.99 x 0.0202282 y 0.968415 ]\n"
"}\n"
"\n"
" shape curveright_0_99_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_99_2 [ rotate -2 size 0.99 x 0.011974 y 0.977423 ]\n"
"}\n"
"\n"
" shape curveright_0_99_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_0_99_1 [ rotate -1 size 0.99 x 0.00356386 y 0.986285 ]\n"
"}\n"
"\n"
"shape curveleft_0_99_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_99_0 [ rotate 0 size 0.99 x 0.0050009 y 0.995001 ]\n"
"}\n"
"\n"
"shape curveleft_0_99_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_99_1 [ rotate 1 size 0.99 x -0.00356261 y 0.986287 ]\n"
"}\n"
"\n"
"shape curveleft_0_99_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_99_2 [ rotate 2 size 0.99 x -0.0119729 y 0.977424 ]\n"
"}\n"
"\n"
"shape curveleft_0_99_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_99_3 [ rotate 3 size 0.99 x -0.020227 y 0.968416 ]\n"
"}\n"
"\n"
"shape curveleft_0_99_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_99_4 [ rotate 4 size 0.99 x -0.0283227 y 0.959266 ]\n"
"}\n"
"\n"
"shape curveleft_0_99_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_0_99_5 [ rotate 5 size 0.99 x -0.0362576 y 0.949975 ]\n"
"}\n"
"\n"
" shape curveright_1_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_5 [ rotate -5 size 1 x 0.0416755 y 0.954519 ]\n"
"}\n"
"\n"
" shape curveright_1_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_4 [ rotate -4 size 1 x 0.0336605 y 0.963903 ]\n"
"}\n"
"\n"
" shape curveright_1_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_3 [ rotate -3 size 1 x 0.025483 y 0.973146 ]\n"
"}\n"
"\n"
" shape curveright_1_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_2 [ rotate -2 size 1 x 0.0171454 y 0.982245 ]\n"
"}\n"
"\n"
" shape curveright_1_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_1 [ rotate -1 size 1 x 0.00865033 y 0.991197 ]\n"
"}\n"
"\n"
"shape curveleft_1_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_0 [ rotate 0 size 1 x 0 y 1 ]\n"
"}\n"
"\n"
"shape curveleft_1_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_1 [ rotate 1 size 1 x -0.00864906 y 0.991199 ]\n"
"}\n"
"\n"
"shape curveleft_1_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_2 [ rotate 2 size 1 x -0.0171443 y 0.982247 ]\n"
"}\n"
"\n"
"shape curveleft_1_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_3 [ rotate 3 size 1 x -0.0254818 y 0.973148 ]\n"
"}\n"
"\n"
"shape curveleft_1_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_4 [ rotate 4 size 1 x -0.0336593 y 0.963905 ]\n"
"}\n"
"\n"
"shape curveleft_1_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_5 [ rotate 5 size 1 x -0.0416743 y 0.954521 ]\n"
"}\n"
"\n"
" shape curveright_1_01_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_01_5 [ rotate -5 size 1.01 x 0.0470922 y 0.959064 ]\n"
"}\n"
"\n"
" shape curveright_1_01_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_01_4 [ rotate -4 size 1.01 x 0.0389971 y 0.968542 ]\n"
"}\n"
"\n"
" shape curveright_1_01_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_01_3 [ rotate -3 size 1.01 x 0.0307379 y 0.977878 ]\n"
"}\n"
"\n"
" shape curveright_1_01_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_01_2 [ rotate -2 size 1.01 x 0.0223169 y 0.987068 ]\n"
"}\n"
"\n"
" shape curveright_1_01_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_01_1 [ rotate -1 size 1.01 x 0.0137368 y 0.996109 ]\n"
"}\n"
"\n"
"shape curveleft_1_01_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_01_0 [ rotate 0 size 1.01 x -0.00499905 y 1.005 ]\n"
"}\n"
"\n"
"shape curveleft_1_01_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_01_1 [ rotate 1 size 1.01 x -0.0137356 y 0.996111 ]\n"
"}\n"
"\n"
"shape curveleft_1_01_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_01_2 [ rotate 2 size 1.01 x -0.0223157 y 0.987069 ]\n"
"}\n"
"\n"
"shape curveleft_1_01_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_01_3 [ rotate 3 size 1.01 x -0.0307366 y 0.977879 ]\n"
"}\n"
"\n"
"shape curveleft_1_01_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_01_4 [ rotate 4 size 1.01 x -0.0389959 y 0.968544 ]\n"
"}\n"
"\n"
"shape curveleft_1_01_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_01_5 [ rotate 5 size 1.01 x -0.0470911 y 0.959066 ]\n"
"}\n"
"\n"
" shape curveright_1_02_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_02_5 [ rotate -5 size 1.02 x 0.0525089 y 0.96361 ]\n"
"}\n"
"\n"
" shape curveright_1_02_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_02_4 [ rotate -4 size 1.02 x 0.0443337 y 0.973181 ]\n"
"}\n"
"\n"
" shape curveright_1_02_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_02_3 [ rotate -3 size 1.02 x 0.0359927 y 0.982609 ]\n"
"}\n"
"\n"
" shape curveright_1_02_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_02_2 [ rotate -2 size 1.02 x 0.0274883 y 0.99189 ]\n"
"}\n"
"\n"
" shape curveright_1_02_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_02_1 [ rotate -1 size 1.02 x 0.0188233 y 1.00102 ]\n"
"}\n"
"\n"
"shape curveleft_1_02_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_02_0 [ rotate 0 size 1.02 x -0.00999901 y 1.01 ]\n"
"}\n"
"\n"
"shape curveleft_1_02_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_02_1 [ rotate 1 size 1.02 x -0.018822 y 1.00102 ]\n"
"}\n"
"\n"
"shape curveleft_1_02_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_02_2 [ rotate 2 size 1.02 x -0.0274871 y 0.991892 ]\n"
"}\n"
"\n"
"shape curveleft_1_02_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_02_3 [ rotate 3 size 1.02 x -0.0359914 y 0.982611 ]\n"
"}\n"
"\n"
"shape curveleft_1_02_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_02_4 [ rotate 4 size 1.02 x -0.0443325 y 0.973183 ]\n"
"}\n"
"\n"
"shape curveleft_1_02_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_02_5 [ rotate 5 size 1.02 x -0.0525078 y 0.963611 ]\n"
"}\n"
"\n"
" shape curveright_1_03_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_03_5 [ rotate -5 size 1.03 x 0.0579257 y 0.968155 ]\n"
"}\n"
"\n"
" shape curveright_1_03_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_03_4 [ rotate -4 size 1.03 x 0.0496704 y 0.977821 ]\n"
"}\n"
"\n"
" shape curveright_1_03_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_03_3 [ rotate -3 size 1.03 x 0.0412475 y 0.987341 ]\n"
"}\n"
"\n"
" shape curveright_1_03_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_03_2 [ rotate -2 size 1.03 x 0.0326598 y 0.996713 ]\n"
"}\n"
"\n"
" shape curveright_1_03_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_03_1 [ rotate -1 size 1.03 x 0.0239099 y 1.00593 ]\n"
"}\n"
"\n"
"shape curveleft_1_03_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_03_0 [ rotate 0 size 1.03 x -0.014999 y 1.015 ]\n"
"}\n"
"\n"
"shape curveleft_1_03_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_03_1 [ rotate 1 size 1.03 x -0.0239086 y 1.00593 ]\n"
"}\n"
"\n"
"shape curveleft_1_03_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_03_2 [ rotate 2 size 1.03 x -0.0326586 y 0.996714 ]\n"
"}\n"
"\n"
"shape curveleft_1_03_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_03_3 [ rotate 3 size 1.03 x -0.0412463 y 0.987342 ]\n"
"}\n"
"\n"
"shape curveleft_1_03_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_03_4 [ rotate 4 size 1.03 x -0.0496691 y 0.977822 ]\n"
"}\n"
"\n"
"shape curveleft_1_03_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_03_5 [ rotate 5 size 1.03 x -0.0579246 y 0.968156 ]\n"
"}\n"
"\n"
" shape curveright_1_04_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_04_5 [ rotate -5 size 1.04 x 0.0633425 y 0.9727 ]\n"
"}\n"
"\n"
" shape curveright_1_04_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_04_4 [ rotate -4 size 1.04 x 0.0550069 y 0.98246 ]\n"
"}\n"
"\n"
" shape curveright_1_04_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_04_3 [ rotate -3 size 1.04 x 0.0465023 y 0.992072 ]\n"
"}\n"
"\n"
" shape curveright_1_04_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_04_2 [ rotate -2 size 1.04 x 0.0378313 y 1.00154 ]\n"
"}\n"
"\n"
" shape curveright_1_04_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_04_1 [ rotate -1 size 1.04 x 0.0289963 y 1.01085 ]\n"
"}\n"
"\n"
"shape curveleft_1_04_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_04_0 [ rotate 0 size 1.04 x -0.019999 y 1.02 ]\n"
"}\n"
"\n"
"shape curveleft_1_04_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_04_1 [ rotate 1 size 1.04 x -0.028995 y 1.01085 ]\n"
"}\n"
"\n"
"shape curveleft_1_04_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_04_2 [ rotate 2 size 1.04 x -0.03783 y 1.00154 ]\n"
"}\n"
"\n"
"shape curveleft_1_04_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_04_3 [ rotate 3 size 1.04 x -0.0465011 y 0.992074 ]\n"
"}\n"
"\n"
"shape curveleft_1_04_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_04_4 [ rotate 4 size 1.04 x -0.0550057 y 0.982461 ]\n"
"}\n"
"\n"
"shape curveleft_1_04_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_04_5 [ rotate 5 size 1.04 x -0.0633413 y 0.972701 ]\n"
"}\n"
"\n"
" shape curveright_1_05_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_05_5 [ rotate -5 size 1.05 x 0.0687592 y 0.977245 ]\n"
"}\n"
"\n"
" shape curveright_1_05_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_05_4 [ rotate -4 size 1.05 x 0.0603435 y 0.987099 ]\n"
"}\n"
"\n"
" shape curveright_1_05_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_05_3 [ rotate -3 size 1.05 x 0.0517571 y 0.996804 ]\n"
"}\n"
"\n"
" shape curveright_1_05_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_05_2 [ rotate -2 size 1.05 x 0.0430027 y 1.00636 ]\n"
"}\n"
"\n"
" shape curveright_1_05_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_05_1 [ rotate -1 size 1.05 x 0.0340828 y 1.01576 ]\n"
"}\n"
"\n"
"shape curveleft_1_05_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_05_0 [ rotate 0 size 1.05 x -0.024999 y 1.025 ]\n"
"}\n"
"\n"
"shape curveleft_1_05_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_05_1 [ rotate 1 size 1.05 x -0.0340815 y 1.01576 ]\n"
"}\n"
"\n"
"shape curveleft_1_05_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_05_2 [ rotate 2 size 1.05 x -0.0430014 y 1.00636 ]\n"
"}\n"
"\n"
"shape curveleft_1_05_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_05_3 [ rotate 3 size 1.05 x -0.0517558 y 0.996805 ]\n"
"}\n"
"\n"
"shape curveleft_1_05_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_05_4 [ rotate 4 size 1.05 x -0.0603422 y 0.9871 ]\n"
"}\n"
"\n"
"shape curveleft_1_05_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_05_5 [ rotate 5 size 1.05 x -0.068758 y 0.977246 ]\n"
"}\n"
"\n"
" shape curveright_1_06_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_06_5 [ rotate -5 size 1.06 x 0.074176 y 0.98179 ]\n"
"}\n"
"\n"
" shape curveright_1_06_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_06_4 [ rotate -4 size 1.06 x 0.0656802 y 0.991738 ]\n"
"}\n"
"\n"
" shape curveright_1_06_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_06_3 [ rotate -3 size 1.06 x 0.057012 y 1.00154 ]\n"
"}\n"
"\n"
" shape curveright_1_06_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_06_2 [ rotate -2 size 1.06 x 0.0481742 y 1.01118 ]\n"
"}\n"
"\n"
" shape curveright_1_06_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_06_1 [ rotate -1 size 1.06 x 0.0391693 y 1.02067 ]\n"
"}\n"
"\n"
"shape curveleft_1_06_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_06_0 [ rotate 0 size 1.06 x -0.029999 y 1.03 ]\n"
"}\n"
"\n"
"shape curveleft_1_06_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_06_1 [ rotate 1 size 1.06 x -0.039168 y 1.02067 ]\n"
"}\n"
"\n"
"shape curveleft_1_06_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_06_2 [ rotate 2 size 1.06 x -0.0481729 y 1.01118 ]\n"
"}\n"
"\n"
"shape curveleft_1_06_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_06_3 [ rotate 3 size 1.06 x -0.0570107 y 1.00154 ]\n"
"}\n"
"\n"
"shape curveleft_1_06_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_06_4 [ rotate 4 size 1.06 x -0.0656789 y 0.991739 ]\n"
"}\n"
"\n"
"shape curveleft_1_06_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_06_5 [ rotate 5 size 1.06 x -0.0741748 y 0.981792 ]\n"
"}\n"
"\n"
" shape curveright_1_07_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_07_5 [ rotate -5 size 1.07 x 0.0795927 y 0.986336 ]\n"
"}\n"
"\n"
" shape curveright_1_07_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_07_4 [ rotate -4 size 1.07 x 0.0710168 y 0.996377 ]\n"
"}\n"
"\n"
" shape curveright_1_07_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_07_3 [ rotate -3 size 1.07 x 0.0622668 y 1.00627 ]\n"
"}\n"
"\n"
" shape curveright_1_07_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_07_2 [ rotate -2 size 1.07 x 0.0533456 y 1.016 ]\n"
"}\n"
"\n"
" shape curveright_1_07_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_07_1 [ rotate -1 size 1.07 x 0.0442559 y 1.02558 ]\n"
"}\n"
"\n"
"shape curveleft_1_07_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_07_0 [ rotate 0 size 1.07 x -0.034999 y 1.035 ]\n"
"}\n"
"\n"
"shape curveleft_1_07_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_07_1 [ rotate 1 size 1.07 x -0.0442545 y 1.02558 ]\n"
"}\n"
"\n"
"shape curveleft_1_07_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_07_2 [ rotate 2 size 1.07 x -0.0533444 y 1.016 ]\n"
"}\n"
"\n"
"shape curveleft_1_07_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_07_3 [ rotate 3 size 1.07 x -0.0622655 y 1.00627 ]\n"
"}\n"
"\n"
"shape curveleft_1_07_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_07_4 [ rotate 4 size 1.07 x -0.0710155 y 0.996378 ]\n"
"}\n"
"\n"
"shape curveleft_1_07_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_07_5 [ rotate 5 size 1.07 x -0.0795915 y 0.986337 ]\n"
"}\n"
"\n"
" shape curveright_1_08_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_08_5 [ rotate -5 size 1.08 x 0.0850095 y 0.990881 ]\n"
"}\n"
"\n"
" shape curveright_1_08_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_08_4 [ rotate -4 size 1.08 x 0.0763534 y 1.00102 ]\n"
"}\n"
"\n"
" shape curveright_1_08_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_08_3 [ rotate -3 size 1.08 x 0.0675217 y 1.011 ]\n"
"}\n"
"\n"
" shape curveright_1_08_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_08_2 [ rotate -2 size 1.08 x 0.0585171 y 1.02083 ]\n"
"}\n"
"\n"
" shape curveright_1_08_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_08_1 [ rotate -1 size 1.08 x 0.0493424 y 1.03049 ]\n"
"}\n"
"\n"
"shape curveleft_1_08_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_08_0 [ rotate 0 size 1.08 x -0.039999 y 1.04 ]\n"
"}\n"
"\n"
"shape curveleft_1_08_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_08_1 [ rotate 1 size 1.08 x -0.049341 y 1.03049 ]\n"
"}\n"
"\n"
"shape curveleft_1_08_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_08_2 [ rotate 2 size 1.08 x -0.0585158 y 1.02083 ]\n"
"}\n"
"\n"
"shape curveleft_1_08_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_08_3 [ rotate 3 size 1.08 x -0.0675204 y 1.011 ]\n"
"}\n"
"\n"
"shape curveleft_1_08_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_08_4 [ rotate 4 size 1.08 x -0.0763521 y 1.00102 ]\n"
"}\n"
"\n"
"shape curveleft_1_08_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_08_5 [ rotate 5 size 1.08 x -0.0850083 y 0.990882 ]\n"
"}\n"
"\n"
" shape curveright_1_09_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_09_5 [ rotate -5 size 1.09 x 0.0904263 y 0.995426 ]\n"
"}\n"
"\n"
" shape curveright_1_09_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_09_4 [ rotate -4 size 1.09 x 0.08169 y 1.00565 ]\n"
"}\n"
"\n"
" shape curveright_1_09_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_09_3 [ rotate -3 size 1.09 x 0.0727765 y 1.01573 ]\n"
"}\n"
"\n"
" shape curveright_1_09_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_09_2 [ rotate -2 size 1.09 x 0.0636886 y 1.02565 ]\n"
"}\n"
"\n"
" shape curveright_1_09_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_09_1 [ rotate -1 size 1.09 x 0.0544289 y 1.03541 ]\n"
"}\n"
"\n"
"shape curveleft_1_09_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_09_0 [ rotate 0 size 1.09 x -0.044999 y 1.045 ]\n"
"}\n"
"\n"
"shape curveleft_1_09_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_09_1 [ rotate 1 size 1.09 x -0.0544275 y 1.03541 ]\n"
"}\n"
"\n"
"shape curveleft_1_09_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_09_2 [ rotate 2 size 1.09 x -0.0636873 y 1.02565 ]\n"
"}\n"
"\n"
"shape curveleft_1_09_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_09_3 [ rotate 3 size 1.09 x -0.0727752 y 1.01573 ]\n"
"}\n"
"\n"
"shape curveleft_1_09_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_09_4 [ rotate 4 size 1.09 x -0.0816887 y 1.00566 ]\n"
"}\n"
"\n"
"shape curveleft_1_09_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_09_5 [ rotate 5 size 1.09 x -0.090425 y 0.995427 ]\n"
"}\n"
"\n"
" shape curveright_1_1_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_1_5 [ rotate -5 size 1.1 x 0.095843 y 0.999971 ]\n"
"}\n"
"\n"
" shape curveright_1_1_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_1_4 [ rotate -4 size 1.1 x 0.0870266 y 1.01029 ]\n"
"}\n"
"\n"
" shape curveright_1_1_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_1_3 [ rotate -3 size 1.1 x 0.0780314 y 1.02046 ]\n"
"}\n"
"\n"
" shape curveright_1_1_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_1_2 [ rotate -2 size 1.1 x 0.06886 y 1.03047 ]\n"
"}\n"
"\n"
" shape curveright_1_1_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveright_1_1_1 [ rotate -1 size 1.1 x 0.0595154 y 1.04032 ]\n"
"}\n"
"\n"
"shape curveleft_1_1_0\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_1_0 [ rotate 0 size 1.1 x -0.049999 y 1.05 ]\n"
"}\n"
"\n"
"shape curveleft_1_1_1\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_1_1 [ rotate 1 size 1.1 x -0.059514 y 1.04032 ]\n"
"}\n"
"\n"
"shape curveleft_1_1_2\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_1_2 [ rotate 2 size 1.1 x -0.0688587 y 1.03047 ]\n"
"}\n"
"\n"
"shape curveleft_1_1_3\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_1_3 [ rotate 3 size 1.1 x -0.07803 y 1.02046 ]\n"
"}\n"
"\n"
"shape curveleft_1_1_4\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_1_4 [ rotate 4 size 1.1 x -0.0870253 y 1.0103 ]\n"
"}\n"
"\n"
"shape curveleft_1_1_5\n"
"rule {\n"
" SQUARE [ ]\n"
" curveleft_1_1_5 [ rotate 5 size 1.1 x -0.0958418 y 0.999973 ]\n"
"}\n"
"\n"
"\n"
"shape test_i_curves\n"
"rule {\n"
"    test_i_curves_0_9  [ x -35 y -40 ]\n"
"    test_i_curves_0_91 [ x   0 y -40 ]\n"
"    test_i_curves_0_92 [ x  35 y -40 ]\n"
"    test_i_curves_0_93 [ x -40 y -20 ]\n"
"    test_i_curves_0_94 [ x   0 y -20 ]\n"
"    test_i_curves_0_95 [ x  40 y -20 ]\n"
"    test_i_curves_0_96 [ x -55 y   0 ]\n"
"    test_i_curves_0_97 [ x   0 y   0 ]\n"
"    test_i_curves_0_98 [ x  55 y   0 ]\n"
"    test_i_curves_0_99 [ x   0 y  40 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_9\n"
"rule {\n"
"    curveright_0_9_5 [ x 10 ]\n"
"    curveright_0_9_4 [ x 8 ]\n"
"    curveright_0_9_3 [ x 6 ]\n"
"    curveright_0_9_2 [ x 4 ]\n"
"    curveright_0_9_1 [ x 2 ]\n"
"    curveleft_0_9_0 [ ]\n"
"    curveleft_0_9_1 [ x -2 ]\n"
"    curveleft_0_9_2 [ x -4 ]\n"
"    curveleft_0_9_3 [ x -6 ]\n"
"    curveleft_0_9_4 [ x -8 ]\n"
"    curveleft_0_9_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_91\n"
"rule {\n"
"    curveright_0_91_5 [ x 10 ]\n"
"    curveright_0_91_4 [ x 8 ]\n"
"    curveright_0_91_3 [ x 6 ]\n"
"    curveright_0_91_2 [ x 4 ]\n"
"    curveright_0_91_1 [ x 2 ]\n"
"    curveleft_0_91_0 [ ]\n"
"    curveleft_0_91_1 [ x -2 ]\n"
"    curveleft_0_91_2 [ x -4 ]\n"
"    curveleft_0_91_3 [ x -6 ]\n"
"    curveleft_0_91_4 [ x -8 ]\n"
"    curveleft_0_91_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_92\n"
"rule {\n"
"    curveright_0_92_5 [ x 10 ]\n"
"    curveright_0_92_4 [ x 8 ]\n"
"    curveright_0_92_3 [ x 6 ]\n"
"    curveright_0_92_2 [ x 4 ]\n"
"    curveright_0_92_1 [ x 2 ]\n"
"    curveleft_0_92_0 [ ]\n"
"    curveleft_0_92_1 [ x -2 ]\n"
"    curveleft_0_92_2 [ x -4 ]\n"
"    curveleft_0_92_3 [ x -6 ]\n"
"    curveleft_0_92_4 [ x -8 ]\n"
"    curveleft_0_92_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_93\n"
"rule {\n"
"    curveright_0_93_5 [ x 10 ]\n"
"    curveright_0_93_4 [ x 8 ]\n"
"    curveright_0_93_3 [ x 6 ]\n"
"    curveright_0_93_2 [ x 4 ]\n"
"    curveright_0_93_1 [ x 2 ]\n"
"    curveleft_0_93_0 [ ]\n"
"    curveleft_0_93_1 [ x -2 ]\n"
"    curveleft_0_93_2 [ x -4 ]\n"
"    curveleft_0_93_3 [ x -6 ]\n"
"    curveleft_0_93_4 [ x -8 ]\n"
"    curveleft_0_93_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_94\n"
"rule {\n"
"    curveright_0_94_5 [ x 10 ]\n"
"    curveright_0_94_4 [ x 8 ]\n"
"    curveright_0_94_3 [ x 6 ]\n"
"    curveright_0_94_2 [ x 4 ]\n"
"    curveright_0_94_1 [ x 2 ]\n"
"    curveleft_0_94_0 [ ]\n"
"    curveleft_0_94_1 [ x -2 ]\n"
"    curveleft_0_94_2 [ x -4 ]\n"
"    curveleft_0_94_3 [ x -6 ]\n"
"    curveleft_0_94_4 [ x -8 ]\n"
"    curveleft_0_94_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_95\n"
"rule {\n"
"    curveright_0_95_5 [ x 10 ]\n"
"    curveright_0_95_4 [ x 8 ]\n"
"    curveright_0_95_3 [ x 6 ]\n"
"    curveright_0_95_2 [ x 4 ]\n"
"    curveright_0_95_1 [ x 2 ]\n"
"    curveleft_0_95_0 [ ]\n"
"    curveleft_0_95_1 [ x -2 ]\n"
"    curveleft_0_95_2 [ x -4 ]\n"
"    curveleft_0_95_3 [ x -6 ]\n"
"    curveleft_0_95_4 [ x -8 ]\n"
"    curveleft_0_95_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_96\n"
"rule {\n"
"    curveright_0_96_5 [ x 10 ]\n"
"    curveright_0_96_4 [ x 8 ]\n"
"    curveright_0_96_3 [ x 6 ]\n"
"    curveright_0_96_2 [ x 4 ]\n"
"    curveright_0_96_1 [ x 2 ]\n"
"    curveleft_0_96_0 [ ]\n"
"    curveleft_0_96_1 [ x -2 ]\n"
"    curveleft_0_96_2 [ x -4 ]\n"
"    curveleft_0_96_3 [ x -6 ]\n"
"    curveleft_0_96_4 [ x -8 ]\n"
"    curveleft_0_96_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_97\n"
"rule {\n"
"    curveright_0_97_5 [ x 10 ]\n"
"    curveright_0_97_4 [ x 8 ]\n"
"    curveright_0_97_3 [ x 6 ]\n"
"    curveright_0_97_2 [ x 4 ]\n"
"    curveright_0_97_1 [ x 2 ]\n"
"    curveleft_0_97_0 [ ]\n"
"    curveleft_0_97_1 [ x -2 ]\n"
"    curveleft_0_97_2 [ x -4 ]\n"
"    curveleft_0_97_3 [ x -6 ]\n"
"    curveleft_0_97_4 [ x -8 ]\n"
"    curveleft_0_97_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_98\n"
"rule {\n"
"    curveright_0_98_5 [ x 10 ]\n"
"    curveright_0_98_4 [ x 8 ]\n"
"    curveright_0_98_3 [ x 6 ]\n"
"    curveright_0_98_2 [ x 4 ]\n"
"    curveright_0_98_1 [ x 2 ]\n"
"    curveleft_0_98_0 [ ]\n"
"    curveleft_0_98_1 [ x -2 ]\n"
"    curveleft_0_98_2 [ x -4 ]\n"
"    curveleft_0_98_3 [ x -6 ]\n"
"    curveleft_0_98_4 [ x -8 ]\n"
"    curveleft_0_98_5 [ x -10 ]\n"
"}\n"
"\n"
"shape test_i_curves_0_99\n"
"rule {\n"
"    curveright_0_99_5 [ x 10 ]\n"
"    curveright_0_99_4 [ x 8 ]\n"
"    curveright_0_99_3 [ x 6 ]\n"
"    curveright_0_99_2 [ x 4 ]\n"
"    curveright_0_99_1 [ x 2 ]\n"
"    curveleft_0_99_0 [ ]\n"
"    curveleft_0_99_1 [ x -2 ]\n"
"    curveleft_0_99_2 [ x -4 ]\n"
"    curveleft_0_99_3 [ x -6 ]\n"
"    curveleft_0_99_4 [ x -8 ]\n"
"    curveleft_0_99_5 [ x -10 ]\n"
"}\n"
"\n"
 ,
"// This is a library file that is included in other files\n"
"// It offers a family of curves\n"
"\n"
"startshape test_i_curves\n"
"\n"
" rule curveright_0_9_5 {\n"
" SQUARE { }\n"
" curveright_0_9_5 { rotate -5 size 0.9 x -0.0124921 y 0.909067 }\n"
"}\n"
"\n"
" rule curveright_0_9_4 {\n"
" SQUARE { }\n"
" curveright_0_9_4 { rotate -4 size 0.9 x -0.0197055 y 0.917513 }\n"
"}\n"
"\n"
" rule curveright_0_9_3 {\n"
" SQUARE { }\n"
" curveright_0_9_3 { rotate -3 size 0.9 x -0.0270653 y 0.925832 }\n"
"}\n"
"\n"
" rule curveright_0_9_2 {\n"
" SQUARE { }\n"
" curveright_0_9_2 { rotate -2 size 0.9 x -0.0345691 y 0.934021 }\n"
"}\n"
"\n"
" rule curveright_0_9_1 {\n"
" SQUARE { }\n"
" curveright_0_9_1 { rotate -1 size 0.9 x -0.0422147 y 0.942078 }\n"
"}\n"
"\n"
"rule curveleft_0_9_0 {\n"
" SQUARE { }\n"
" curveleft_0_9_0 { rotate 0 size 0.9 x 0.0500008 y 0.950001 }\n"
"}\n"
"\n"
"rule curveleft_0_9_1 {\n"
" SQUARE { }\n"
" curveleft_0_9_1 { rotate 1 size 0.9 x 0.0422158 y 0.942079 }\n"
"}\n"
"\n"
"rule curveleft_0_9_2 {\n"
" SQUARE { }\n"
" curveleft_0_9_2 { rotate 2 size 0.9 x 0.0345701 y 0.934022 }\n"
"}\n"
"\n"
"rule curveleft_0_9_3 {\n"
" SQUARE { }\n"
" curveleft_0_9_3 { rotate 3 size 0.9 x 0.0270664 y 0.925833 }\n"
"}\n"
"\n"
"rule curveleft_0_9_4 {\n"
" SQUARE { }\n"
" curveleft_0_9_4 { rotate 4 size 0.9 x 0.0197066 y 0.917514 }\n"
"}\n"
"\n"
"rule curveleft_0_9_5 {\n"
" SQUARE { }\n"
" curveleft_0_9_5 { rotate 5 size 0.9 x 0.0124931 y 0.909068 }\n"
"}\n"
"\n"
" rule curveright_0_91_5 {\n"
" SQUARE { }\n"
" curveright_0_91_5 { rotate -5 size 0.91 x -0.00707531 y 0.913612 }\n"
"}\n"
"\n"
" rule curveright_0_91_4 {\n"
" SQUARE { }\n"
" curveright_0_91_4 { rotate -4 size 0.91 x -0.0143689 y 0.922152 }\n"
"}\n"
"\n"
" rule curveright_0_91_3 {\n"
" SQUARE { }\n"
" curveright_0_91_3 { rotate -3 size 0.91 x -0.0218104 y 0.930563 }\n"
"}\n"
"\n"
" rule curveright_0_91_2 {\n"
" SQUARE { }\n"
" curveright_0_91_2 { rotate -2 size 0.91 x -0.0293976 y 0.938843 }\n"
"}\n"
"\n"
" rule curveright_0_91_1 {\n"
" SQUARE { }\n"
" curveright_0_91_1 { rotate -1 size 0.91 x -0.0371282 y 0.94699 }\n"
"}\n"
"\n"
"rule curveleft_0_91_0 {\n"
" SQUARE { }\n"
" curveleft_0_91_0 { rotate 0 size 0.91 x 0.0450008 y 0.955001 }\n"
"}\n"
"\n"
"rule curveleft_0_91_1 {\n"
" SQUARE { }\n"
" curveleft_0_91_1 { rotate 1 size 0.91 x 0.0371293 y 0.946991 }\n"
"}\n"
"\n"
"rule curveleft_0_91_2 {\n"
" SQUARE { }\n"
" curveleft_0_91_2 { rotate 2 size 0.91 x 0.0293987 y 0.938844 }\n"
"}\n"
"\n"
"rule curveleft_0_91_3 {\n"
" SQUARE { }\n"
" curveleft_0_91_3 { rotate 3 size 0.91 x 0.0218115 y 0.930565 }\n"
"}\n"
"\n"
"rule curveleft_0_91_4 {\n"
" SQUARE { }\n"
" curveleft_0_91_4 { rotate 4 size 0.91 x 0.01437 y 0.922153 }\n"
"}\n"
"\n"
"rule curveleft_0_91_5 {\n"
" SQUARE { }\n"
" curveleft_0_91_5 { rotate 5 size 0.91 x 0.00707635 y 0.913614 }\n"
"}\n"
"\n"
" rule curveright_0_92_5 {\n"
" SQUARE { }\n"
" curveright_0_92_5 { rotate -5 size 0.92 x -0.00165855 y 0.918158 }\n"
"}\n"
"\n"
" rule curveright_0_92_4 {\n"
" SQUARE { }\n"
" curveright_0_92_4 { rotate -4 size 0.92 x -0.00903229 y 0.926791 }\n"
"}\n"
"\n"
" rule curveright_0_92_3 {\n"
" SQUARE { }\n"
" curveright_0_92_3 { rotate -3 size 0.92 x -0.0165556 y 0.935295 }\n"
"}\n"
"\n"
" rule curveright_0_92_2 {\n"
" SQUARE { }\n"
" curveright_0_92_2 { rotate -2 size 0.92 x -0.0242262 y 0.943666 }\n"
"}\n"
"\n"
" rule curveright_0_92_1 {\n"
" SQUARE { }\n"
" curveright_0_92_1 { rotate -1 size 0.92 x -0.0320417 y 0.951902 }\n"
"}\n"
"\n"
"rule curveleft_0_92_0 {\n"
" SQUARE { }\n"
" curveleft_0_92_0 { rotate 0 size 0.92 x 0.0400008 y 0.960001 }\n"
"}\n"
"\n"
"rule curveleft_0_92_1 {\n"
" SQUARE { }\n"
" curveleft_0_92_1 { rotate 1 size 0.92 x 0.0320428 y 0.951903 }\n"
"}\n"
"\n"
"rule curveleft_0_92_2 {\n"
" SQUARE { }\n"
" curveleft_0_92_2 { rotate 2 size 0.92 x 0.0242272 y 0.943667 }\n"
"}\n"
"\n"
"rule curveleft_0_92_3 {\n"
" SQUARE { }\n"
" curveleft_0_92_3 { rotate 3 size 0.92 x 0.0165567 y 0.935296 }\n"
"}\n"
"\n"
"rule curveleft_0_92_4 {\n"
" SQUARE { }\n"
" curveleft_0_92_4 { rotate 4 size 0.92 x 0.00903342 y 0.926793 }\n"
"}\n"
"\n"
"rule curveleft_0_92_5 {\n"
" SQUARE { }\n"
" curveleft_0_92_5 { rotate 5 size 0.92 x 0.00165959 y 0.918159 }\n"
"}\n"
"\n"
" rule curveright_0_93_5 {\n"
" SQUARE { }\n"
" curveright_0_93_5 { rotate -5 size 0.93 x 0.00375817 y 0.922703 }\n"
"}\n"
"\n"
" rule curveright_0_93_4 {\n"
" SQUARE { }\n"
" curveright_0_93_4 { rotate -4 size 0.93 x -0.00369572 y 0.93143 }\n"
"}\n"
"\n"
" rule curveright_0_93_3 {\n"
" SQUARE { }\n"
" curveright_0_93_3 { rotate -3 size 0.93 x -0.0113008 y 0.940026 }\n"
"}\n"
"\n"
" rule curveright_0_93_2 {\n"
" SQUARE { }\n"
" curveright_0_93_2 { rotate -2 size 0.93 x -0.0190547 y 0.948488 }\n"
"}\n"
"\n"
" rule curveright_0_93_1 {\n"
" SQUARE { }\n"
" curveright_0_93_1 { rotate -1 size 0.93 x -0.0269552 y 0.956814 }\n"
"}\n"
"\n"
"rule curveleft_0_93_0 {\n"
" SQUARE { }\n"
" curveleft_0_93_0 { rotate 0 size 0.93 x 0.0350009 y 0.965001 }\n"
"}\n"
"\n"
"rule curveleft_0_93_1 {\n"
" SQUARE { }\n"
" curveleft_0_93_1 { rotate 1 size 0.93 x 0.0269564 y 0.956815 }\n"
"}\n"
"\n"
"rule curveleft_0_93_2 {\n"
" SQUARE { }\n"
" curveleft_0_93_2 { rotate 2 size 0.93 x 0.0190558 y 0.948489 }\n"
"}\n"
"\n"
"rule curveleft_0_93_3 {\n"
" SQUARE { }\n"
" curveleft_0_93_3 { rotate 3 size 0.93 x 0.0113019 y 0.940027 }\n"
"}\n"
"\n"
"rule curveleft_0_93_4 {\n"
" SQUARE { }\n"
" curveleft_0_93_4 { rotate 4 size 0.93 x 0.00369686 y 0.931432 }\n"
"}\n"
"\n"
"rule curveleft_0_93_5 {\n"
" SQUARE { }\n"
" curveleft_0_93_5 { rotate 5 size 0.93 x -0.00375711 y 0.922704 }\n"
"}\n"
"\n"
" rule curveright_0_94_5 {\n"
" SQUARE { }\n"
" curveright_0_94_5 { rotate -5 size 0.94 x 0.00917493 y 0.927248 }\n"
"}\n"
"\n"
" rule curveright_0_94_4 {\n"
" SQUARE { }\n"
" curveright_0_94_4 { rotate -4 size 0.94 x 0.00164089 y 0.936069 }\n"
"}\n"
"\n"
" rule curveright_0_94_3 {\n"
" SQUARE { }\n"
" curveright_0_94_3 { rotate -3 size 0.94 x -0.00604596 y 0.944758 }\n"
"}\n"
"\n"
" rule curveright_0_94_2 {\n"
" SQUARE { }\n"
" curveright_0_94_2 { rotate -2 size 0.94 x -0.0138833 y 0.953311 }\n"
"}\n"
"\n"
" rule curveright_0_94_1 {\n"
" SQUARE { }\n"
" curveright_0_94_1 { rotate -1 size 0.94 x -0.0218687 y 0.961725 }\n"
"}\n"
"\n"
"rule curveleft_0_94_0 {\n"
" SQUARE { }\n"
" curveleft_0_94_0 { rotate 0 size 0.94 x 0.0300009 y 0.970001 }\n"
"}\n"
"\n"
"rule curveleft_0_94_1 {\n"
" SQUARE { }\n"
" curveleft_0_94_1 { rotate 1 size 0.94 x 0.0218699 y 0.961727 }\n"
"}\n"
"\n"
"rule curveleft_0_94_2 {\n"
" SQUARE { }\n"
" curveleft_0_94_2 { rotate 2 size 0.94 x 0.0138844 y 0.953312 }\n"
"}\n"
"\n"
"rule curveleft_0_94_3 {\n"
" SQUARE { }\n"
" curveleft_0_94_3 { rotate 3 size 0.94 x 0.00604711 y 0.944759 }\n"
"}\n"
"\n"
"rule curveleft_0_94_4 {\n"
" SQUARE { }\n"
" curveleft_0_94_4 { rotate 4 size 0.94 x -0.00163974 y 0.936071 }\n"
"}\n"
"\n"
"rule curveleft_0_94_5 {\n"
" SQUARE { }\n"
" curveleft_0_94_5 { rotate 5 size 0.94 x -0.00917386 y 0.927249 }\n"
"}\n"
"\n"
" rule curveright_0_95_5 {\n"
" SQUARE { }\n"
" curveright_0_95_5 { rotate -5 size 0.95 x 0.0145917 y 0.931793 }\n"
"}\n"
"\n"
" rule curveright_0_95_4 {\n"
" SQUARE { }\n"
" curveright_0_95_4 { rotate -4 size 0.95 x 0.0069775 y 0.940708 }\n"
"}\n"
"\n"
" rule curveright_0_95_3 {\n"
" SQUARE { }\n"
" curveright_0_95_3 { rotate -3 size 0.95 x 0 y 0.949489 }\n"
"}\n"
"\n"
" rule curveright_0_95_2 {\n"
" SQUARE { }\n"
" curveright_0_95_2 { rotate -2 size 0.95 x -0.00871182 y 0.958133 }\n"
"}\n"
"\n"
" rule curveright_0_95_1 {\n"
" SQUARE { }\n"
" curveright_0_95_1 { rotate -1 size 0.95 x -0.0167822 y 0.966637 }\n"
"}\n"
"\n"
"rule curveleft_0_95_0 {\n"
" SQUARE { }\n"
" curveleft_0_95_0 { rotate 0 size 0.95 x 0.0250009 y 0.975001 }\n"
"}\n"
"\n"
"rule curveleft_0_95_1 {\n"
" SQUARE { }\n"
" curveleft_0_95_1 { rotate 1 size 0.95 x 0.0167834 y 0.966639 }\n"
"}\n"
"\n"
"rule curveleft_0_95_2 {\n"
" SQUARE { }\n"
" curveleft_0_95_2 { rotate 2 size 0.95 x 0.00871294 y 0.958134 }\n"
"}\n"
"\n"
"rule curveleft_0_95_3 {\n"
" SQUARE { }\n"
" curveleft_0_95_3 { rotate 3 size 0.95 x 0 y 0.94949 }\n"
"}\n"
"\n"
"rule curveleft_0_95_4 {\n"
" SQUARE { }\n"
" curveleft_0_95_4 { rotate 4 size 0.95 x -0.00697634 y 0.94071 }\n"
"}\n"
"\n"
"rule curveleft_0_95_5 {\n"
" SQUARE { }\n"
" curveleft_0_95_5 { rotate 5 size 0.95 x -0.0145906 y 0.931794 }\n"
"}\n"
"\n"
" rule curveright_0_96_5 {\n"
" SQUARE { }\n"
" curveright_0_96_5 { rotate -5 size 0.96 x 0.0200085 y 0.936338 }\n"
"}\n"
"\n"
" rule curveright_0_96_4 {\n"
" SQUARE { }\n"
" curveright_0_96_4 { rotate -4 size 0.96 x 0.0123141 y 0.945347 }\n"
"}\n"
"\n"
" rule curveright_0_96_3 {\n"
" SQUARE { }\n"
" curveright_0_96_3 { rotate -3 size 0.96 x 0.00446371 y 0.954221 }\n"
"}\n"
"\n"
" rule curveright_0_96_2 {\n"
" SQUARE { }\n"
" curveright_0_96_2 { rotate -2 size 0.96 x -0.00354036 y 0.962956 }\n"
"}\n"
"\n"
" rule curveright_0_96_1 {\n"
" SQUARE { }\n"
" curveright_0_96_1 { rotate -1 size 0.96 x -0.0116957 y 0.971549 }\n"
"}\n"
"\n"
"rule curveleft_0_96_0 {\n"
" SQUARE { }\n"
" curveleft_0_96_0 { rotate 0 size 0.96 x 0.0200009 y 0.980001 }\n"
"}\n"
"\n"
"rule curveleft_0_96_1 {\n"
" SQUARE { }\n"
" curveleft_0_96_1 { rotate 1 size 0.96 x 0.0116969 y 0.971551 }\n"
"}\n"
"\n"
"rule curveleft_0_96_2 {\n"
" SQUARE { }\n"
" curveleft_0_96_2 { rotate 2 size 0.96 x 0.00354149 y 0.962957 }\n"
"}\n"
"\n"
"rule curveleft_0_96_3 {\n"
" SQUARE { }\n"
" curveleft_0_96_3 { rotate 3 size 0.96 x -0.00446254 y 0.954222 }\n"
"}\n"
"\n"
"rule curveleft_0_96_4 {\n"
" SQUARE { }\n"
" curveleft_0_96_4 { rotate 4 size 0.96 x -0.0123129 y 0.945349 }\n"
"}\n"
"\n"
"rule curveleft_0_96_5 {\n"
" SQUARE { }\n"
" curveleft_0_96_5 { rotate 5 size 0.96 x -0.0200074 y 0.93634 }\n"
"}\n"
"\n"
" rule curveright_0_97_5 {\n"
" SQUARE { }\n"
" curveright_0_97_5 { rotate -5 size 0.97 x 0.0254252 y 0.940884 }\n"
"}\n"
"\n"
" rule curveright_0_97_4 {\n"
" SQUARE { }\n"
" curveright_0_97_4 { rotate -4 size 0.97 x 0.0176507 y 0.949986 }\n"
"}\n"
"\n"
" rule curveright_0_97_3 {\n"
" SQUARE { }\n"
" curveright_0_97_3 { rotate -3 size 0.97 x 0.00971855 y 0.958952 }\n"
"}\n"
"\n"
" rule curveright_0_97_2 {\n"
" SQUARE { }\n"
" curveright_0_97_2 { rotate -2 size 0.97 x 0.0016311 y 0.967778 }\n"
"}\n"
"\n"
" rule curveright_0_97_1 {\n"
" SQUARE { }\n"
" curveright_0_97_1 { rotate -1 size 0.97 x -0.00660916 y 0.976461 }\n"
"}\n"
"\n"
"rule curveleft_0_97_0 {\n"
" SQUARE { }\n"
" curveleft_0_97_0 { rotate 0 size 0.97 x 0.0150009 y 0.985001 }\n"
"}\n"
"\n"
"rule curveleft_0_97_1 {\n"
" SQUARE { }\n"
" curveleft_0_97_1 { rotate 1 size 0.97 x 0.00661039 y 0.976463 }\n"
"}\n"
"\n"
"rule curveleft_0_97_2 {\n"
" SQUARE { }\n"
" curveleft_0_97_2 { rotate 2 size 0.97 x -0.00162996 y 0.967779 }\n"
"}\n"
"\n"
"rule curveleft_0_97_3 {\n"
" SQUARE { }\n"
" curveleft_0_97_3 { rotate 3 size 0.97 x -0.00971737 y 0.958953 }\n"
"}\n"
"\n"
"rule curveleft_0_97_4 {\n"
" SQUARE { }\n"
" curveleft_0_97_4 { rotate 4 size 0.97 x -0.0176495 y 0.949988 }\n"
"}\n"
"\n"
"rule curveleft_0_97_5 {\n"
" SQUARE { }\n"
" curveleft_0_97_5 { rotate 5 size 0.97 x -0.0254241 y 0.940885 }\n"
"}\n"
"\n"
" rule curveright_0_98_5 {\n"
" SQUARE { }\n"
" curveright_0_98_5 { rotate -5 size 0.98 x 0.030842 y 0.945429 }\n"
"}\n"
"\n"
" rule curveright_0_98_4 {\n"
" SQUARE { }\n"
" curveright_0_98_4 { rotate -4 size 0.98 x 0.0229873 y 0.954625 }\n"
"}\n"
"\n"
" rule curveright_0_98_3 {\n"
" SQUARE { }\n"
" curveright_0_98_3 { rotate -3 size 0.98 x 0.0149734 y 0.963684 }\n"
"}\n"
"\n"
" rule curveright_0_98_2 {\n"
" SQUARE { }\n"
" curveright_0_98_2 { rotate -2 size 0.98 x 0.00680257 y 0.9726 }\n"
"}\n"
"\n"
" rule curveright_0_98_1 {\n"
" SQUARE { }\n"
" curveright_0_98_1 { rotate -1 size 0.98 x -0.00152265 y 0.981373 }\n"
"}\n"
"\n"
"rule curveleft_0_98_0 {\n"
" SQUARE { }\n"
" curveleft_0_98_0 { rotate 0 size 0.98 x 0.0100009 y 0.990001 }\n"
"}\n"
"\n"
"rule curveleft_0_98_1 {\n"
" SQUARE { }\n"
" curveleft_0_98_1 { rotate 1 size 0.98 x 0.00152389 y 0.981375 }\n"
"}\n"
"\n"
"rule curveleft_0_98_2 {\n"
" SQUARE { }\n"
" curveleft_0_98_2 { rotate 2 size 0.98 x -0.00680141 y 0.972602 }\n"
"}\n"
"\n"
"rule curveleft_0_98_3 {\n"
" SQUARE { }\n"
" curveleft_0_98_3 { rotate 3 size 0.98 x -0.0149722 y 0.963685 }\n"
"}\n"
"\n"
"rule curveleft_0_98_4 {\n"
" SQUARE { }\n"
" curveleft_0_98_4 { rotate 4 size 0.98 x -0.0229861 y 0.954627 }\n"
"}\n"
"\n"
"rule curveleft_0_98_5 {\n"
" SQUARE { }\n"
" curveleft_0_98_5 { rotate 5 size 0.98 x -0.0308409 y 0.94543 }\n"
"}\n"
"\n"
" rule curveright_0_99_5 {\n"
" SQUARE { }\n"
" curveright_0_99_5 { rotate -5 size 0.99 x 0.0362587 y 0.949974 }\n"
"}\n"
"\n"
" rule curveright_0_99_4 {\n"
" SQUARE { }\n"
" curveright_0_99_4 { rotate -4 size 0.99 x 0.028324 y 0.959264 }\n"
"}\n"
"\n"
" rule curveright_0_99_3 {\n"
" SQUARE { }\n"
" curveright_0_99_3 { rotate -3 size 0.99 x 0.0202282 y 0.968415 }\n"
"}\n"
"\n"
" rule curveright_0_99_2 {\n"
" SQUARE { }\n"
" curveright_0_99_2 { rotate -2 size 0.99 x 0.011974 y 0.977423 }\n"
"}\n"
"\n"
" rule curveright_0_99_1 {\n"
" SQUARE { }\n"
" curveright_0_99_1 { rotate -1 size 0.99 x 0.00356386 y 0.986285 }\n"
"}\n"
"\n"
"rule curveleft_0_99_0 {\n"
" SQUARE { }\n"
" curveleft_0_99_0 { rotate 0 size 0.99 x 0.0050009 y 0.995001 }\n"
"}\n"
"\n"
"rule curveleft_0_99_1 {\n"
" SQUARE { }\n"
" curveleft_0_99_1 { rotate 1 size 0.99 x -0.00356261 y 0.986287 }\n"
"}\n"
"\n"
"rule curveleft_0_99_2 {\n"
" SQUARE { }\n"
" curveleft_0_99_2 { rotate 2 size 0.99 x -0.0119729 y 0.977424 }\n"
"}\n"
"\n"
"rule curveleft_0_99_3 {\n"
" SQUARE { }\n"
" curveleft_0_99_3 { rotate 3 size 0.99 x -0.020227 y 0.968416 }\n"
"}\n"
"\n"
"rule curveleft_0_99_4 {\n"
" SQUARE { }\n"
" curveleft_0_99_4 { rotate 4 size 0.99 x -0.0283227 y 0.959266 }\n"
"}\n"
"\n"
"rule curveleft_0_99_5 {\n"
" SQUARE { }\n"
" curveleft_0_99_5 { rotate 5 size 0.99 x -0.0362576 y 0.949975 }\n"
"}\n"
"\n"
" rule curveright_1_5 {\n"
" SQUARE { }\n"
" curveright_1_5 { rotate -5 size 1 x 0.0416755 y 0.954519 }\n"
"}\n"
"\n"
" rule curveright_1_4 {\n"
" SQUARE { }\n"
" curveright_1_4 { rotate -4 size 1 x 0.0336605 y 0.963903 }\n"
"}\n"
"\n"
" rule curveright_1_3 {\n"
" SQUARE { }\n"
" curveright_1_3 { rotate -3 size 1 x 0.025483 y 0.973146 }\n"
"}\n"
"\n"
" rule curveright_1_2 {\n"
" SQUARE { }\n"
" curveright_1_2 { rotate -2 size 1 x 0.0171454 y 0.982245 }\n"
"}\n"
"\n"
" rule curveright_1_1 {\n"
" SQUARE { }\n"
" curveright_1_1 { rotate -1 size 1 x 0.00865033 y 0.991197 }\n"
"}\n"
"\n"
"rule curveleft_1_0 {\n"
" SQUARE { }\n"
" curveleft_1_0 { rotate 0 size 1 x 0 y 1 }\n"
"}\n"
"\n"
"rule curveleft_1_1 {\n"
" SQUARE { }\n"
" curveleft_1_1 { rotate 1 size 1 x -0.00864906 y 0.991199 }\n"
"}\n"
"\n"
"rule curveleft_1_2 {\n"
" SQUARE { }\n"
" curveleft_1_2 { rotate 2 size 1 x -0.0171443 y 0.982247 }\n"
"}\n"
"\n"
"rule curveleft_1_3 {\n"
" SQUARE { }\n"
" curveleft_1_3 { rotate 3 size 1 x -0.0254818 y 0.973148 }\n"
"}\n"
"\n"
"rule curveleft_1_4 {\n"
" SQUARE { }\n"
" curveleft_1_4 { rotate 4 size 1 x -0.0336593 y 0.963905 }\n"
"}\n"
"\n"
"rule curveleft_1_5 {\n"
" SQUARE { }\n"
" curveleft_1_5 { rotate 5 size 1 x -0.0416743 y 0.954521 }\n"
"}\n"
"\n"
" rule curveright_1_01_5 {\n"
" SQUARE { }\n"
" curveright_1_01_5 { rotate -5 size 1.01 x 0.0470922 y 0.959064 }\n"
"}\n"
"\n"
" rule curveright_1_01_4 {\n"
" SQUARE { }\n"
" curveright_1_01_4 { rotate -4 size 1.01 x 0.0389971 y 0.968542 }\n"
"}\n"
"\n"
" rule curveright_1_01_3 {\n"
" SQUARE { }\n"
" curveright_1_01_3 { rotate -3 size 1.01 x 0.0307379 y 0.977878 }\n"
"}\n"
"\n"
" rule curveright_1_01_2 {\n"
" SQUARE { }\n"
" curveright_1_01_2 { rotate -2 size 1.01 x 0.0223169 y 0.987068 }\n"
"}\n"
"\n"
" rule curveright_1_01_1 {\n"
" SQUARE { }\n"
" curveright_1_01_1 { rotate -1 size 1.01 x 0.0137368 y 0.996109 }\n"
"}\n"
"\n"
"rule curveleft_1_01_0 {\n"
" SQUARE { }\n"
" curveleft_1_01_0 { rotate 0 size 1.01 x -0.00499905 y 1.005 }\n"
"}\n"
"\n"
"rule curveleft_1_01_1 {\n"
" SQUARE { }\n"
" curveleft_1_01_1 { rotate 1 size 1.01 x -0.0137356 y 0.996111 }\n"
"}\n"
"\n"
"rule curveleft_1_01_2 {\n"
" SQUARE { }\n"
" curveleft_1_01_2 { rotate 2 size 1.01 x -0.0223157 y 0.987069 }\n"
"}\n"
"\n"
"rule curveleft_1_01_3 {\n"
" SQUARE { }\n"
" curveleft_1_01_3 { rotate 3 size 1.01 x -0.0307366 y 0.977879 }\n"
"}\n"
"\n"
"rule curveleft_1_01_4 {\n"
" SQUARE { }\n"
" curveleft_1_01_4 { rotate 4 size 1.01 x -0.0389959 y 0.968544 }\n"
"}\n"
"\n"
"rule curveleft_1_01_5 {\n"
" SQUARE { }\n"
" curveleft_1_01_5 { rotate 5 size 1.01 x -0.0470911 y 0.959066 }\n"
"}\n"
"\n"
" rule curveright_1_02_5 {\n"
" SQUARE { }\n"
" curveright_1_02_5 { rotate -5 size 1.02 x 0.0525089 y 0.96361 }\n"
"}\n"
"\n"
" rule curveright_1_02_4 {\n"
" SQUARE { }\n"
" curveright_1_02_4 { rotate -4 size 1.02 x 0.0443337 y 0.973181 }\n"
"}\n"
"\n"
" rule curveright_1_02_3 {\n"
" SQUARE { }\n"
" curveright_1_02_3 { rotate -3 size 1.02 x 0.0359927 y 0.982609 }\n"
"}\n"
"\n"
" rule curveright_1_02_2 {\n"
" SQUARE { }\n"
" curveright_1_02_2 { rotate -2 size 1.02 x 0.0274883 y 0.99189 }\n"
"}\n"
"\n"
" rule curveright_1_02_1 {\n"
" SQUARE { }\n"
" curveright_1_02_1 { rotate -1 size 1.02 x 0.0188233 y 1.00102 }\n"
"}\n"
"\n"
"rule curveleft_1_02_0 {\n"
" SQUARE { }\n"
" curveleft_1_02_0 { rotate 0 size 1.02 x -0.00999901 y 1.01 }\n"
"}\n"
"\n"
"rule curveleft_1_02_1 {\n"
" SQUARE { }\n"
" curveleft_1_02_1 { rotate 1 size 1.02 x -0.018822 y 1.00102 }\n"
"}\n"
"\n"
"rule curveleft_1_02_2 {\n"
" SQUARE { }\n"
" curveleft_1_02_2 { rotate 2 size 1.02 x -0.0274871 y 0.991892 }\n"
"}\n"
"\n"
"rule curveleft_1_02_3 {\n"
" SQUARE { }\n"
" curveleft_1_02_3 { rotate 3 size 1.02 x -0.0359914 y 0.982611 }\n"
"}\n"
"\n"
"rule curveleft_1_02_4 {\n"
" SQUARE { }\n"
" curveleft_1_02_4 { rotate 4 size 1.02 x -0.0443325 y 0.973183 }\n"
"}\n"
"\n"
"rule curveleft_1_02_5 {\n"
" SQUARE { }\n"
" curveleft_1_02_5 { rotate 5 size 1.02 x -0.0525078 y 0.963611 }\n"
"}\n"
"\n"
" rule curveright_1_03_5 {\n"
" SQUARE { }\n"
" curveright_1_03_5 { rotate -5 size 1.03 x 0.0579257 y 0.968155 }\n"
"}\n"
"\n"
" rule curveright_1_03_4 {\n"
" SQUARE { }\n"
" curveright_1_03_4 { rotate -4 size 1.03 x 0.0496704 y 0.977821 }\n"
"}\n"
"\n"
" rule curveright_1_03_3 {\n"
" SQUARE { }\n"
" curveright_1_03_3 { rotate -3 size 1.03 x 0.0412475 y 0.987341 }\n"
"}\n"
"\n"
" rule curveright_1_03_2 {\n"
" SQUARE { }\n"
" curveright_1_03_2 { rotate -2 size 1.03 x 0.0326598 y 0.996713 }\n"
"}\n"
"\n"
" rule curveright_1_03_1 {\n"
" SQUARE { }\n"
" curveright_1_03_1 { rotate -1 size 1.03 x 0.0239099 y 1.00593 }\n"
"}\n"
"\n"
"rule curveleft_1_03_0 {\n"
" SQUARE { }\n"
" curveleft_1_03_0 { rotate 0 size 1.03 x -0.014999 y 1.015 }\n"
"}\n"
"\n"
"rule curveleft_1_03_1 {\n"
" SQUARE { }\n"
" curveleft_1_03_1 { rotate 1 size 1.03 x -0.0239086 y 1.00593 }\n"
"}\n"
"\n"
"rule curveleft_1_03_2 {\n"
" SQUARE { }\n"
" curveleft_1_03_2 { rotate 2 size 1.03 x -0.0326586 y 0.996714 }\n"
"}\n"
"\n"
"rule curveleft_1_03_3 {\n"
" SQUARE { }\n"
" curveleft_1_03_3 { rotate 3 size 1.03 x -0.0412463 y 0.987342 }\n"
"}\n"
"\n"
"rule curveleft_1_03_4 {\n"
" SQUARE { }\n"
" curveleft_1_03_4 { rotate 4 size 1.03 x -0.0496691 y 0.977822 }\n"
"}\n"
"\n"
"rule curveleft_1_03_5 {\n"
" SQUARE { }\n"
" curveleft_1_03_5 { rotate 5 size 1.03 x -0.0579246 y 0.968156 }\n"
"}\n"
"\n"
" rule curveright_1_04_5 {\n"
" SQUARE { }\n"
" curveright_1_04_5 { rotate -5 size 1.04 x 0.0633425 y 0.9727 }\n"
"}\n"
"\n"
" rule curveright_1_04_4 {\n"
" SQUARE { }\n"
" curveright_1_04_4 { rotate -4 size 1.04 x 0.0550069 y 0.98246 }\n"
"}\n"
"\n"
" rule curveright_1_04_3 {\n"
" SQUARE { }\n"
" curveright_1_04_3 { rotate -3 size 1.04 x 0.0465023 y 0.992072 }\n"
"}\n"
"\n"
" rule curveright_1_04_2 {\n"
" SQUARE { }\n"
" curveright_1_04_2 { rotate -2 size 1.04 x 0.0378313 y 1.00154 }\n"
"}\n"
"\n"
" rule curveright_1_04_1 {\n"
" SQUARE { }\n"
" curveright_1_04_1 { rotate -1 size 1.04 x 0.0289963 y 1.01085 }\n"
"}\n"
"\n"
"rule curveleft_1_04_0 {\n"
" SQUARE { }\n"
" curveleft_1_04_0 { rotate 0 size 1.04 x -0.019999 y 1.02 }\n"
"}\n"
"\n"
"rule curveleft_1_04_1 {\n"
" SQUARE { }\n"
" curveleft_1_04_1 { rotate 1 size 1.04 x -0.028995 y 1.01085 }\n"
"}\n"
"\n"
"rule curveleft_1_04_2 {\n"
" SQUARE { }\n"
" curveleft_1_04_2 { rotate 2 size 1.04 x -0.03783 y 1.00154 }\n"
"}\n"
"\n"
"rule curveleft_1_04_3 {\n"
" SQUARE { }\n"
" curveleft_1_04_3 { rotate 3 size 1.04 x -0.0465011 y 0.992074 }\n"
"}\n"
"\n"
"rule curveleft_1_04_4 {\n"
" SQUARE { }\n"
" curveleft_1_04_4 { rotate 4 size 1.04 x -0.0550057 y 0.982461 }\n"
"}\n"
"\n"
"rule curveleft_1_04_5 {\n"
" SQUARE { }\n"
" curveleft_1_04_5 { rotate 5 size 1.04 x -0.0633413 y 0.972701 }\n"
"}\n"
"\n"
" rule curveright_1_05_5 {\n"
" SQUARE { }\n"
" curveright_1_05_5 { rotate -5 size 1.05 x 0.0687592 y 0.977245 }\n"
"}\n"
"\n"
" rule curveright_1_05_4 {\n"
" SQUARE { }\n"
" curveright_1_05_4 { rotate -4 size 1.05 x 0.0603435 y 0.987099 }\n"
"}\n"
"\n"
" rule curveright_1_05_3 {\n"
" SQUARE { }\n"
" curveright_1_05_3 { rotate -3 size 1.05 x 0.0517571 y 0.996804 }\n"
"}\n"
"\n"
" rule curveright_1_05_2 {\n"
" SQUARE { }\n"
" curveright_1_05_2 { rotate -2 size 1.05 x 0.0430027 y 1.00636 }\n"
"}\n"
"\n"
" rule curveright_1_05_1 {\n"
" SQUARE { }\n"
" curveright_1_05_1 { rotate -1 size 1.05 x 0.0340828 y 1.01576 }\n"
"}\n"
"\n"
"rule curveleft_1_05_0 {\n"
" SQUARE { }\n"
" curveleft_1_05_0 { rotate 0 size 1.05 x -0.024999 y 1.025 }\n"
"}\n"
"\n"
"rule curveleft_1_05_1 {\n"
" SQUARE { }\n"
" curveleft_1_05_1 { rotate 1 size 1.05 x -0.0340815 y 1.01576 }\n"
"}\n"
"\n"
"rule curveleft_1_05_2 {\n"
" SQUARE { }\n"
" curveleft_1_05_2 { rotate 2 size 1.05 x -0.0430014 y 1.00636 }\n"
"}\n"
"\n"
"rule curveleft_1_05_3 {\n"
" SQUARE { }\n"
" curveleft_1_05_3 { rotate 3 size 1.05 x -0.0517558 y 0.996805 }\n"
"}\n"
"\n"
"rule curveleft_1_05_4 {\n"
" SQUARE { }\n"
" curveleft_1_05_4 { rotate 4 size 1.05 x -0.0603422 y 0.9871 }\n"
"}\n"
"\n"
"rule curveleft_1_05_5 {\n"
" SQUARE { }\n"
" curveleft_1_05_5 { rotate 5 size 1.05 x -0.068758 y 0.977246 }\n"
"}\n"
"\n"
" rule curveright_1_06_5 {\n"
" SQUARE { }\n"
" curveright_1_06_5 { rotate -5 size 1.06 x 0.074176 y 0.98179 }\n"
"}\n"
"\n"
" rule curveright_1_06_4 {\n"
" SQUARE { }\n"
" curveright_1_06_4 { rotate -4 size 1.06 x 0.0656802 y 0.991738 }\n"
"}\n"
"\n"
" rule curveright_1_06_3 {\n"
" SQUARE { }\n"
" curveright_1_06_3 { rotate -3 size 1.06 x 0.057012 y 1.00154 }\n"
"}\n"
"\n"
" rule curveright_1_06_2 {\n"
" SQUARE { }\n"
" curveright_1_06_2 { rotate -2 size 1.06 x 0.0481742 y 1.01118 }\n"
"}\n"
"\n"
" rule curveright_1_06_1 {\n"
" SQUARE { }\n"
" curveright_1_06_1 { rotate -1 size 1.06 x 0.0391693 y 1.02067 }\n"
"}\n"
"\n"
"rule curveleft_1_06_0 {\n"
" SQUARE { }\n"
" curveleft_1_06_0 { rotate 0 size 1.06 x -0.029999 y 1.03 }\n"
"}\n"
"\n"
"rule curveleft_1_06_1 {\n"
" SQUARE { }\n"
" curveleft_1_06_1 { rotate 1 size 1.06 x -0.039168 y 1.02067 }\n"
"}\n"
"\n"
"rule curveleft_1_06_2 {\n"
" SQUARE { }\n"
" curveleft_1_06_2 { rotate 2 size 1.06 x -0.0481729 y 1.01118 }\n"
"}\n"
"\n"
"rule curveleft_1_06_3 {\n"
" SQUARE { }\n"
" curveleft_1_06_3 { rotate 3 size 1.06 x -0.0570107 y 1.00154 }\n"
"}\n"
"\n"
"rule curveleft_1_06_4 {\n"
" SQUARE { }\n"
" curveleft_1_06_4 { rotate 4 size 1.06 x -0.0656789 y 0.991739 }\n"
"}\n"
"\n"
"rule curveleft_1_06_5 {\n"
" SQUARE { }\n"
" curveleft_1_06_5 { rotate 5 size 1.06 x -0.0741748 y 0.981792 }\n"
"}\n"
"\n"
" rule curveright_1_07_5 {\n"
" SQUARE { }\n"
" curveright_1_07_5 { rotate -5 size 1.07 x 0.0795927 y 0.986336 }\n"
"}\n"
"\n"
" rule curveright_1_07_4 {\n"
" SQUARE { }\n"
" curveright_1_07_4 { rotate -4 size 1.07 x 0.0710168 y 0.996377 }\n"
"}\n"
"\n"
" rule curveright_1_07_3 {\n"
" SQUARE { }\n"
" curveright_1_07_3 { rotate -3 size 1.07 x 0.0622668 y 1.00627 }\n"
"}\n"
"\n"
" rule curveright_1_07_2 {\n"
" SQUARE { }\n"
" curveright_1_07_2 { rotate -2 size 1.07 x 0.0533456 y 1.016 }\n"
"}\n"
"\n"
" rule curveright_1_07_1 {\n"
" SQUARE { }\n"
" curveright_1_07_1 { rotate -1 size 1.07 x 0.0442559 y 1.02558 }\n"
"}\n"
"\n"
"rule curveleft_1_07_0 {\n"
" SQUARE { }\n"
" curveleft_1_07_0 { rotate 0 size 1.07 x -0.034999 y 1.035 }\n"
"}\n"
"\n"
"rule curveleft_1_07_1 {\n"
" SQUARE { }\n"
" curveleft_1_07_1 { rotate 1 size 1.07 x -0.0442545 y 1.02558 }\n"
"}\n"
"\n"
"rule curveleft_1_07_2 {\n"
" SQUARE { }\n"
" curveleft_1_07_2 { rotate 2 size 1.07 x -0.0533444 y 1.016 }\n"
"}\n"
"\n"
"rule curveleft_1_07_3 {\n"
" SQUARE { }\n"
" curveleft_1_07_3 { rotate 3 size 1.07 x -0.0622655 y 1.00627 }\n"
"}\n"
"\n"
"rule curveleft_1_07_4 {\n"
" SQUARE { }\n"
" curveleft_1_07_4 { rotate 4 size 1.07 x -0.0710155 y 0.996378 }\n"
"}\n"
"\n"
"rule curveleft_1_07_5 {\n"
" SQUARE { }\n"
" curveleft_1_07_5 { rotate 5 size 1.07 x -0.0795915 y 0.986337 }\n"
"}\n"
"\n"
" rule curveright_1_08_5 {\n"
" SQUARE { }\n"
" curveright_1_08_5 { rotate -5 size 1.08 x 0.0850095 y 0.990881 }\n"
"}\n"
"\n"
" rule curveright_1_08_4 {\n"
" SQUARE { }\n"
" curveright_1_08_4 { rotate -4 size 1.08 x 0.0763534 y 1.00102 }\n"
"}\n"
"\n"
" rule curveright_1_08_3 {\n"
" SQUARE { }\n"
" curveright_1_08_3 { rotate -3 size 1.08 x 0.0675217 y 1.011 }\n"
"}\n"
"\n"
" rule curveright_1_08_2 {\n"
" SQUARE { }\n"
" curveright_1_08_2 { rotate -2 size 1.08 x 0.0585171 y 1.02083 }\n"
"}\n"
"\n"
" rule curveright_1_08_1 {\n"
" SQUARE { }\n"
" curveright_1_08_1 { rotate -1 size 1.08 x 0.0493424 y 1.03049 }\n"
"}\n"
"\n"
"rule curveleft_1_08_0 {\n"
" SQUARE { }\n"
" curveleft_1_08_0 { rotate 0 size 1.08 x -0.039999 y 1.04 }\n"
"}\n"
"\n"
"rule curveleft_1_08_1 {\n"
" SQUARE { }\n"
" curveleft_1_08_1 { rotate 1 size 1.08 x -0.049341 y 1.03049 }\n"
"}\n"
"\n"
"rule curveleft_1_08_2 {\n"
" SQUARE { }\n"
" curveleft_1_08_2 { rotate 2 size 1.08 x -0.0585158 y 1.02083 }\n"
"}\n"
"\n"
"rule curveleft_1_08_3 {\n"
" SQUARE { }\n"
" curveleft_1_08_3 { rotate 3 size 1.08 x -0.0675204 y 1.011 }\n"
"}\n"
"\n"
"rule curveleft_1_08_4 {\n"
" SQUARE { }\n"
" curveleft_1_08_4 { rotate 4 size 1.08 x -0.0763521 y 1.00102 }\n"
"}\n"
"\n"
"rule curveleft_1_08_5 {\n"
" SQUARE { }\n"
" curveleft_1_08_5 { rotate 5 size 1.08 x -0.0850083 y 0.990882 }\n"
"}\n"
"\n"
" rule curveright_1_09_5 {\n"
" SQUARE { }\n"
" curveright_1_09_5 { rotate -5 size 1.09 x 0.0904263 y 0.995426 }\n"
"}\n"
"\n"
" rule curveright_1_09_4 {\n"
" SQUARE { }\n"
" curveright_1_09_4 { rotate -4 size 1.09 x 0.08169 y 1.00565 }\n"
"}\n"
"\n"
" rule curveright_1_09_3 {\n"
" SQUARE { }\n"
" curveright_1_09_3 { rotate -3 size 1.09 x 0.0727765 y 1.01573 }\n"
"}\n"
"\n"
" rule curveright_1_09_2 {\n"
" SQUARE { }\n"
" curveright_1_09_2 { rotate -2 size 1.09 x 0.0636886 y 1.02565 }\n"
"}\n"
"\n"
" rule curveright_1_09_1 {\n"
" SQUARE { }\n"
" curveright_1_09_1 { rotate -1 size 1.09 x 0.0544289 y 1.03541 }\n"
"}\n"
"\n"
"rule curveleft_1_09_0 {\n"
" SQUARE { }\n"
" curveleft_1_09_0 { rotate 0 size 1.09 x -0.044999 y 1.045 }\n"
"}\n"
"\n"
"rule curveleft_1_09_1 {\n"
" SQUARE { }\n"
" curveleft_1_09_1 { rotate 1 size 1.09 x -0.0544275 y 1.03541 }\n"
"}\n"
"\n"
"rule curveleft_1_09_2 {\n"
" SQUARE { }\n"
" curveleft_1_09_2 { rotate 2 size 1.09 x -0.0636873 y 1.02565 }\n"
"}\n"
"\n"
"rule curveleft_1_09_3 {\n"
" SQUARE { }\n"
" curveleft_1_09_3 { rotate 3 size 1.09 x -0.0727752 y 1.01573 }\n"
"}\n"
"\n"
"rule curveleft_1_09_4 {\n"
" SQUARE { }\n"
" curveleft_1_09_4 { rotate 4 size 1.09 x -0.0816887 y 1.00566 }\n"
"}\n"
"\n"
"rule curveleft_1_09_5 {\n"
" SQUARE { }\n"
" curveleft_1_09_5 { rotate 5 size 1.09 x -0.090425 y 0.995427 }\n"
"}\n"
"\n"
" rule curveright_1_1_5 {\n"
" SQUARE { }\n"
" curveright_1_1_5 { rotate -5 size 1.1 x 0.095843 y 0.999971 }\n"
"}\n"
"\n"
" rule curveright_1_1_4 {\n"
" SQUARE { }\n"
" curveright_1_1_4 { rotate -4 size 1.1 x 0.0870266 y 1.01029 }\n"
"}\n"
"\n"
" rule curveright_1_1_3 {\n"
" SQUARE { }\n"
" curveright_1_1_3 { rotate -3 size 1.1 x 0.0780314 y 1.02046 }\n"
"}\n"
"\n"
" rule curveright_1_1_2 {\n"
" SQUARE { }\n"
" curveright_1_1_2 { rotate -2 size 1.1 x 0.06886 y 1.03047 }\n"
"}\n"
"\n"
" rule curveright_1_1_1 {\n"
" SQUARE { }\n"
" curveright_1_1_1 { rotate -1 size 1.1 x 0.0595154 y 1.04032 }\n"
"}\n"
"\n"
"rule curveleft_1_1_0 {\n"
" SQUARE { }\n"
" curveleft_1_1_0 { rotate 0 size 1.1 x -0.049999 y 1.05 }\n"
"}\n"
"\n"
"rule curveleft_1_1_1 {\n"
" SQUARE { }\n"
" curveleft_1_1_1 { rotate 1 size 1.1 x -0.059514 y 1.04032 }\n"
"}\n"
"\n"
"rule curveleft_1_1_2 {\n"
" SQUARE { }\n"
" curveleft_1_1_2 { rotate 2 size 1.1 x -0.0688587 y 1.03047 }\n"
"}\n"
"\n"
"rule curveleft_1_1_3 {\n"
" SQUARE { }\n"
" curveleft_1_1_3 { rotate 3 size 1.1 x -0.07803 y 1.02046 }\n"
"}\n"
"\n"
"rule curveleft_1_1_4 {\n"
" SQUARE { }\n"
" curveleft_1_1_4 { rotate 4 size 1.1 x -0.0870253 y 1.0103 }\n"
"}\n"
"\n"
"rule curveleft_1_1_5 {\n"
" SQUARE { }\n"
" curveleft_1_1_5 { rotate 5 size 1.1 x -0.0958418 y 0.999973 }\n"
"}\n"
"\n"
"\n"
"rule test_i_curves {\n"
"    test_i_curves_0_9  { x -35 y -40 }\n"
"    test_i_curves_0_91 { x   0 y -40 }\n"
"    test_i_curves_0_92 { x  35 y -40 }\n"
"    test_i_curves_0_93 { x -40 y -20 }\n"
"    test_i_curves_0_94 { x   0 y -20 }\n"
"    test_i_curves_0_95 { x  40 y -20 }\n"
"    test_i_curves_0_96 { x -55 y   0 }\n"
"    test_i_curves_0_97 { x   0 y   0 }\n"
"    test_i_curves_0_98 { x  55 y   0 }\n"
"    test_i_curves_0_99 { x   0 y  40 }\n"
"}\n"
"\n"
"rule test_i_curves_0_9 {\n"
"    curveright_0_9_5 { x 10 }\n"
"    curveright_0_9_4 { x 8 }\n"
"    curveright_0_9_3 { x 6 }\n"
"    curveright_0_9_2 { x 4 }\n"
"    curveright_0_9_1 { x 2 }\n"
"    curveleft_0_9_0 { }\n"
"    curveleft_0_9_1 { x -2 }\n"
"    curveleft_0_9_2 { x -4 }\n"
"    curveleft_0_9_3 { x -6 }\n"
"    curveleft_0_9_4 { x -8 }\n"
"    curveleft_0_9_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_91 {\n"
"    curveright_0_91_5 { x 10 }\n"
"    curveright_0_91_4 { x 8 }\n"
"    curveright_0_91_3 { x 6 }\n"
"    curveright_0_91_2 { x 4 }\n"
"    curveright_0_91_1 { x 2 }\n"
"    curveleft_0_91_0 { }\n"
"    curveleft_0_91_1 { x -2 }\n"
"    curveleft_0_91_2 { x -4 }\n"
"    curveleft_0_91_3 { x -6 }\n"
"    curveleft_0_91_4 { x -8 }\n"
"    curveleft_0_91_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_92 {\n"
"    curveright_0_92_5 { x 10 }\n"
"    curveright_0_92_4 { x 8 }\n"
"    curveright_0_92_3 { x 6 }\n"
"    curveright_0_92_2 { x 4 }\n"
"    curveright_0_92_1 { x 2 }\n"
"    curveleft_0_92_0 { }\n"
"    curveleft_0_92_1 { x -2 }\n"
"    curveleft_0_92_2 { x -4 }\n"
"    curveleft_0_92_3 { x -6 }\n"
"    curveleft_0_92_4 { x -8 }\n"
"    curveleft_0_92_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_93 {\n"
"    curveright_0_93_5 { x 10 }\n"
"    curveright_0_93_4 { x 8 }\n"
"    curveright_0_93_3 { x 6 }\n"
"    curveright_0_93_2 { x 4 }\n"
"    curveright_0_93_1 { x 2 }\n"
"    curveleft_0_93_0 { }\n"
"    curveleft_0_93_1 { x -2 }\n"
"    curveleft_0_93_2 { x -4 }\n"
"    curveleft_0_93_3 { x -6 }\n"
"    curveleft_0_93_4 { x -8 }\n"
"    curveleft_0_93_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_94 {\n"
"    curveright_0_94_5 { x 10 }\n"
"    curveright_0_94_4 { x 8 }\n"
"    curveright_0_94_3 { x 6 }\n"
"    curveright_0_94_2 { x 4 }\n"
"    curveright_0_94_1 { x 2 }\n"
"    curveleft_0_94_0 { }\n"
"    curveleft_0_94_1 { x -2 }\n"
"    curveleft_0_94_2 { x -4 }\n"
"    curveleft_0_94_3 { x -6 }\n"
"    curveleft_0_94_4 { x -8 }\n"
"    curveleft_0_94_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_95 {\n"
"    curveright_0_95_5 { x 10 }\n"
"    curveright_0_95_4 { x 8 }\n"
"    curveright_0_95_3 { x 6 }\n"
"    curveright_0_95_2 { x 4 }\n"
"    curveright_0_95_1 { x 2 }\n"
"    curveleft_0_95_0 { }\n"
"    curveleft_0_95_1 { x -2 }\n"
"    curveleft_0_95_2 { x -4 }\n"
"    curveleft_0_95_3 { x -6 }\n"
"    curveleft_0_95_4 { x -8 }\n"
"    curveleft_0_95_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_96 {\n"
"    curveright_0_96_5 { x 10 }\n"
"    curveright_0_96_4 { x 8 }\n"
"    curveright_0_96_3 { x 6 }\n"
"    curveright_0_96_2 { x 4 }\n"
"    curveright_0_96_1 { x 2 }\n"
"    curveleft_0_96_0 { }\n"
"    curveleft_0_96_1 { x -2 }\n"
"    curveleft_0_96_2 { x -4 }\n"
"    curveleft_0_96_3 { x -6 }\n"
"    curveleft_0_96_4 { x -8 }\n"
"    curveleft_0_96_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_97 {\n"
"    curveright_0_97_5 { x 10 }\n"
"    curveright_0_97_4 { x 8 }\n"
"    curveright_0_97_3 { x 6 }\n"
"    curveright_0_97_2 { x 4 }\n"
"    curveright_0_97_1 { x 2 }\n"
"    curveleft_0_97_0 { }\n"
"    curveleft_0_97_1 { x -2 }\n"
"    curveleft_0_97_2 { x -4 }\n"
"    curveleft_0_97_3 { x -6 }\n"
"    curveleft_0_97_4 { x -8 }\n"
"    curveleft_0_97_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_98 {\n"
"    curveright_0_98_5 { x 10 }\n"
"    curveright_0_98_4 { x 8 }\n"
"    curveright_0_98_3 { x 6 }\n"
"    curveright_0_98_2 { x 4 }\n"
"    curveright_0_98_1 { x 2 }\n"
"    curveleft_0_98_0 { }\n"
"    curveleft_0_98_1 { x -2 }\n"
"    curveleft_0_98_2 { x -4 }\n"
"    curveleft_0_98_3 { x -6 }\n"
"    curveleft_0_98_4 { x -8 }\n"
"    curveleft_0_98_5 { x -10 }\n"
"}\n"
"\n"
"rule test_i_curves_0_99 {\n"
"    curveright_0_99_5 { x 10 }\n"
"    curveright_0_99_4 { x 8 }\n"
"    curveright_0_99_3 { x 6 }\n"
"    curveright_0_99_2 { x 4 }\n"
"    curveright_0_99_1 { x 2 }\n"
"    curveleft_0_99_0 { }\n"
"    curveleft_0_99_1 { x -2 }\n"
"    curveleft_0_99_2 { x -4 }\n"
"    curveleft_0_99_3 { x -6 }\n"
"    curveleft_0_99_4 { x -8 }\n"
"    curveleft_0_99_5 { x -10 }\n"
"}\n"
    } },
    { "i_pix.cfdg", {
"// This is a library file that is included in other files\n"
"// It offers a dot-matix like alphabet based on a 5 by 5 grid\n"
"\n"
"startshape the5by5_test\n"
"\n"
"shape the5by5_test\n"
"{\n"
"	random_test []\n"
"	the5by5_line []\n"
"}\n"
"\n"
"shape random_test\n"
"{\n"
"	loop 5 [y 1.2] random_test_row [x 24.0 y -21.0]\n"
"}\n"
"\n"
"shape random_test_row\n"
"{\n"
"	loop 5 [x 1.2] RANDOM_ALNUM_5by5 []\n"
"}\n"
"\n"
"\n"
"shape the5by5_line\n"
"{\n"
"A_5by5 [x 0]\n"
"B_5by5 [x 1.2 ]\n"
"C_5by5 [x 2.4]\n"
"D_5by5 [x 3.6]\n"
"E_5by5 [x 4.8]\n"
"F_5by5 [x 6.0]\n"
"G_5by5 [x 7.2]\n"
"H_5by5 [x 8.4]\n"
"I_5by5 [x 9.6]\n"
"J_5by5 [x 10.8]\n"
"K_5by5 [x 12.0]\n"
"L_5by5 [x 13.2]\n"
"M_5by5 [x 14.4]\n"
"N_5by5 [x 15.6]\n"
"O_5by5 [x 16.8]\n"
"P_5by5 [x 18.0]\n"
"Q_5by5 [x 19.2]\n"
"R_5by5 [x 20.4]\n"
"S_5by5 [x 21.6]\n"
"T_5by5 [x 22.8]\n"
"U_5by5 [x 24.0]\n"
"V_5by5 [x 25.2]\n"
"W_5by5 [x 26.4]\n"
"X_5by5 [x 27.6]\n"
"Y_5by5 [x 28.8]\n"
"Z_5by5 [x 30.0]\n"
"the5by5_line [y -2.4 size 0.90 x 0.2]\n"
"NUM_0_5by5 [y -1.2 x 0]\n"
"NUM_1_5by5 [y -1.2 x 1.2]\n"
"NUM_2_5by5 [y -1.2 x 2.4]\n"
"NUM_3_5by5 [y -1.2 x 3.6]\n"
"NUM_4_5by5 [y -1.2 x 4.8]\n"
"NUM_5_5by5 [y -1.2 x 6.0]\n"
"NUM_6_5by5 [y -1.2 x 7.2]\n"
"NUM_7_5by5 [y -1.2 x 8.4]\n"
"NUM_8_5by5 [y -1.2 x 9.6]\n"
"NUM_9_5by5 [y -1.2 x 10.8]\n"
"}\n"
"\n"
"shape pix_5by5_00\n"
"{ block_5by5 [size 0.20 x -0.4 y 0.4] }\n"
"shape pix_5by5_10\n"
"{ block_5by5 [size 0.20 x -0.2 y 0.4] }\n"
"shape pix_5by5_20\n"
"{ block_5by5 [size 0.20 x 0.0 y 0.4] }\n"
"shape pix_5by5_30\n"
"{ block_5by5 [size 0.20 x 0.2 y 0.4] }\n"
"shape pix_5by5_40\n"
"{ block_5by5 [size 0.20 x 0.4 y 0.4] }\n"
"shape pix_5by5_01\n"
"{ block_5by5 [size 0.20 x -0.4 y 0.2] }\n"
"shape pix_5by5_11\n"
"{ block_5by5 [size 0.20 x -0.2 y 0.2] }\n"
"shape pix_5by5_21\n"
"{ block_5by5 [size 0.20 x 0.0 y 0.2] }\n"
"shape pix_5by5_31\n"
"{ block_5by5 [size 0.20 x 0.2 y 0.2] }\n"
"shape pix_5by5_41\n"
"{ block_5by5 [size 0.20 x 0.4 y 0.2] }\n"
"shape pix_5by5_02\n"
"{ block_5by5 [size 0.20 x -0.4 y 0.0] }\n"
"shape pix_5by5_12\n"
"{ block_5by5 [size 0.20 x -0.2 y 0.0] }\n"
"shape pix_5by5_22\n"
"{ block_5by5 [size 0.20 x 0.0 y 0.0] }\n"
"shape pix_5by5_32\n"
"{ block_5by5 [size 0.20 x 0.2 y 0.0] }\n"
"shape pix_5by5_42\n"
"{ block_5by5 [size 0.20 x 0.4 y 0.0] }\n"
"shape pix_5by5_03\n"
"{ block_5by5 [size 0.20 x -0.4 y -0.2] }\n"
"shape pix_5by5_13\n"
"{ block_5by5 [size 0.20 x -0.2 y -0.2] }\n"
"shape pix_5by5_23\n"
"{ block_5by5 [size 0.20 x 0.0 y -0.2] }\n"
"shape pix_5by5_33\n"
"{ block_5by5 [size 0.20 x 0.2 y -0.2] }\n"
"shape pix_5by5_43\n"
"{ block_5by5 [size 0.20 x 0.4 y -0.2] }\n"
"shape pix_5by5_04\n"
"{ block_5by5 [size 0.20 x -0.4 y -0.4] }\n"
"shape pix_5by5_14\n"
"{ block_5by5 [size 0.20 x -0.2 y -0.4] }\n"
"shape pix_5by5_24\n"
"{ block_5by5 [size 0.20 x 0.0 y -0.4] }\n"
"shape pix_5by5_34\n"
"{ block_5by5 [size 0.20 x 0.2 y -0.4] }\n"
"shape pix_5by5_44\n"
"{ block_5by5 [size 0.20 x 0.4 y -0.4] }\n"
"\n"
"shape block_5by5\n"
"{\n"
"SQUARE [size 0.7]\n"
"}\n"
"\n"
"shape A_5by5\n"
"{\n"
"pix_5by5_04 []\n"
"pix_5by5_44 []\n"
"pix_5by5_03 []\n"
"pix_5by5_43 []\n"
"pix_5by5_02 []\n"
"pix_5by5_42 []\n"
"pix_5by5_11 []\n"
"pix_5by5_31 []\n"
"pix_5by5_20 []\n"
"pix_5by5_20 []\n"
"pix_5by5_13 []\n"
"pix_5by5_23 []\n"
"pix_5by5_33 []\n"
"\n"
"}\n"
"shape B_5by5\n"
"{\n"
"pix_5by5_04 []\n"
"pix_5by5_03 []\n"
"pix_5by5_02 []\n"
"pix_5by5_01 []\n"
"pix_5by5_00 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_24 []\n"
"pix_5by5_31 []\n"
"pix_5by5_32 []\n"
"pix_5by5_34 []\n"
"pix_5by5_43 []\n"
"}\n"
"\n"
"shape C_5by5\n"
"{\n"
"pix_5by5_03 []\n"
"pix_5by5_02 []\n"
"pix_5by5_01 []\n"
"pix_5by5_10 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_34 []\n"
"pix_5by5_40 []\n"
"pix_5by5_44 []\n"
"}\n"
"shape D_5by5\n"
"{\n"
"pix_5by5_04 []\n"
"pix_5by5_03 []\n"
"pix_5by5_02 []\n"
"pix_5by5_01 []\n"
"pix_5by5_00 []\n"
"pix_5by5_10 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_34 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"}\n"
"shape E_5by5\n"
"{\n"
"pix_5by5_04 []\n"
"pix_5by5_03 []\n"
"pix_5by5_02 []\n"
"pix_5by5_01 []\n"
"pix_5by5_00 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_34 []\n"
"pix_5by5_40 []\n"
"pix_5by5_44 []\n"
"}\n"
"\n"
"shape F_5by5\n"
"{\n"
"pix_5by5_04 []\n"
"pix_5by5_03 []\n"
"pix_5by5_02 []\n"
"pix_5by5_01 []\n"
"pix_5by5_00 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_30 []\n"
"pix_5by5_40 []\n"
"}\n"
"\n"
"shape G_5by5\n"
"{\n"
"pix_5by5_03 []\n"
"pix_5by5_02 []\n"
"pix_5by5_01 []\n"
"pix_5by5_10 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_32 []\n"
"pix_5by5_34 []\n"
"pix_5by5_40 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"}\n"
"\n"
"shape H_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_04 []\n"
"pix_5by5_03 []\n"
"pix_5by5_02 []\n"
"pix_5by5_01 []\n"
"pix_5by5_12 []\n"
"pix_5by5_22 []\n"
"pix_5by5_32 []\n"
"pix_5by5_40 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"pix_5by5_44 []\n"
"}\n"
"\n"
"shape I_5by5\n"
"{\n"
"H_5by5 [rotate 90]\n"
"}\n"
"\n"
"\n"
"shape J_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_03 []\n"
"pix_5by5_10 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_31 []\n"
"pix_5by5_32 []\n"
"pix_5by5_33 []\n"
"pix_5by5_40 []\n"
"}\n"
"\n"
"shape K_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_04 []\n"
"pix_5by5_12 []\n"
"pix_5by5_23 []\n"
"pix_5by5_21 []\n"
"pix_5by5_34 []\n"
"pix_5by5_30 []\n"
"pix_5by5_44 []\n"
"pix_5by5_44 []\n"
"}\n"
"\n"
"shape L_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_04 []\n"
"pix_5by5_14 []\n"
"pix_5by5_24 []\n"
"pix_5by5_34 []\n"
"pix_5by5_44 []\n"
"\n"
"}\n"
"\n"
"shape M_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_04 []\n"
"pix_5by5_40 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"pix_5by5_44 []\n"
"pix_5by5_10 []\n"
"pix_5by5_21 []\n"
"pix_5by5_30 []\n"
"}\n"
"\n"
"shape N_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_04 []\n"
"pix_5by5_40 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"pix_5by5_44 []\n"
"pix_5by5_11 []\n"
"pix_5by5_22 []\n"
"pix_5by5_33 []\n"
"}\n"
"\n"
"\n"
"shape O_5by5\n"
"{\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"pix_5by5_10 []\n"
"pix_5by5_20 []\n"
"pix_5by5_30 []\n"
"pix_5by5_14 []\n"
"pix_5by5_24 []\n"
"pix_5by5_34 []\n"
"}\n"
"\n"
"shape P_5by5\n"
"{\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_04 []\n"
"pix_5by5_00 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_30 []\n"
"pix_5by5_32 []\n"
"pix_5by5_41 []\n"
"}\n"
"\n"
"shape Q_5by5\n"
"{\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_10 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_24 []\n"
"pix_5by5_22 []\n"
"pix_5by5_30 []\n"
"pix_5by5_33 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_44 []\n"
"\n"
"}\n"
"\n"
"shape R_5by5\n"
"{\n"
"P_5by5[]\n"
"pix_5by5_33 []\n"
"pix_5by5_44 []\n"
"}\n"
"\n"
"shape S_5by5\n"
"{\n"
"pix_5by5_01 []\n"
"pix_5by5_04 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_24 []\n"
"pix_5by5_22 []\n"
"pix_5by5_30 []\n"
"pix_5by5_34 []\n"
"pix_5by5_32 []\n"
"pix_5by5_40 []\n"
"pix_5by5_43 []\n"
"\n"
"}\n"
"\n"
"shape T_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_10 []\n"
"pix_5by5_20 []\n"
"pix_5by5_30 []\n"
"pix_5by5_40 []\n"
"pix_5by5_21 []\n"
"pix_5by5_22 []\n"
"pix_5by5_23 []\n"
"pix_5by5_24 []\n"
"}\n"
"\n"
"shape U_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_14 []\n"
"pix_5by5_24 []\n"
"pix_5by5_34 []\n"
"pix_5by5_40 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"}\n"
"\n"
"shape V_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_13 []\n"
"pix_5by5_24 []\n"
"pix_5by5_33 []\n"
"pix_5by5_40 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"}\n"
"\n"
"shape W_5by5\n"
"{\n"
"M_5by5 [rotate 180]\n"
"}\n"
"\n"
"shape X_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_04 []\n"
"pix_5by5_11 []\n"
"pix_5by5_13 []\n"
"pix_5by5_22 []\n"
"pix_5by5_31 []\n"
"pix_5by5_33 []\n"
"pix_5by5_40 []\n"
"pix_5by5_44 []\n"
"}\n"
"\n"
"shape Y_5by5\n"
"{\n"
"pix_5by5_00 []\n"
"pix_5by5_11 []\n"
"pix_5by5_22 []\n"
"pix_5by5_31 []\n"
"pix_5by5_23 []\n"
"pix_5by5_24 []\n"
"pix_5by5_40 []\n"
"}\n"
"\n"
"shape Z_5by5\n"
"{\n"
"N_5by5 [rotate 90]\n"
"}\n"
"\n"
"shape RANDOM_LETTER_5by5\n"
"rule { A_5by5 []}\n"
"rule { B_5by5 []}\n"
"rule { C_5by5 []}\n"
"rule { D_5by5 []}\n"
"rule { E_5by5 []}\n"
"rule { F_5by5 []}\n"
"rule { G_5by5 []}\n"
"rule { H_5by5 []}\n"
"rule { I_5by5 []}\n"
"rule { J_5by5 []}\n"
"rule { K_5by5 []}\n"
"rule { L_5by5 []}\n"
"rule { M_5by5 []}\n"
"rule { N_5by5 []}\n"
"rule { O_5by5 []}\n"
"rule { P_5by5 []}\n"
"rule { Q_5by5 []}\n"
"rule { R_5by5 []}\n"
"rule { S_5by5 []}\n"
"rule { T_5by5 []}\n"
"rule { U_5by5 []}\n"
"rule { V_5by5 []}\n"
"rule { W_5by5 []}\n"
"rule { X_5by5 []}\n"
"rule { Y_5by5 []}\n"
"rule { Z_5by5 []}\n"
"\n"
"//generate numbers randomly\n"
"shape RANDOM_NUMBER_5by5\n"
"rule { NUM_0_5by5 [] }\n"
"rule { NUM_1_5by5 [] }\n"
"rule { NUM_2_5by5 [] }\n"
"rule { NUM_3_5by5 [] }\n"
"rule { NUM_4_5by5 [] }\n"
"rule { NUM_5_5by5 [] }\n"
"rule { NUM_6_5by5 [] }\n"
"rule { NUM_7_5by5 [] }\n"
"rule { NUM_8_5by5 [] }\n"
"rule { NUM_9_5by5 [] }\n"
"\n"
"shape RANDOM_ALNUM_5by5\n"
"rule 26 { RANDOM_LETTER_5by5 [] }\n"
"rule 10 { RANDOM_NUMBER_5by5 [] }\n"
"\n"
"\n"
"shape NUM_0_5by5\n"
"{\n"
"//make 0\n"
"\n"
"pix_5by5_10 []\n"
"pix_5by5_20 []\n"
"pix_5by5_30 []\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"pix_5by5_14 []\n"
"pix_5by5_24 []\n"
"pix_5by5_34 []\n"
"pix_5by5_31 []\n"
"pix_5by5_22 []\n"
"pix_5by5_13 []\n"
"}\n"
"\n"
"shape NUM_1_5by5\n"
"{\n"
"//make 1\n"
"\n"
"pix_5by5_20 []\n"
"pix_5by5_21 []\n"
"pix_5by5_22 []\n"
"pix_5by5_23 []\n"
"pix_5by5_24 []\n"
"pix_5by5_04 []\n"
"pix_5by5_14 []\n"
"pix_5by5_34 []\n"
"pix_5by5_44 []\n"
"pix_5by5_01 []\n"
"pix_5by5_10 []\n"
"}\n"
"\n"
"shape NUM_2_5by5\n"
"{\n"
"//make 2\n"
"pix_5by5_20 []\n"
"pix_5by5_30 []\n"
"pix_5by5_41 []\n"
"pix_5by5_32 []\n"
"pix_5by5_22 []\n"
"pix_5by5_22 []\n"
"pix_5by5_04 []\n"
"pix_5by5_14 []\n"
"pix_5by5_24 []\n"
"pix_5by5_34 []\n"
"pix_5by5_44 []\n"
"pix_5by5_13 []\n"
"pix_5by5_01 []\n"
"pix_5by5_10 []\n"
"}\n"
"\n"
"shape NUM_3_5by5\n"
"{\n"
"//make 3\n"
"pix_5by5_20 []\n"
"pix_5by5_30 []\n"
"pix_5by5_41 []\n"
"pix_5by5_32 []\n"
"pix_5by5_22 []\n"
"pix_5by5_22 []\n"
"pix_5by5_03 []\n"
"pix_5by5_14 []\n"
"pix_5by5_24 []\n"
"pix_5by5_34 []\n"
"pix_5by5_43 []\n"
"pix_5by5_01 []\n"
"pix_5by5_10 []\n"
"}\n"
"\n"
"shape NUM_4_5by5\n"
"{\n"
"//make 4\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_10 []\n"
"pix_5by5_13 []\n"
"pix_5by5_23 []\n"
"pix_5by5_30 []\n"
"pix_5by5_31 []\n"
"pix_5by5_32 []\n"
"pix_5by5_33 []\n"
"pix_5by5_34 []\n"
"pix_5by5_43 []\n"
"}\n"
"\n"
"shape NUM_5_5by5\n"
"{\n"
"//make 5\n"
"\n"
"pix_5by5_00 []\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_04 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_32 []\n"
"pix_5by5_34 []\n"
"pix_5by5_43 []\n"
"}\n"
"\n"
"shape NUM_6_5by5\n"
"{\n"
"//make 6\n"
"pix_5by5_01 []\n"
"pix_5by5_02 []\n"
"pix_5by5_03 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_32 []\n"
"pix_5by5_34 []\n"
"pix_5by5_43 []\n"
"}\n"
"\n"
"shape NUM_7_5by5\n"
"{\n"
"//make 7\n"
"\n"
"pix_5by5_00 []\n"
"pix_5by5_10 []\n"
"pix_5by5_20 []\n"
"pix_5by5_23 []\n"
"pix_5by5_24 []\n"
"pix_5by5_32 []\n"
"pix_5by5_30 []\n"
"pix_5by5_40 []\n"
"pix_5by5_41 []\n"
"}\n"
"\n"
"shape NUM_8_5by5\n"
"{\n"
"//make 8\n"
"pix_5by5_01 []\n"
"pix_5by5_03 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_32 []\n"
"pix_5by5_34 []\n"
"pix_5by5_43 []\n"
"pix_5by5_41 []\n"
"}\n"
"\n"
"shape NUM_9_5by5\n"
"rule {\n"
"//make 9\n"
"pix_5by5_01 []\n"
"pix_5by5_04 []\n"
"pix_5by5_10 []\n"
"pix_5by5_12 []\n"
"pix_5by5_14 []\n"
"pix_5by5_20 []\n"
"pix_5by5_22 []\n"
"pix_5by5_24 []\n"
"pix_5by5_30 []\n"
"pix_5by5_32 []\n"
"pix_5by5_34 []\n"
"pix_5by5_41 []\n"
"pix_5by5_42 []\n"
"pix_5by5_43 []\n"
"}\n"
 ,
"// This is a library file that is included in other files\n"
"// It offers a dot-matix like alphabet based on a 5 by 5 grid\n"
"\n"
"startshape the5by5_test\n"
"\n"
"rule the5by5_test {\n"
"	random_test {}\n"
"	the5by5_line {}\n"
"}\n"
"\n"
"rule random_test {\n"
"	5* {y 1.2} random_test_row {x 24.0 y -21.0}\n"
"}\n"
"\n"
"rule random_test_row {\n"
"	5* {x 1.2} RANDOM_ALNUM_5by5 {}\n"
"}\n"
"\n"
"\n"
"rule the5by5_line {\n"
"A_5by5 {x 0}\n"
"B_5by5 {x 1.2 }\n"
"C_5by5 {x 2.4}\n"
"D_5by5 {x 3.6}\n"
"E_5by5 {x 4.8}\n"
"F_5by5 {x 6.0}\n"
"G_5by5 {x 7.2}\n"
"H_5by5 {x 8.4}\n"
"I_5by5 {x 9.6}\n"
"J_5by5 {x 10.8}\n"
"K_5by5 {x 12.0}\n"
"L_5by5 {x 13.2}\n"
"M_5by5 {x 14.4}\n"
"N_5by5 {x 15.6}\n"
"O_5by5 {x 16.8}\n"
"P_5by5 {x 18.0}\n"
"Q_5by5 {x 19.2}\n"
"R_5by5 {x 20.4}\n"
"S_5by5 {x 21.6}\n"
"T_5by5 {x 22.8}\n"
"U_5by5 {x 24.0}\n"
"V_5by5 {x 25.2}\n"
"W_5by5 {x 26.4}\n"
"X_5by5 {x 27.6}\n"
"Y_5by5 {x 28.8}\n"
"Z_5by5 {x 30.0}\n"
"the5by5_line {y -2.4 size 0.90 x 0.2}\n"
"NUM_0_5by5 {y -1.2 x 0}\n"
"NUM_1_5by5 {y -1.2 x 1.2}\n"
"NUM_2_5by5 {y -1.2 x 2.4}\n"
"NUM_3_5by5 {y -1.2 x 3.6}\n"
"NUM_4_5by5 {y -1.2 x 4.8}\n"
"NUM_5_5by5 {y -1.2 x 6.0}\n"
"NUM_6_5by5 {y -1.2 x 7.2}\n"
"NUM_7_5by5 {y -1.2 x 8.4}\n"
"NUM_8_5by5 {y -1.2 x 9.6}\n"
"NUM_9_5by5 {y -1.2 x 10.8}\n"
"}\n"
"\n"
"rule pix_5by5_00 { block_5by5 {size 0.20 x -0.4 y 0.4} }\n"
"rule pix_5by5_10 { block_5by5 {size 0.20 x -0.2 y 0.4} }\n"
"rule pix_5by5_20 { block_5by5 {size 0.20 x 0.0 y 0.4} }\n"
"rule pix_5by5_30 { block_5by5 {size 0.20 x 0.2 y 0.4} }\n"
"rule pix_5by5_40 { block_5by5 {size 0.20 x 0.4 y 0.4} }\n"
"rule pix_5by5_01 { block_5by5 {size 0.20 x -0.4 y 0.2} }\n"
"rule pix_5by5_11 { block_5by5 {size 0.20 x -0.2 y 0.2} }\n"
"rule pix_5by5_21 { block_5by5 {size 0.20 x 0.0 y 0.2} }\n"
"rule pix_5by5_31 { block_5by5 {size 0.20 x 0.2 y 0.2} }\n"
"rule pix_5by5_41 { block_5by5 {size 0.20 x 0.4 y 0.2} }\n"
"rule pix_5by5_02 { block_5by5 {size 0.20 x -0.4 y 0.0} }\n"
"rule pix_5by5_12 { block_5by5 {size 0.20 x -0.2 y 0.0} }\n"
"rule pix_5by5_22 { block_5by5 {size 0.20 x 0.0 y 0.0} }\n"
"rule pix_5by5_32 { block_5by5 {size 0.20 x 0.2 y 0.0} }\n"
"rule pix_5by5_42 { block_5by5 {size 0.20 x 0.4 y 0.0} }\n"
"rule pix_5by5_03 { block_5by5 {size 0.20 x -0.4 y -0.2} }\n"
"rule pix_5by5_13 { block_5by5 {size 0.20 x -0.2 y -0.2} }\n"
"rule pix_5by5_23 { block_5by5 {size 0.20 x 0.0 y -0.2} }\n"
"rule pix_5by5_33 { block_5by5 {size 0.20 x 0.2 y -0.2} }\n"
"rule pix_5by5_43 { block_5by5 {size 0.20 x 0.4 y -0.2} }\n"
"rule pix_5by5_04 { block_5by5 {size 0.20 x -0.4 y -0.4} }\n"
"rule pix_5by5_14 { block_5by5 {size 0.20 x -0.2 y -0.4} }\n"
"rule pix_5by5_24 { block_5by5 {size 0.20 x 0.0 y -0.4} }\n"
"rule pix_5by5_34 { block_5by5 {size 0.20 x 0.2 y -0.4} }\n"
"rule pix_5by5_44 { block_5by5 {size 0.20 x 0.4 y -0.4} }\n"
"\n"
"rule block_5by5 {\n"
"SQUARE {size 0.7}\n"
"}\n"
"\n"
"rule A_5by5 {\n"
"pix_5by5_04 {}\n"
"pix_5by5_44 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_43 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_11 {}\n"
"pix_5by5_31 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_13 {}\n"
"pix_5by5_23 {}\n"
"pix_5by5_33 {}\n"
"\n"
"}\n"
"rule B_5by5 {\n"
"pix_5by5_04 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_00 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_31 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_43 {}\n"
"}\n"
"\n"
"rule C_5by5 {\n"
"pix_5by5_03 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_44 {}\n"
"}\n"
"rule D_5by5 {\n"
"pix_5by5_04 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_00 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"}\n"
"rule E_5by5 {\n"
"pix_5by5_04 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_00 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_44 {}\n"
"}\n"
"\n"
"rule F_5by5 {\n"
"pix_5by5_04 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_00 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_40 {}\n"
"}\n"
"\n"
"rule G_5by5 {\n"
"pix_5by5_03 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"}\n"
"\n"
"rule H_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"pix_5by5_44 {}\n"
"}\n"
"\n"
"rule I_5by5 {\n"
"H_5by5 {rotate 90}\n"
"}\n"
"\n"
"\n"
"rule J_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_31 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_33 {}\n"
"pix_5by5_40 {}\n"
"}\n"
"\n"
"rule K_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_23 {}\n"
"pix_5by5_21 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_44 {}\n"
"pix_5by5_44 {}\n"
"}\n"
"\n"
"rule L_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_44 {}\n"
"\n"
"}\n"
"\n"
"rule M_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"pix_5by5_44 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_21 {}\n"
"pix_5by5_30 {}\n"
"}\n"
"\n"
"rule N_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"pix_5by5_44 {}\n"
"pix_5by5_11 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_33 {}\n"
"}\n"
"\n"
"\n"
"rule O_5by5 {\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_34 {}\n"
"}\n"
"\n"
"rule P_5by5 {\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_00 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_41 {}\n"
"}\n"
"\n"
"rule Q_5by5 {\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_33 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_44 {}\n"
"\n"
"}\n"
"\n"
"rule R_5by5 {\n"
"P_5by5{}\n"
"pix_5by5_33 {}\n"
"pix_5by5_44 {}\n"
"}\n"
"\n"
"rule S_5by5 {\n"
"pix_5by5_01 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_43 {}\n"
"\n"
"}\n"
"\n"
"rule T_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_21 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_23 {}\n"
"pix_5by5_24 {}\n"
"}\n"
"\n"
"rule U_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"}\n"
"\n"
"rule V_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_13 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_33 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"}\n"
"\n"
"rule W_5by5 {\n"
"M_5by5 {rotate 180}\n"
"}\n"
"\n"
"rule X_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_11 {}\n"
"pix_5by5_13 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_31 {}\n"
"pix_5by5_33 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_44 {}\n"
"}\n"
"\n"
"rule Y_5by5 {\n"
"pix_5by5_00 {}\n"
"pix_5by5_11 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_31 {}\n"
"pix_5by5_23 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_40 {}\n"
"}\n"
"\n"
"rule Z_5by5 {\n"
"N_5by5 {rotate 90}\n"
"}\n"
"\n"
"rule RANDOM_LETTER_5by5 { A_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { B_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { C_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { D_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { E_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { F_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { G_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { H_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { I_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { J_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { K_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { L_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { M_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { N_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { O_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { P_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { Q_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { R_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { S_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { T_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { U_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { V_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { W_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { X_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { Y_5by5 {}}\n"
"rule RANDOM_LETTER_5by5 { Z_5by5 {}}\n"
"\n"
"//generate numbers randomly\n"
"rule RANDOM_NUMBER_5by5 { NUM_0_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_1_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_2_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_3_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_4_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_5_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_6_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_7_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_8_5by5 {} }\n"
"rule RANDOM_NUMBER_5by5 { NUM_9_5by5 {} }\n"
"\n"
"rule RANDOM_ALNUM_5by5 26 { RANDOM_LETTER_5by5 {} }\n"
"rule RANDOM_ALNUM_5by5 10 { RANDOM_NUMBER_5by5 {} }\n"
"\n"
"\n"
"rule NUM_0_5by5 {\n"
"//make 0\n"
"\n"
"pix_5by5_10 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_31 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_13 {}\n"
"}\n"
"\n"
"rule NUM_1_5by5 {\n"
"//make 1\n"
"\n"
"pix_5by5_20 {}\n"
"pix_5by5_21 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_23 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_44 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_10 {}\n"
"}\n"
"\n"
"rule NUM_2_5by5 {\n"
"//make 2\n"
"pix_5by5_20 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_44 {}\n"
"pix_5by5_13 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_10 {}\n"
"}\n"
"\n"
"rule NUM_3_5by5 {\n"
"//make 3\n"
"pix_5by5_20 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_43 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_10 {}\n"
"}\n"
"\n"
"rule NUM_4_5by5 {\n"
"//make 4\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_13 {}\n"
"pix_5by5_23 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_31 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_33 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_43 {}\n"
"}\n"
"\n"
"rule NUM_5_5by5 {\n"
"//make 5\n"
"\n"
"pix_5by5_00 {}\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_43 {}\n"
"}\n"
"\n"
"rule NUM_6_5by5 {\n"
"//make 6\n"
"pix_5by5_01 {}\n"
"pix_5by5_02 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_43 {}\n"
"}\n"
"\n"
"rule NUM_7_5by5 {\n"
"//make 7\n"
"\n"
"pix_5by5_00 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_23 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_40 {}\n"
"pix_5by5_41 {}\n"
"}\n"
"\n"
"rule NUM_8_5by5 {\n"
"//make 8\n"
"pix_5by5_01 {}\n"
"pix_5by5_03 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_43 {}\n"
"pix_5by5_41 {}\n"
"}\n"
"\n"
"rule NUM_9_5by5 {\n"
"//make 9\n"
"pix_5by5_01 {}\n"
"pix_5by5_04 {}\n"
"pix_5by5_10 {}\n"
"pix_5by5_12 {}\n"
"pix_5by5_14 {}\n"
"pix_5by5_20 {}\n"
"pix_5by5_22 {}\n"
"pix_5by5_24 {}\n"
"pix_5by5_30 {}\n"
"pix_5by5_32 {}\n"
"pix_5by5_34 {}\n"
"pix_5by5_41 {}\n"
"pix_5by5_42 {}\n"
"pix_5by5_43 {}\n"
"}\n"
    } },
    { "i_polygons.cfdg", {
"startshape polygontest\n"
"\n"
"// This is kind of a dumb way to define a general regular polygon path.\n"
"// But it matches the existing polygon shapes.\n"
"path polygon(number sides) {\n"
"	MOVETO(	 0.5*cos(180/sides),\n"
"			-0.5*sin(180/sides))\n"
"	loop sides - 1 [r (360/sides)]\n"
"		LINETO(	0.5*cos(180/sides),\n"
"				0.5*sin(180/sides))\n"
"	CLOSEPOLY()\n"
"	FILL[]\n"
"}\n"
"\n"
"shape polygontest\n"
"{\n"
"	polygonRightTriangle []\n"
"	CIRCLE [x 2]\n"
"	SQUARE [size 1.0 0.1 x 4 rotate 45]\n"
"	TRIANGLE [x 6]\n"
"	SQUARE [x 8]\n"
"	polygon5sided [x 0 y 2]\n"
"	polygon6sided [x 2 y 2]\n"
"	polygon7sided [x 4 y 2]\n"
"	polygon8sided [x 6 y 2]\n"
"	polygon9sided [x 8 y 2]\n"
"	polygon10sided [x 0 y 4]\n"
"	polygon11sided [x 2 y 4]\n"
"	polygon12sided [x 4 y 4]\n"
"	polygon13sided [x 6 y 4]\n"
"	polygon14sided [x 8 y 4]\n"
"	polygon15sided [x 0 y 6]\n"
"	polygon16sided [x 2 y 6]\n"
"	polygon17sided [x 4 y 6]\n"
"	polygon18sided [x 6 y 6]\n"
"	polygon19sided [x 8 y 6]\n"
"	polygon20sided [x 0 y 8]\n"
"	polygon21sided [x 2 y 8]\n"
"	polygon22sided [x 4 y 8]\n"
"	polygon23sided [x 6 y 8]\n"
"	polygon24sided [x 8 y 8]\n"
"}\n"
"\n"
"// This is a unit right triangle\n"
"shape polygonRightTriangle\n"
"{\n"
"	TRIANGLE [[ size 1 1.155 x 0.165 y -0.144 skew 30 0 ]]\n"
"}\n"
"\n"
"\n"
"shape polygon5sided\n"
"{\n"
"	polygon(5)[]\n"
"	loop 5 [r 72] SQUARE [[rotate 0 size 0.404509 0.587785 x 0.5]]\n"
"}\n"
"\n"
"shape polygon6sided\n"
"{\n"
"	loop 3 [r 60] SQUARE [[rotate 0 size 0.866025 0.5]]\n"
"}\n"
"\n"
"shape polygon7sided\n"
"{\n"
"	loop 7 [r 51.4286] SQUARE [[rotate 0 size 0.450484 0.433884 x 0.5]]\n"
"}\n"
"\n"
"shape polygon8sided\n"
"{\n"
"	loop 4 [r 45] SQUARE [[rotate 0 size 0.92388 0.382683]]\n"
"}\n"
"\n"
"shape polygon9sided\n"
"{\n"
"	loop 9 [r 40] SQUARE [[rotate 0 size 0.469846 0.34202 x 0.5]]\n"
"}\n"
"\n"
"shape polygon10sided\n"
"{\n"
"	loop 5 [r 36] SQUARE [[rotate 0 size 0.951057 0.309017]]\n"
"}\n"
"\n"
"shape polygon11sided\n"
"{\n"
"	loop 11 [r 32.7273] SQUARE [[rotate 0 size 0.479746 0.281733 x 0.5]]\n"
"}\n"
"\n"
"shape polygon12sided\n"
"{\n"
"	loop 6 [r 30] SQUARE [[rotate 0 size 0.965926 0.258819]]\n"
"}\n"
"\n"
"shape polygon13sided\n"
"{\n"
"	loop 13 [r 27.6923] SQUARE [[rotate 0 size 0.485471 0.239316 x 0.5]]\n"
"}\n"
"\n"
"shape polygon14sided\n"
"{\n"
"	loop 7 [r 25.7143] SQUARE [[rotate 0 size 0.974928 0.222521]]\n"
"}\n"
"\n"
"shape polygon15sided\n"
"{\n"
"	loop 15 [r 24] SQUARE [[rotate 0 size 0.489074 0.207912 x 0.5]]\n"
"}\n"
"\n"
"shape polygon16sided\n"
"{\n"
"	loop 8 [r 22.5] SQUARE [[rotate 0 size 0.980785 0.19509]]\n"
"}\n"
"\n"
"shape polygon17sided\n"
"{\n"
"	loop 17 [r 21.1765] SQUARE [[rotate 0 size 0.491487 0.18375 x 0.5]]\n"
"}\n"
"\n"
"shape polygon18sided\n"
"{\n"
"	loop 9 [r 20] SQUARE [[rotate 0 size 0.984808 0.173648]]\n"
"}\n"
"\n"
"shape polygon19sided\n"
"{\n"
"	loop 19 [r 18.9474] SQUARE [[rotate 0 size 0.493181 0.164595 x 0.5]]\n"
"}\n"
"\n"
"shape polygon20sided\n"
"{\n"
"	loop 10 [r 18] SQUARE [[rotate 0 size 0.987688 0.156434]]\n"
"}\n"
"\n"
"shape polygon21sided\n"
"{\n"
"	loop 21 [r 17.1429] SQUARE [[rotate 0 size 0.494415 0.149042 x 0.5]]\n"
"}\n"
"\n"
"shape polygon22sided\n"
"{\n"
"	loop 11 [r 16.3636] SQUARE [[rotate 0 size 0.989821 0.142315]]\n"
"}\n"
"\n"
"shape polygon23sided\n"
"{\n"
"	loop 23 [r 15.6522] SQUARE [[rotate 0 size 0.495343 0.136167 x 0.5]]\n"
"}\n"
"\n"
"shape polygon24sided\n"
"{\n"
"	loop 12 [r 15] SQUARE [[rotate 0 size 0.991445 0.130526]]\n"
"}\n"
 ,
"startshape polygontest\n"
"\n"
"rule polygontest {\n"
"	polygonRightTriangle {}\n"
"	CIRCLE {x 2}\n"
"	SQUARE {size 1.0 0.1 x 4 rotate 45}\n"
"	TRIANGLE {x 6}\n"
"	SQUARE {x 8}\n"
"	polygon5sided {x 0 y 2}\n"
"	polygon6sided {x 2 y 2}\n"
"	polygon7sided {x 4 y 2}\n"
"	polygon8sided {x 6 y 2}\n"
"	polygon9sided {x 8 y 2}\n"
"	polygon10sided {x 0 y 4}\n"
"	polygon11sided {x 2 y 4}\n"
"	polygon12sided {x 4 y 4}\n"
"	polygon13sided {x 6 y 4}\n"
"	polygon14sided {x 8 y 4}\n"
"	polygon15sided {x 0 y 6}\n"
"	polygon16sided {x 2 y 6}\n"
"	polygon17sided {x 4 y 6}\n"
"	polygon18sided {x 6 y 6}\n"
"	polygon19sided {x 8 y 6}\n"
"	polygon20sided {x 0 y 8}\n"
"	polygon21sided {x 2 y 8}\n"
"	polygon22sided {x 4 y 8}\n"
"	polygon23sided {x 6 y 8}\n"
"	polygon24sided {x 8 y 8}\n"
"}\n"
"\n"
"// This is a unit right triangle\n"
"rule polygonRightTriangle {\n"
"	TRIANGLE [ size 1 1.155 x 0.165 y -0.144 skew 30 0 ]\n"
"}\n"
"\n"
"\n"
"rule polygon5sided {\n"
"	5* {r 72} SQUARE [rotate 0 size 0.404509 0.587785 x 0.5]\n"
"}\n"
"\n"
"rule polygon6sided {\n"
"	3* {r 60} SQUARE [rotate 0 size 0.866025 0.5]\n"
"}\n"
"\n"
"rule polygon7sided {\n"
"	7* {r 51.4286} SQUARE [rotate 0 size 0.450484 0.433884 x 0.5]\n"
"}\n"
"\n"
"rule polygon8sided {\n"
"	4* {r 45} SQUARE [rotate 0 size 0.92388 0.382683]\n"
"}\n"
"\n"
"rule polygon9sided {\n"
"	9* {r 40} SQUARE [rotate 0 size 0.469846 0.34202 x 0.5]\n"
"}\n"
"\n"
"rule polygon10sided {\n"
"	5* {r 36} SQUARE [rotate 0 size 0.951057 0.309017]\n"
"}\n"
"\n"
"rule polygon11sided {\n"
"	11* {r 32.7273} SQUARE [rotate 0 size 0.479746 0.281733 x 0.5]\n"
"}\n"
"\n"
"rule polygon12sided {\n"
"	6* {r 30} SQUARE [rotate 0 size 0.965926 0.258819]\n"
"}\n"
"\n"
"rule polygon13sided {\n"
"	13* {r 27.6923} SQUARE [rotate 0 size 0.485471 0.239316 x 0.5]\n"
"}\n"
"\n"
"rule polygon14sided {\n"
"	7* {r 25.7143} SQUARE [rotate 0 size 0.974928 0.222521]\n"
"}\n"
"\n"
"rule polygon15sided {\n"
"	15* {r 24} SQUARE [rotate 0 size 0.489074 0.207912 x 0.5]\n"
"}\n"
"\n"
"rule polygon16sided {\n"
"	8* {r 22.5} SQUARE [rotate 0 size 0.980785 0.19509]\n"
"}\n"
"\n"
"rule polygon17sided {\n"
"	17* {r 21.1765} SQUARE [rotate 0 size 0.491487 0.18375 x 0.5]\n"
"}\n"
"\n"
"rule polygon18sided {\n"
"	9* {r 20} SQUARE [rotate 0 size 0.984808 0.173648]\n"
"}\n"
"\n"
"rule polygon19sided {\n"
"	19* {r 18.9474} SQUARE [rotate 0 size 0.493181 0.164595 x 0.5]\n"
"}\n"
"\n"
"rule polygon20sided {\n"
"	10* {r 18} SQUARE [rotate 0 size 0.987688 0.156434]\n"
"}\n"
"\n"
"rule polygon21sided {\n"
"	21* {r 17.1429} SQUARE [rotate 0 size 0.494415 0.149042 x 0.5]\n"
"}\n"
"\n"
"rule polygon22sided {\n"
"	11* {r 16.3636} SQUARE [rotate 0 size 0.989821 0.142315]\n"
"}\n"
"\n"
"rule polygon23sided {\n"
"	23* {r 15.6522} SQUARE [rotate 0 size 0.495343 0.136167 x 0.5]\n"
"}\n"
"\n"
"rule polygon24sided {\n"
"	12* {r 15} SQUARE [rotate 0 size 0.991445 0.130526]\n"
"}\n"
    } },
    { "lesson2.cfdg", {
"/* CFDG Lesson */\n"
"\n"
"startshape TOC\n"
"\n"
"shape TOC\n"
"{\n"
"    CHAPTER5 [ x 0 y 0 ]\n"
"    CHAPTER6 [ x 10 y 0 ]\n"
"    CHAPTER7 [ x 0 y -10 ]\n"
"    CHAPTER8 [ x 10 y -10 ]\n"
"\n"
"    TITLES [ ]\n"
"}\n"
"\n"
"shape CHAPTER5\n"
"{\n"
"    ## SKEW TRANSFORM ##\n"
"    SierpinskiTri [ x 2 y 4 size 6.0 ]\n"
"    SQUARE [ x 0.5 y 5.5 skew 15 15 size 2 ]\n"
"	// a skew transform (also called\n"
"	// a shear) pushes a shape parallel\n"
"	// to the x axis or y axis or both.\n"
"	// The two numbers following\n"
"}\n"
"\n"
"shape SierpinskiTri\n"
"{\n"
"	polygonRightTriangle [ ]\n"
"	hole [ b 1 ]\n"
"}\n"
"\n"
"shape hole\n"
"{\n"
"	polygonRightTriangle [ size -0.495 x 0.25 y -0.25 ]\n"
"	hole [ b -0.2 size 0.5 x -0.25 y -0.25 ]\n"
"	hole [ b -0.2 size 0.5 x  0.25 y -0.25 ]\n"
"	hole [ b -0.2 size 0.5 x  0.25 y  0.25 ]\n"
"}\n"
"\n"
"shape polygonRightTriangle\n"
"{\n"
"	TRIANGLE [[ size 1 1.155 x 0.165 y -0.144 skew 30 0 ]]\n"
"}\n"
"\n"
"shape CHAPTER6\n"
" {\n"
"    ## FLIP TRANSFORM ##\n"
"    HEART [ x 2 y 1 size 0.12 0.1]\n"
"	// A flip transform reflects a\n"
"	// shape across a line at the\n"
"	// specified angle.\n"
"}\n"
"\n"
"import i_curves.cfdg\n"
"\n"
"shape HEART\n"
"{\n"
"    curveright_0_99_1 [ r 64 ]\n"
"    curveright_0_99_1 [ flip 90 r -64 ]\n"
"    HEART [ s 0.9 y 2.5 ]\n"
"}\n"
"\n"
"shape CHAPTER7\n"
"{\n"
"    ## TRANSFORM ORDERING ##\n"
"    TranSquare [ s 0.5 x 1 y 5 ]\n"
"    TranCircle [ s 0.5 x 1 y 3 ]\n"
"    TranTriangle [ s 0.5 x -1 y 1 ]\n"
"    SquareLine [ x -1 y 7 ]\n"
"	// When transforms are in curly\n"
"	// braces then they are applied\n"
"	// in a fixed order:\n"
"	// 1) Translate\n"
"	// 2) Rotate\n"
"	// 3) Scale\n"
"	// 4) Skew\n"
"	// 5) Reflect\n"
"	// Only one transform of each\n"
"	// type is allowed (all but the\n"
"	// last are ignored).\n"
"\n"
"	// When transforms are in square\n"
"	// braces then they are applied\n"
"	// in the order they are found\n"
"	// and there can be multiple\n"
"	// occurrences of a given type\n"
"	// of transform.\n"
"}\n"
"\n"
"shape TranSquare\n"
"{\n"
"    SQUARE [[ r 45 x 4 s 3 ]]\n"
"    SQUARE [[ b 0.2 x 4 s 3 ]]\n"
"    SQUARE [[ b 0.4 x 4 ]]\n"
"    SQUARE [[ b 0.7 ]]\n"
"	// Ordering a rotate before a\n"
"	// translate (x or y) causes the\n"
"	// translate to be rotated. This\n"
"	// saves\n"
"}\n"
"shape TranCircle\n"
"{\n"
"    Ellipse [[ x 4 r 45 s 3 ]]\n"
"    Ellipse [[ b 0.2 r 45 s 3 ]]\n"
"    Ellipse [[ b 0.4 s 3  ]]\n"
"    Ellipse [[ b 0.7 ]]\n"
"	// This happens to be the order\n"
"	// that CF uses when the transforms\n"
"	// are enclosed in curly braces.\n"
"}\n"
"shape TranTriangle\n"
"{\n"
"    TRIANGLE [[ s 3 x 4 r 45 ]]\n"
"    TRIANGLE [[ b 0.2 x 4 r 45 ]]\n"
"    TRIANGLE [[ b 0.4 r 45 ]]\n"
"    TRIANGLE [[ b 0.7 ]]\n"
"	// Putting the scale before the\n"
"	// translate scales the translate\n"
"	// as well\n"
"}\n"
"shape SquareLine\n"
"{\n"
"	SQUARE []\n"
"	SquareLine [[ y -0.5 s 0.75 y -0.5 ]]\n"
"	// Transforms can be specified\n"
"	// more than once and subsequent\n"
"	// transforms are modified by the\n"
"	// ones before them. In the above\n"
"	// idiom the squares are always\n"
"	// just touching, even when you\n"
"	// change the scale amount.\n"
"}\n"
"shape Ellipse\n"
"{\n"
"	CIRCLE [ s 1 0.5 ]\n"
"}\n"
"\n"
"\n"
"\n"
"shape CHAPTER8\n"
" {\n"
"    ## COLOR ##\n"
"	// Coming soon.\n"
"}\n"
"\n"
"\n"
"\n"
"## Utilities ##\n"
"import i_pix.cfdg\n"
"// The \"include\" statement reads\n"
"// in all the rules from another file.\n"
"// Any \"startshape\" in the included\n"
"// file is ignored.\n"
"\n"
"shape TITLES\n"
"{\n"
"	TITLE5 [ x 0 y 8.5 ]\n"
"	TITLE6 [ x 10 y 8.5 ]\n"
"	TITLE7 [ x 0 y -1.5 ]\n"
"	TITLE8 [ x 10 y -1.5 ]\n"
"}\n"
"shape TITLE5\n"
"{\n"
"	F_5by5 [ x 0 ]\n"
"	I_5by5 [ x 1.2 ]\n"
"	V_5by5 [ x 2.4 ]\n"
"	E_5by5 [ x 3.6 ]\n"
"}\n"
"shape TITLE6\n"
"{\n"
"	S_5by5 [ x 0 ]\n"
"	I_5by5 [ x 1.2 ]\n"
"	X_5by5 [ x 2.4 ]\n"
"}\n"
"shape TITLE7\n"
"{\n"
"	S_5by5 [ x 0 ]\n"
"	E_5by5 [ x 1.2 ]\n"
"	V_5by5 [ x 2.4 ]\n"
"	E_5by5 [ x 3.6 ]\n"
"	N_5by5 [ x 4.8 ]\n"
"}\n"
"shape TITLE8\n"
"{\n"
"	E_5by5 [ x 0 ]\n"
"	I_5by5 [ x 1.2 ]\n"
"	G_5by5 [ x 2.4 ]\n"
"	H_5by5 [ x 3.6 ]\n"
"	T_5by5 [ x 4.8 ]\n"
"}\n"
 ,
"/* CFDG Lesson */\n"
"\n"
"startshape TOC\n"
"\n"
"rule TOC {\n"
"    CHAPTER5 { x 0 y 0 }\n"
"    CHAPTER6 { x 10 y 0 }\n"
"    CHAPTER7 { x 0 y -10 }\n"
"    CHAPTER8 { x 10 y -10 }\n"
"\n"
"    TITLES { }\n"
"}\n"
"\n"
"rule CHAPTER5 {\n"
"    ## SKEW TRANSFORM ##\n"
"    SierpinskiTri { x 2 y 4 size 6.0 }\n"
"    SQUARE { x 0.5 y 5.5 skew 15 15 size 2 }\n"
"	// a skew transform (also called\n"
"	// a shear) pushes a shape parallel\n"
"	// to the x axis or y axis or both.\n"
"	// The two numbers following\n"
"}\n"
"\n"
"rule SierpinskiTri {\n"
"	polygonRightTriangle { }\n"
"	hole { b 1 }\n"
"}\n"
"\n"
"rule hole {\n"
"	polygonRightTriangle { size -0.495 x 0.25 y -0.25 }\n"
"	hole { b -0.2 size 0.5 x -0.25 y -0.25 }\n"
"	hole { b -0.2 size 0.5 x  0.25 y -0.25 }\n"
"	hole { b -0.2 size 0.5 x  0.25 y  0.25 }\n"
"}\n"
"\n"
"rule polygonRightTriangle {\n"
"	TRIANGLE [ size 1 1.155 x 0.165 y -0.144 skew 30 0 ]\n"
"}\n"
"\n"
"rule CHAPTER6 {\n"
"    ## FLIP TRANSFORM ##\n"
"    HEART { x 2 y 1 size 0.12 0.1}\n"
"	// A flip transform reflects a\n"
"	// shape across a line at the\n"
"	// specified angle.\n"
"}\n"
"\n"
"include i_curves.cfdg\n"
"\n"
"rule HEART {\n"
"    curveright_0_99_1 { r 64 }\n"
"    curveright_0_99_1 { flip 90 r -64 }\n"
"    HEART { s 0.9 y 2.5 }\n"
"}\n"
"\n"
"rule CHAPTER7 {\n"
"    ## TRANSFORM ORDERING ##\n"
"    TranSquare { s 0.5 x 1 y 5 }\n"
"    TranCircle { s 0.5 x 1 y 3 }\n"
"    TranTriangle { s 0.5 x -1 y 1 }\n"
"    SquareLine { x -1 y 7 }\n"
"	// When transforms are in curly\n"
"	// braces then they are applied\n"
"	// in a fixed order:\n"
"	// 1) Translate\n"
"	// 2) Rotate\n"
"	// 3) Scale\n"
"	// 4) Skew\n"
"	// 5) Reflect\n"
"	// Only one transform of each\n"
"	// type is allowed (all but the\n"
"	// last are ignored).\n"
"\n"
"	// When transforms are in square\n"
"	// braces then they are applied\n"
"	// in the order they are found\n"
"	// and there can be multiple\n"
"	// occurrences of a given type\n"
"	// of transform.\n"
"}\n"
"\n"
"rule TranSquare {\n"
"    SQUARE [ r 45 x 4 s 3 ]\n"
"    SQUARE [ b 0.2 x 4 s 3 ]\n"
"    SQUARE [ b 0.4 x 4 ]\n"
"    SQUARE [ b 0.7 ]\n"
"	// Ordering a rotate before a\n"
"	// translate (x or y) causes the\n"
"	// translate to be rotated. This\n"
"	// saves\n"
"}\n"
"rule TranCircle {\n"
"    Ellipse [ x 4 r 45 s 3 ]\n"
"    Ellipse [ b 0.2 r 45 s 3 ]\n"
"    Ellipse [ b 0.4 s 3  ]\n"
"    Ellipse [ b 0.7 ]\n"
"	// This happens to be the order\n"
"	// that CF uses when the transforms\n"
"	// are enclosed in curly braces.\n"
"}\n"
"rule TranTriangle {\n"
"    TRIANGLE [ s 3 x 4 r 45 ]\n"
"    TRIANGLE [ b 0.2 x 4 r 45 ]\n"
"    TRIANGLE [ b 0.4 r 45 ]\n"
"    TRIANGLE [ b 0.7 ]\n"
"	// Putting the scale before the\n"
"	// translate scales the translate\n"
"	// as well\n"
"}\n"
"rule SquareLine {\n"
"	SQUARE {}\n"
"	SquareLine [ y -0.5 s 0.75 y -0.5 ]\n"
"	// Transforms can be specified\n"
"	// more than once and subsequent\n"
"	// transforms are modified by the\n"
"	// ones before them. In the above\n"
"	// idiom the squares are always\n"
"	// just touching, even when you\n"
"	// change the scale amount.\n"
"}\n"
"rule Ellipse {\n"
"	CIRCLE { s 1 0.5 }\n"
"}\n"
"\n"
"\n"
"\n"
"rule CHAPTER8 {\n"
"    ## COLOR ##\n"
"	// Coming soon.\n"
"}\n"
"\n"
"\n"
"\n"
"## Utilities ##\n"
"include i_pix.cfdg\n"
"// The \"include\" statement reads\n"
"// in all the rules from another file.\n"
"// Any \"startshape\" in the included\n"
"// file is ignored.\n"
"\n"
"rule TITLES {\n"
"	TITLE5 { x 0 y 8.5 }\n"
"	TITLE6 { x 10 y 8.5 }\n"
"	TITLE7 { x 0 y -1.5 }\n"
"	TITLE8 { x 10 y -1.5 }\n"
"}\n"
"rule TITLE5 {\n"
"	F_5by5 { x 0 }\n"
"	I_5by5 { x 1.2 }\n"
"	V_5by5 { x 2.4 }\n"
"	E_5by5 { x 3.6 }\n"
"}\n"
"rule TITLE6 {\n"
"	S_5by5 { x 0 }\n"
"	I_5by5 { x 1.2 }\n"
"	X_5by5 { x 2.4 }\n"
"}\n"
"rule TITLE7 {\n"
"	S_5by5 { x 0 }\n"
"	E_5by5 { x 1.2 }\n"
"	V_5by5 { x 2.4 }\n"
"	E_5by5 { x 3.6 }\n"
"	N_5by5 { x 4.8 }\n"
"}\n"
"rule TITLE8 {\n"
"	E_5by5 { x 0 }\n"
"	I_5by5 { x 1.2 }\n"
"	G_5by5 { x 2.4 }\n"
"	H_5by5 { x 3.6 }\n"
"	T_5by5 { x 4.8 }\n"
"}\n"
    } },
    { "lesson.cfdg", {
"/* CFDG Lesson */\n"
"\n"
"startshape TOC\n"
"	// each grammar file must\n"
"	// have a \"startshape\"\n"
"	// statement to say which\n"
"	// shape to begin with\n"
"\n"
"shape TOC\n"
"{\n"
"	// a \"rule\" statement says how\n"
"	// to compose a shape out of\n"
"	// other shapes\n"
"\n"
"    CHAPTER1 [ x 0 y 0 ]\n"
"    CHAPTER2 [ x 10 y 0 ]\n"
"    CHAPTER3 [ x 0 y -10 ]\n"
"    CHAPTER4 [ x 10 y -10 ]\n"
"	// each entry in the rule\n"
"	// names a shape to draw and\n"
"	// some \"adjustments\" in curly\n"
"	// braces\n"
"\n"
"    TITLES [ ]\n"
"}\n"
"\n"
"shape CHAPTER1\n"
"{\n"
"    ## BASIC SHAPES ##\n"
"    SQUARE [ x 2 y 5 size 3 ]\n"
"    CIRCLE [ x 6 y 5 size 3 ]\n"
"    TRIANGLE [ x 4 y 2 size 3 ]\n"
"	// these shapes are special:\n"
"	// they draw a shape into the\n"
"	// image, centered at the\n"
"	// current location\n"
"    SHAPES [ y 1 size 3 ]\n"
"	// This tells you the relative\n"
"	// sizes and positions of each\n"
"	// basic shape.\n"
"}\n"
"\n"
"shape SHAPES\n"
"{\n"
"	SQUARE []\n"
"	CIRCLE [b 0.3]\n"
"	TRIANGLE [b 0.5]\n"
"	TRIANGLE [r 60 b 0.7]\n"
"}\n"
"\n"
"shape CHAPTER2\n"
"{\n"
"    ## BASIC ADJUSTMENTS ##\n"
"    SQUARE [ ]\n"
"	// empty adjustments\n"
"	// this is the lone square in\n"
"	// chapter 2's area\n"
"\n"
"    SQUARE [ x 3 y 7 ]\n"
"	// adjust location\n"
"\n"
"	// even though adjustments\n"
"	// are written after the shape\n"
"	// they are applied before!\n"
"\n"
"    SQUARE [ x 5 y 7 rotate 30 ]\n"
"	// adjust rotation\n"
"    SQUARE [ x 3 y 5 size 0.75 ]\n"
"	// adjust size\n"
"\n"
"	// notice that rotation and size\n"
"	// are adjusted after location\n"
"\n"
"    SQUARE [ x 5 y 5\n"
"        brightness 0.5 ]\n"
"	// adjust brightness\n"
"\n"
"    SQUARE [ x 7 y 6\n"
"	// shorthands:\n"
"        r 45 // for rotate\n"
"        s 0.7 // for size\n"
"        b 0.7 // for brightness\n"
"    ]\n"
"\n"
"    FOURSQUARE [ x 5 y 1\n"
"        size 0.2 rotate 10 ]\n"
"	// adjustments are cumulative\n"
"}\n"
"shape FOURSQUARE\n"
"{\n"
"    SQUARE [ x 0 y 0 size 5  3]\n"
"    SQUARE [ x 0 y 5 size 2 4 ]\n"
"    SQUARE [ x 5 y 5 size 3 ]\n"
"    SQUARE [ x 5 y 0 size 2 ]\n"
"	// even though these are\n"
"	// at locations and sizes\n"
"	// that seem big, they have\n"
"	// all been relocated, scaled\n"
"	// and rotated when the rule\n"
"	// for CHAPTER2 used\n"
"	// FOURSQUARE\n"
"	// Two SQUAREs have been\n"
"	// have been turned into\n"
"	// rectangles\n"
"}\n"
"\n"
"shape CHAPTER3\n"
"{\n"
"    ## RECURSION ##\n"
"    SPIRAL [ x 0 y 3 ]\n"
"}\n"
"shape SPIRAL\n"
"{\n"
"    CIRCLE [ size 0.5 ]\n"
"    SPIRAL [ y 0.2\n"
"         rotate -3\n"
"         size 0.995 ]\n"
"	// a shape can use itself so\n"
"	// long as it keeps getting\n"
"	// smaller\n"
"\n"
"	// the system will stop the\n"
"	// recursion when the shapes\n"
"	// get too small to see\n"
"}\n"
"\n"
"shape CHAPTER4\n"
"{\n"
"    ## RANDOMNESS ##\n"
"    TREE [ x 1 y 0 ]\n"
"    TREE [ x 6 y 0 ]\n"
"    TREE [ x 1 y 4 ]\n"
"    TREE [ x 6 y 4 ]\n"
"	// even though these are the\n"
"	// same shape used four\n"
"	// times, each looks different\n"
"}\n"
"shape TREE\n"
"rule 20 {\n"
"	// first rule for TREE\n"
"    CIRCLE [ size 0.25 ]\n"
"    TREE [ y 0.1 size 0.97 ]\n"
"}\n"
"rule 1.5 {\n"
"	// second rule for TREE\n"
"    BRANCH [  ]\n"
"}\n"
"// When expanding a TREE, a\n"
"// rule is picked randomly.\n"
"// The first rule has been given a\n"
"// weight of 20, the second of 1.5,\n"
"// so the first will be picked\n"
"// proportionally more often\n"
"\n"
"shape BRANCH\n"
"{\n"
"    BRANCH_LEFT [ ]\n"
"    BRANCH_RIGHT [ ]\n"
"}\n"
"shape BRANCH_LEFT\n"
"rule {\n"
"    TREE [ rotate 20 ]\n"
"}\n"
"rule {\n"
"    TREE [ rotate 30 ]\n"
"}\n"
"rule {\n"
"    TREE [ rotate 40 ]\n"
"}\n"
"rule {\n"
"	// empty rules are okay\n"
"}\n"
"// If no weight is given for a rule\n"
"// the weight is 1.  Hence, the\n"
"// above four rules are picked\n"
"// equally randomly\n"
"\n"
"shape BRANCH_RIGHT\n"
"rule {\n"
"    TREE [ rotate -20 ]\n"
"}\n"
"rule {\n"
"    TREE [ rotate -30 ]\n"
"}\n"
"rule {\n"
"    TREE [ rotate -40 ]\n"
"}\n"
"rule {\n"
"	// empty rules are okay\n"
"}\n"
"\n"
"\n"
"\n"
"## Utilities ##\n"
"import i_pix.cfdg\n"
"// The \"include\" statement reads\n"
"// in all the rules from another file.\n"
"// Any \"startshape\" in the included\n"
"// file is ignored.\n"
"\n"
"shape TITLES\n"
"{\n"
"	TITLE1 [ x 0 y 8.5 ]\n"
"	TITLE2 [ x 10 y 8.5 ]\n"
"	TITLE3 [ x 0 y -1.5 ]\n"
"	TITLE4 [ x 10 y -1.5 ]\n"
"}\n"
"shape TITLE1\n"
"{\n"
"	O_5by5 [ x 0 ]\n"
"	N_5by5 [ x 1.2 ]\n"
"	E_5by5 [ x 2.4 ]\n"
"}\n"
"shape TITLE2\n"
"{\n"
"	T_5by5 [ x 0 ]\n"
"	W_5by5 [ x 1.2 ]\n"
"	O_5by5 [ x 2.4 ]\n"
"}\n"
"shape TITLE3\n"
"{\n"
"	T_5by5 [ x 0 ]\n"
"	H_5by5 [ x 1.2 ]\n"
"	R_5by5 [ x 2.4 ]\n"
"	E_5by5 [ x 3.6 ]\n"
"	E_5by5 [ x 4.8 ]\n"
"}\n"
"shape TITLE4\n"
"{\n"
"	F_5by5 [ x 0 ]\n"
"	O_5by5 [ x 1.2 ]\n"
"	U_5by5 [ x 2.4 ]\n"
"	R_5by5 [ x 3.6 ]\n"
"}\n"
 ,
"/* CFDG Lesson */\n"
"\n"
"startshape TOC\n"
"	// each grammar file must\n"
"	// have a \"startshape\"\n"
"	// statement to say which\n"
"	// shape to begin with\n"
"\n"
"rule TOC {\n"
"	// a \"rule\" statement says how\n"
"	// to compose a shape out of\n"
"	// other shapes\n"
"\n"
"    CHAPTER1 { x 0 y 0 }\n"
"    CHAPTER2 { x 10 y 0 }\n"
"    CHAPTER3 { x 0 y -10 }\n"
"    CHAPTER4 { x 10 y -10 }\n"
"	// each entry in the rule\n"
"	// names a shape to draw and\n"
"	// some \"adjustments\" in curly\n"
"	// braces\n"
"\n"
"    TITLES { }\n"
"}\n"
"\n"
"rule CHAPTER1 {\n"
"    ## BASIC SHAPES ##\n"
"    SQUARE { x 2 y 5 size 3 }\n"
"    CIRCLE { x 6 y 5 size 3 }\n"
"    TRIANGLE { x 4 y 2 size 3 }\n"
"	// these shapes are special:\n"
"	// they draw a shape into the\n"
"	// image, centered at the\n"
"	// current location\n"
"    SHAPES { y 1 size 3 }\n"
"	// This tells you the relative\n"
"	// sizes and positions of each\n"
"	// basic shape.\n"
"}\n"
"\n"
"rule SHAPES {\n"
"	SQUARE {}\n"
"	CIRCLE {b 0.3}\n"
"	TRIANGLE {b 0.5}\n"
"	TRIANGLE {r 60 b 0.7}\n"
"}\n"
"\n"
"rule CHAPTER2 {\n"
"    ## BASIC ADJUSTMENTS ##\n"
"    SQUARE { }\n"
"	// empty adjustments\n"
"	// this is the lone square in\n"
"	// chapter 2's area\n"
"\n"
"    SQUARE { x 3 y 7 }\n"
"	// adjust location\n"
"\n"
"	// even though adjustments\n"
"	// are written after the shape\n"
"	// they are applied before!\n"
"\n"
"    SQUARE { x 5 y 7 rotate 30 }\n"
"	// adjust rotation\n"
"    SQUARE { x 3 y 5 size 0.75 }\n"
"	// adjust size\n"
"\n"
"	// notice that rotation and size\n"
"	// are adjusted after location\n"
"\n"
"    SQUARE { x 5 y 5\n"
"        brightness 0.5 }\n"
"	// adjust brightness\n"
"\n"
"    SQUARE { x 7 y 6\n"
"	// shorthands:\n"
"        r 45 // for rotate\n"
"        s 0.7 // for size\n"
"        b 0.7 // for brightness\n"
"    }\n"
"\n"
"    FOURSQUARE { x 5 y 1\n"
"        size 0.2 rotate 10 }\n"
"	// adjustments are cumulative\n"
"}\n"
"rule FOURSQUARE {\n"
"    SQUARE { x 0 y 0 size 5  3}\n"
"    SQUARE { x 0 y 5 size 2 4 }\n"
"    SQUARE { x 5 y 5 size 3 }\n"
"    SQUARE { x 5 y 0 size 2 }\n"
"	// even though these are\n"
"	// at locations and sizes\n"
"	// that seem big, they have\n"
"	// all been relocated, scaled\n"
"	// and rotated when the rule\n"
"	// for CHAPTER2 used\n"
"	// FOURSQUARE\n"
"	// Two SQUAREs have been\n"
"	// have been turned into\n"
"	// rectangles\n"
"}\n"
"\n"
"rule CHAPTER3 {\n"
"    ## RECURSION ##\n"
"    SPIRAL { x 0 y 3 }\n"
"}\n"
"rule SPIRAL {\n"
"    CIRCLE { size 0.5 }\n"
"    SPIRAL { y 0.2\n"
"         rotate -3\n"
"         size 0.995 }\n"
"	// a shape can use itself so\n"
"	// long as it keeps getting\n"
"	// smaller\n"
"\n"
"	// the system will stop the\n"
"	// recursion when the shapes\n"
"	// get too small to see\n"
"}\n"
"\n"
"rule CHAPTER4 {\n"
"    ## RANDOMNESS ##\n"
"    TREE { x 1 y 0 }\n"
"    TREE { x 6 y 0 }\n"
"    TREE { x 1 y 4 }\n"
"    TREE { x 6 y 4 }\n"
"	// even though these are the\n"
"	// same shape used four\n"
"	// times, each looks different\n"
"}\n"
"rule TREE 20 {\n"
"	// first rule for TREE\n"
"    CIRCLE { size 0.25 }\n"
"    TREE { y 0.1 size 0.97 }\n"
"}\n"
"rule TREE 1.5 {\n"
"	// second rule for TREE\n"
"    BRANCH {  }\n"
"}\n"
"// When expanding a TREE, a\n"
"// rule is picked randomly.\n"
"// The first rule has been given a\n"
"// weight of 20, the second of 1.5,\n"
"// so the first will be picked\n"
"// proportionally more often\n"
"\n"
"rule BRANCH {\n"
"    BRANCH_LEFT { }\n"
"    BRANCH_RIGHT { }\n"
"}\n"
"rule BRANCH_LEFT {\n"
"    TREE { rotate 20 }\n"
"}\n"
"rule BRANCH_LEFT {\n"
"    TREE { rotate 30 }\n"
"}\n"
"rule BRANCH_LEFT {\n"
"    TREE { rotate 40 }\n"
"}\n"
"rule BRANCH_LEFT {\n"
"	// empty rules are okay\n"
"}\n"
"// If no weight is given for a rule\n"
"// the weight is 1.  Hence, the\n"
"// above four rules are picked\n"
"// equally randomly\n"
"\n"
"rule BRANCH_RIGHT {\n"
"    TREE { rotate -20 }\n"
"}\n"
"rule BRANCH_RIGHT {\n"
"    TREE { rotate -30 }\n"
"}\n"
"rule BRANCH_RIGHT {\n"
"    TREE { rotate -40 }\n"
"}\n"
"rule BRANCH_RIGHT {\n"
"	// empty rules are okay\n"
"}\n"
"\n"
"\n"
"\n"
"## Utilities ##\n"
"include i_pix.cfdg\n"
"// The \"include\" statement reads\n"
"// in all the rules from another file.\n"
"// Any \"startshape\" in the included\n"
"// file is ignored.\n"
"\n"
"rule TITLES {\n"
"	TITLE1 { x 0 y 8.5 }\n"
"	TITLE2 { x 10 y 8.5 }\n"
"	TITLE3 { x 0 y -1.5 }\n"
"	TITLE4 { x 10 y -1.5 }\n"
"}\n"
"rule TITLE1 {\n"
"	O_5by5 { x 0 }\n"
"	N_5by5 { x 1.2 }\n"
"	E_5by5 { x 2.4 }\n"
"}\n"
"rule TITLE2 {\n"
"	T_5by5 { x 0 }\n"
"	W_5by5 { x 1.2 }\n"
"	O_5by5 { x 2.4 }\n"
"}\n"
"rule TITLE3 {\n"
"	T_5by5 { x 0 }\n"
"	H_5by5 { x 1.2 }\n"
"	R_5by5 { x 2.4 }\n"
"	E_5by5 { x 3.6 }\n"
"	E_5by5 { x 4.8 }\n"
"}\n"
"rule TITLE4 {\n"
"	F_5by5 { x 0 }\n"
"	O_5by5 { x 1.2 }\n"
"	U_5by5 { x 2.4 }\n"
"	R_5by5 { x 3.6 }\n"
"}\n"
    } },
    { "mtree.cfdg", {
"startshape PLANT\n"
"\n"
"shape PLANT\n"
"{\n"
"	EITHER [x -2]\n"
"	EITHER [x 2]\n"
"}\n"
"\n"
"shape BOTH\n"
"{\n"
"	BL [rotate 30]\n"
"	BL [rotate -30 flip 90]\n"
"}\n"
"\n"
"shape EITHER\n"
"rule {BL[]}\n"
"rule {BL[flip 90]}\n"
"\n"
"shape BL\n"
"{\n"
"	CIRCLE []\n"
"	WL [size 0.95 y 1.6]\n"
"}\n"
"\n"
"shape WL\n"
"rule 10 {BL [rotate randint(3, 8)]}\n"
"rule {BOTH []}\n"
"rule {BL [rotate -10 flip 90]}\n"
"\n"
 ,
"startshape PLANT\n"
"\n"
"rule PLANT {\n"
"	EITHER {x -2}\n"
"	EITHER {x 2}\n"
"}\n"
"\n"
"rule BOTH {\n"
"	BL {rotate 30}\n"
"	BL {rotate -30 flip 90}\n"
"}\n"
"\n"
"rule EITHER {BL{}}\n"
"rule EITHER {BL{flip 90}}\n"
"\n"
"rule BL {\n"
"	CIRCLE {}\n"
"	WL {size 0.95 y 1.6}\n"
"}\n"
"\n"
"rule WL {BL {rotate 3}}\n"
"rule WL {BL {rotate 4}}\n"
"rule WL {BL {rotate 5}}\n"
"rule WL {BL {rotate 6}}\n"
"rule WL {BL {rotate 7}}\n"
"rule WL {BL {rotate 3}}\n"
"rule WL {BL {rotate 4}}\n"
"rule WL {BL {rotate 5}}\n"
"rule WL {BL {rotate 6}}\n"
"rule WL {BL {rotate 7}}\n"
"rule WL {BOTH {}}\n"
"rule WL {BL {rotate -10 flip 90}}\n"
"\n"
    } },
    { "octopi.cfdg", {
"startshape family\n"
"\n"
"shape family\n"
"{\n"
"octopus []\n"
"family [x 10 y 2 s 0.3 r -10]\n"
"family [x 0 y 10 s 0.3 r 10]\n"
"\n"
"}\n"
"\n"
"shape octopus\n"
"{\n"
"octopus_leg1 [r 90 s 0.7]\n"
"octopus_leg1 [r 100]\n"
"octopus_leg1 [r 80]\n"
"octopus_leg1 [r 110]\n"
"octopus_leg1 [r 180 s 0.7 flip 90]\n"
"octopus_leg1 [r 190 flip 90]\n"
"octopus_leg1 [r 170 flip 90]\n"
"octopus_leg1 [r 200 flip 90]\n"
"CIRCLE [s 5 x 2 y 2]\n"
"CIRCLE [s 5 x 2.5 y 2.5]\n"
"CIRCLE [s 5 x 3 y 3]\n"
"CIRCLE [b 1 x 1 y 3]\n"
"CIRCLE [b 1 x 3 y 2]\n"
"CIRCLE [s 0.7 x 1.1 y 2.9]\n"
"CIRCLE [s 0.7 x 2.9 y 1.9]\n"
"}\n"
"\n"
"shape octopus_leg1\n"
"{\n"
"unit []\n"
"octopus_leg1 [x 1 y 1 r 10 s 0.95]\n"
"octopus_leg1 [s 0.2 x 1 y 1 r 90]\n"
"}\n"
"\n"
"shape unit\n"
"{\n"
"seed []\n"
"seed [r 90]\n"
"}\n"
"\n"
"shape seed\n"
"{\n"
"CIRCLE [x -0.5]\n"
"SQUARE []\n"
"CIRCLE [x 0.5]\n"
"}\n"
 ,
"startshape family\n"
"\n"
"rule family {\n"
"octopus {}\n"
"family {x 10 y 2 s 0.3 r -10}\n"
"family {x 0 y 10 s 0.3 r 10}\n"
"\n"
"}\n"
"\n"
"rule octopus {\n"
"octopus_leg1 {r 90 s 0.7}\n"
"octopus_leg1 {r 100}\n"
"octopus_leg1 {r 80}\n"
"octopus_leg1 {r 110}\n"
"octopus_leg1 {r 180 s 0.7 flip 90}\n"
"octopus_leg1 {r 190 flip 90}\n"
"octopus_leg1 {r 170 flip 90}\n"
"octopus_leg1 {r 200 flip 90}\n"
"CIRCLE {s 5 x 2 y 2}\n"
"CIRCLE {s 5 x 2.5 y 2.5}\n"
"CIRCLE {s 5 x 3 y 3}\n"
"CIRCLE {b 1 x 1 y 3}\n"
"CIRCLE {b 1 x 3 y 2}\n"
"CIRCLE {s 0.7 x 1.1 y 2.9}\n"
"CIRCLE {s 0.7 x 2.9 y 1.9}\n"
"}\n"
"\n"
"rule octopus_leg1 {\n"
"unit {}\n"
"octopus_leg1 {x 1 y 1 r 10 s 0.95}\n"
"octopus_leg1 {s 0.2 x 1 y 1 r 90}\n"
"}\n"
"\n"
"rule unit {\n"
"seed {}\n"
"seed {r 90}\n"
"}\n"
"\n"
"rule seed {\n"
"CIRCLE {x -0.5}\n"
"SQUARE {}\n"
"CIRCLE {x 0.5}\n"
"}\n"
    } },
    { "quadcity.cfdg", {
"startshape WHOLE\n"
"\n"
"shape WHOLE\n"
"{\n"
"	QUAD [ x -0.5 y -0.5 ]\n"
"	QUAD [ x  0.5 y -0.5 ]\n"
"	QUAD [ x  0.5 y  0.5 ]\n"
"	QUAD [ x -0.5 y  0.5 ]\n"
"}\n"
"\n"
"shape QUAD\n"
"rule {\n"
"	FILLIT [ ]\n"
"}\n"
"rule 5 {\n"
"	WHOLE [ size 0.45 r 2 ]\n"
"}\n"
"rule 0.5 {\n"
"	// nothing\n"
"}\n"
"\n"
"shape FILLIT\n"
"{\n"
"	SQUARE [\n"
"		size 0.8\n"
"	]\n"
"}\n"
 ,
"startshape WHOLE\n"
"\n"
"rule WHOLE {\n"
"	QUAD { x -0.5 y -0.5 }\n"
"	QUAD { x  0.5 y -0.5 }\n"
"	QUAD { x  0.5 y  0.5 }\n"
"	QUAD { x -0.5 y  0.5 }\n"
"}\n"
"\n"
"rule QUAD {\n"
"	FILL { }\n"
"}\n"
"rule QUAD 5 {\n"
"	WHOLE { size 0.45 r 2 }\n"
"}\n"
"rule QUAD 0.5 {\n"
"	// nothing\n"
"}\n"
"\n"
"rule FILL {\n"
"	SQUARE {\n"
"		size 0.8\n"
"	}\n"
"}\n"
    } },
    { "rose.cfdg", {
"startshape plant\n"
"\n"
"shape rose1\n"
"{\n"
"   loop 4 [r 90] petal [r -15\u202615 x 0.9 s 0.9 1.8]\n"
"   rose1 [ r 14 s 0.92 hue 0.12 60  ]\n"
"}\n"
"\n"
"\n"
"shape petal\n"
"{\n"
"	CIRCLE []\n"
"	CIRCLE [ s 0.975 x -0.025 hue 0.1 60  ]\n"
"	CIRCLE [ s 0.95 x -0.05 hue 0.2 60  ]\n"
"	CIRCLE [ s 0.925 x -0.075 hue 0.3 60  ]\n"
"	CIRCLE [ s 0.90 x -0.10 hue 0.4 60  ]\n"
"}\n"
"\n"
"shape stem\n"
"{\n"
"	CIRCLE [s 2 6 r -15 y -3 x -.5]\n"
"	CIRCLE [s 2 6 r -15 y -3 x -0.35 sat -1 b 1]\n"
"	leaf [[ y -4 x -1.625 r 30 s 0.15 ]]\n"
"	leaf [[ y -4 x -1.625 flip 80 r 30 s 0.15 ]]\n"
"}\n"
"\n"
"shape plant\n"
"{\n"
"	rose1 [ b 1 sat 1]\n"
"	stem [ b 0.4 sat 1 hue 120 z -1]\n"
"}\n"
"\n"
"shape leaf\n"
"{\n"
"	loop 4 [[y 0.5 s 0.95 y 0.5 r 1]]\n"
"		SQUARE []\n"
"	finally {\n"
"		CIRCLE [[r 7 s 7.5 15 y 0.5]]\n"
"		CIRCLE [[r 7 s 7.5 15 b 0.2 y 0.5 s 0.80 0.90]]\n"
"		leaf []\n"
"	}\n"
"}\n"
 ,
"startshape plant\n"
"\n"
"rule rose1 {\n"
"   4* {r 90} petal {}\n"
"   rose1 { r 14 s 0.92 hue 0.12| }\n"
"}\n"
"\n"
"\n"
"rule petal {\n"
"   petal1 {r 15 x 0.9 s 0.9 1.8}\n"
"}\n"
"\n"
"rule petal {\n"
"   petal1 {r -15 x 0.9 s 0.9 1.8}\n"
"}\n"
"\n"
"rule petal1 {\n"
"	CIRCLE {}\n"
"	CIRCLE { s 0.975 x -0.025 hue 0.1| }\n"
"	CIRCLE { s 0.95 x -0.05 hue 0.2| }\n"
"	CIRCLE { s 0.925 x -0.075 hue 0.3| }\n"
"	CIRCLE { s 0.90 x -0.10 hue 0.4| }\n"
"}\n"
"\n"
"rule stem {\n"
"	CIRCLE {s 2 6 r -15 y -3 x -.5}\n"
"	CIRCLE {s 2 6 r -15 y -3 x -0.35 sat -1 b 1}\n"
"	leaf { r 30 y -3 x -2.2 }\n"
"	leaf { r -45 y -3.15 x -0.8  }\n"
"}\n"
"\n"
"rule leaf {\n"
"	CIRCLE [s 0.75 2 y 0.25]\n"
"	CIRCLE [s 0.75 2 b 0.2 y 0.25 s 0.80 0.90]\n"
"	TRIANGLE [y -0.25 s 0.1 3 ]\n"
"	leaf { s 0.86 y 0.25 }\n"
"}\n"
"\n"
"rule plant {\n"
"	rose1 { b 1 sat 1 |hue 60}\n"
"	stem { b 0.4 sat 1 hue 120}\n"
"}\n"
    } },
    { "sierpinski.cfdg", {
"startshape Top\n"
"\n"
"shape Top\n"
"{\n"
"	Sierpinski [ r -13.5 b 0.5 ]\n"
"}\n"
"\n"
"shape SierpinskiOrig\n"
"{\n"
"	Shape [ ]\n"
"	Sierpinski [ s 0.5 r 5\n"
"		y -1 x 0  ]\n"
"	Sierpinski [  s 0.5 r 5\n"
"		y 0.5 x -0.866025  ]\n"
"	Sierpinski [ s 0.5 r 5\n"
"		y 0.5 x 0.866025  ]\n"
"}\n"
"shape Sierpinski\n"
"{\n"
"	Shape [ ]\n"
"	Sierpinski [ s 0.6 r 5 b 0.2\n"
"		y -1.5 x 0  ]\n"
"	Sierpinski [  s 0.6 r 5 b -0.2\n"
"		y 0.75 x -1.2990375  ]\n"
"	Sierpinski [ s 0.6 r 5\n"
"		y 0.75 x 1.2990375  ]\n"
"}\n"
"\n"
"# comment out all but one of these rules for Shape:\n"
"shape Shape\n"
"{ CIRCLE [ ] }\n"
"#rule Shape { Triangle { s 0.5 } }\n"
"#rule Shape { Triangle { } }\n"
"	// this last one fills the image\n"
"\n"
"shape Triangle\n"
"{\n"
"	Arm [ r 0 ]\n"
"	Arm [ r 120 ]\n"
"	Arm [ r -120 ]\n"
"}\n"
"\n"
"shape Arm\n"
"{\n"
"	CIRCLE [ ]\n"
"	Arm [ y 0.1 s 0.9 ]\n"
"}\n"
 ,
"startshape Top\n"
"\n"
"rule Top {\n"
"	Sierpinski { r -13.5 b 0.5 }\n"
"}\n"
"\n"
"rule SierpinskiOrig {\n"
"	Shape { }\n"
"	Sierpinski { s 0.5 r 5\n"
"		y -1 x 0  }\n"
"	Sierpinski {  s 0.5 r 5\n"
"		y 0.5 x -0.866025  }\n"
"	Sierpinski { s 0.5 r 5\n"
"		y 0.5 x 0.866025  }\n"
"}\n"
"rule Sierpinski {\n"
"	Shape { }\n"
"	Sierpinski { s 0.6 r 5 b 0.2\n"
"		y -1.5 x 0  }\n"
"	Sierpinski {  s 0.6 r 5 b -0.2\n"
"		y 0.75 x -1.2990375  }\n"
"	Sierpinski { s 0.6 r 5\n"
"		y 0.75 x 1.2990375  }\n"
"}\n"
"\n"
"# comment out all but one of these rules for Shape:\n"
"rule Shape { CIRCLE { } }\n"
"#rule Shape { Triangle { s 0.5 } }\n"
"#rule Shape { Triangle { } }\n"
"	// this last one fills the image\n"
"\n"
"rule Triangle {\n"
"	Arm { r 0 }\n"
"	Arm { r 120 }\n"
"	Arm { r -120 }\n"
"}\n"
"\n"
"rule Arm {\n"
"	CIRCLE { }\n"
"	Arm { y 0.1 s 0.9 }\n"
"}\n"
    } },
    { "snowflake.cfdg", {
"startshape SPIKE\n"
"\n"
"CF::Symmetry = CF::Dihedral, 6\n"
"\n"
"shape SPIKE\n"
"rule {\n"
"	SQUARE []\n"
"	SPIKE [y 0.95 s 0.97]\n"
"}\n"
"rule 0.03 {\n"
"	SQUARE []\n"
"	SPIKE [r 60]\n"
"	SPIKE [r -60]\n"
"	SPIKE [y 0.95 s 0.97]\n"
"}\n"
 ,
"startshape SNOWFLAKE\n"
"\n"
"rule SNOWFLAKE {\n"
"	6* {r 60} SPIKE {}\n"
"}\n"
"\n"
"rule SPIKE {\n"
"	SQUARE {}\n"
"	SPIKE { y 0.95 s 0.97 }\n"
"}\n"
"rule SPIKE 0.03 {\n"
"	SQUARE {}\n"
"	SPIKE { r 60 }\n"
"	SPIKE { r -60 }\n"
"	SPIKE { y 0.95 s 0.97  }\n"
"}\n"
    } },
    { "tangle.cfdg", {
"startshape SPIKES\n"
"\n"
"shape SPIKES\n"
"{\n"
"	loop 4 [r 90] SPIKE []\n"
"}\n"
"\n"
"shape SPIKE\n"
"rule {\n"
"	LSPIKE []\n"
"}\n"
"rule {\n"
"	LSPIKE [ flip 90 ]\n"
"}\n"
"\n"
"shape LSPIKE\n"
"rule {\n"
"	SQUARE []\n"
"	LSPIKE [ y 0.98 s 0.99 r 1]\n"
"}\n"
"rule 0.01 {\n"
"	SPIKE [ r 90 ]\n"
"	SPIKE [ r -90 ]\n"
"	LSPIKE [ y 0.98 s 0.99  r 1]\n"
"}\n"
 ,
"startshape SPIKES\n"
"\n"
"rule SPIKES {\n"
"	4* {r 90} SPIKE {}\n"
"}\n"
"\n"
"rule SPIKE {\n"
"	LSPIKE {}\n"
"}\n"
"rule SPIKE {\n"
"	LSPIKE { flip 90 }\n"
"}\n"
"\n"
"rule LSPIKE {\n"
"	SQUARE {}\n"
"	LSPIKE { y 0.98 s 0.99 r 1}\n"
"}\n"
"rule LSPIKE 0.01 {\n"
"	SPIKE { r 90 }\n"
"	SPIKE { r -90 }\n"
"	LSPIKE { y 0.98 s 0.99  r 1}\n"
"}\n"
    } },
    { "triples.cfdg", {
"startshape TRIPLES\n"
"\n"
"shape TRIPLES\n"
"{\n"
"	LINES [ r 0 ]\n"
"	LINES [ r 120 ]\n"
"	LINES [ r -120 ]\n"
"}\n"
"\n"
"shape LINES\n"
"{\n"
"	UTRIANGLE [ y 0.5 ]\n"
"	LINES [ r 20 b 0.15 y 0.75 x -0.4330125  s 0.754877 ]\n"
"	LINER [ r -60 b 0.15 y 0.75 x 0.4330125  s 0.754877 ]\n"
"}\n"
"\n"
"shape LINER\n"
"{\n"
"	UTRIANGLE [ y 0.5 ]\n"
"	LINER [ r -15\u2026-6 b 0.02\n"
"		y 0.75 x 0.4330125  s 0.754877 ]\n"
"}\n"
"\n"
"// 0.754877 is the solution to\n"
"// x^2 + x^3 = 1\n"
"// this allows double backed\n"
"// triangles to exactly line up!\n"
"\n"
"\n"
"shape TESTU\n"
"{\n"
"	TESTU_background [ ]\n"
"	UTRIANGLE [ ]\n"
"	UTRIANGLE [ y 0.5 x -0.866025 b 0.5 r 60 ]\n"
"	UTRIANGLE [ y 0.5 x +0.866025 b 0.5 r 60 ]\n"
"}\n"
"shape TESTU_background\n"
"{\n"
"	CIRCLE [  b 0.5 ]\n"
"	CIRCLE  [ y -1 ]\n"
"	CIRCLE [ y -0.5 x -0.866025 ]\n"
"	CIRCLE [ y -0.5 x 0.866025 ]\n"
"	CIRCLE [ y 0.5 x -0.866025 ]\n"
"	CIRCLE [ y 0.5 x 0.866025 ]\n"
"	CIRCLE  [ y 1 ]\n"
"}\n"
"\n"
"shape UTRIANGLE\n"
"{\n"
"	transform [ r 42.5 s 0.525 ] {\n"
"		ARM [ r 0 ]\n"
"		ARM [ r 120 ]\n"
"		ARM [ r -120 ]\n"
"	}\n"
"}\n"
"\n"
"shape ARM\n"
"{\n"
"	CIRCLE [ ]\n"
"	ARM [ y 0.1 s 0.9 r 2 ]\n"
"}\n"
 ,
"startshape TRIPLES\n"
"\n"
"rule TRIPLES {\n"
"	LINES { r 0 }\n"
"	LINES { r 120 }\n"
"	LINES { r -120 }\n"
"}\n"
"\n"
"rule LINES {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINES { r 20 b 0.15 y 0.75 x -0.4330125  s 0.754877 }\n"
"	LINER { r -60 b 0.15 y 0.75 x 0.4330125  s 0.754877 }\n"
" }\n"
"rule LINER { LINER15 { } }\n"
"rule LINER { LINER12 { } }\n"
"rule LINER { LINER9 { } }\n"
"rule LINER { LINER6 { } }\n"
"rule LINER15 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER { r -15 b 0.02\n"
"		y 0.75 x 0.4330125  s 0.754877 }\n"
" }\n"
"rule LINER12 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER { r -12 b 0.02\n"
"		y 0.75 x 0.4330125  s 0.754877 }\n"
" }\n"
"rule LINER9 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER { r -9 b 0.02\n"
"		y 0.75 x 0.4330125  s 0.754877 }\n"
" }\n"
"rule LINER6 {\n"
"	UTRIANGLE { y 0.5 }\n"
"	LINER { r -6 b 0.02\n"
"		y 0.75 x 0.4330125  s 0.754877 }\n"
" }\n"
"\n"
"// 0.754877 is the solution to\n"
"// x^2 + x^3 = 1\n"
"// this allows double backed\n"
"// triangles to exactly line up!\n"
"\n"
"\n"
"rule TESTU {\n"
"	TESTU_background { }\n"
"	UTRIANGLE { }\n"
"	UTRIANGLE { y 0.5 x -0.866025 b 0.5 r 60 }\n"
"	UTRIANGLE { y 0.5 x +0.866025 b 0.5 r 60 }\n"
"}\n"
"rule TESTU_background {\n"
"	CIRCLE {  b 0.5 }\n"
"	CIRCLE  { y -1 }\n"
"	CIRCLE { y -0.5 x -0.866025 }\n"
"	CIRCLE { y -0.5 x 0.866025 }\n"
"	CIRCLE { y 0.5 x -0.866025 }\n"
"	CIRCLE { y 0.5 x 0.866025 }\n"
"	CIRCLE  { y 1 }\n"
"}\n"
"\n"
"rule UTRIANGLE {\n"
"	TRIANGLE { r 42.5 s 0.525 }\n"
"}\n"
"rule TRIANGLE{\n"
"	ARM { r 0 }\n"
"	ARM { r 120 }\n"
"	ARM { r -120 }\n"
"}\n"
"\n"
"rule ARM {\n"
"	CIRCLE { }\n"
"	ARM { y 0.1 s 0.9 r 2 }\n"
"}\n"
    } },
    { "underground.cfdg", {
"startshape MAP\n"
"\n"
"shape MAP\n"
"{\n"
"	LOGO [ ]\n"
"	ROUTE [ x 80 y 80 rotate 90 ]\n"
"}\n"
"\n"
"shape ROUTE\n"
"rule {\n"
"	LINES [ brightness 0.2 ]\n"
"}\n"
"rule {\n"
"	LINES [ brightness -0.2 ]\n"
"}\n"
"shape LINES\n"
"{\n"
"	LINE [ ]\n"
"	LINE [ rotate 180 ]\n"
"}\n"
"\n"
"shape LINE\n"
"rule 1000 {\n"
"	CIRCLE [ ]\n"
"	LINE [ y 0.1 ]\n"
"}\n"
"// turns\n"
"rule 1 { LINE [ rotate 45 ] }\n"
"rule 1 { LINE [ rotate -45 ] }\n"
"rule 1 { LINE [ rotate 90 ] }\n"
"rule 1 { LINE [ rotate -90 ] }\n"
"\n"
"// station\n"
"rule 4 {\n"
"	SQUARE [\n"
"		size 3\n"
"		rotate 45\n"
"	]\n"
"	LINE [ ]\n"
"}\n"
"\n"
"// interchange\n"
"rule 0.5 {\n"
"	LINE [ ]\n"
"	ROUTE [ rotate 90 ]\n"
"}\n"
"\n"
"// terminus\n"
"rule 1 {\n"
"	CIRCLE [ size 3 ]\n"
"	CIRCLE [ size 1\n"
"		brightness 1 ]\n"
"}\n"
"\n"
"shape LOGO\n"
"{\n"
"	CIRCLE [\n"
"		size 5\n"
"		brightness 0.5\n"
"	]\n"
"	CIRCLE [\n"
"		size 3.5\n"
"		brightness 1.0\n"
"	]\n"
"	SQUARE [ s 6 1 ]\n"
"}\n"
 ,
"startshape MAP\n"
"\n"
"rule MAP {\n"
"	LOGO { }\n"
"	ROUTE { x 80 y 80 rotate 90 }\n"
"}\n"
"\n"
"rule ROUTE {\n"
"	LINES { brightness 0.2 }\n"
"}\n"
"rule ROUTE {\n"
"	LINES { brightness -0.2 }\n"
"}\n"
"rule LINES {\n"
"	LINE { }\n"
"	LINE { rotate 180 }\n"
"}\n"
"\n"
"rule LINE 1000 {\n"
"	CIRCLE { }\n"
"	LINE { y 0.1 }\n"
"}\n"
"// turns\n"
"rule LINE 1 { LINE { rotate 45 } }\n"
"rule LINE 1 { LINE { rotate -45 } }\n"
"rule LINE 1 { LINE { rotate 90 } }\n"
"rule LINE 1 { LINE { rotate -90 } }\n"
"\n"
"// station\n"
"rule LINE 4 {\n"
"	SQUARE {\n"
"		size 3\n"
"		rotate 45\n"
"	}\n"
"	LINE { }\n"
"}\n"
"\n"
"// interchange\n"
"rule LINE 0.5 {\n"
"	LINE { }\n"
"	ROUTE { rotate 90 }\n"
"}\n"
"\n"
"// terminus\n"
"rule LINE 1 {\n"
"	CIRCLE { size 3 }\n"
"	CIRCLE { size 1\n"
"		brightness 1 }\n"
"}\n"
"\n"
"rule LOGO {\n"
"	CIRCLE {\n"
"		size 5\n"
"		brightness 0.5\n"
"	}\n"
"	CIRCLE {\n"
"		size 3.5\n"
"		brightness 1.0\n"
"	}\n"
"	SQUARE { x -2.5 }\n"
"	SQUARE { x -1.5 }\n"
"	SQUARE { x -0.5 }\n"
"	SQUARE { x  0.5 }\n"
"	SQUARE { x  1.5 }\n"
"	SQUARE { x  2.5 }\n"
"	SQUARE { x -2.0 }\n"
"	SQUARE { x -1.0 }\n"
"	SQUARE { x  0 }\n"
"	SQUARE { x  1.0 }\n"
"	SQUARE { x  2.0 }\n"
"}\n"
    } },
    { "weighting_demo.cfdg", {
"startshape SEED1\n"
"\n"
"shape SEED1\n"
"rule {\n"
" SQUARE[]\n"
" SEED1 [y 1.2 size 0.99 rotate 1.5 brightness 0.03]\n"
"}\n"
"\n"
"rule 0.05 {SEED1 [flip 90]}\n"
"\n"
"rule 0.05 {\n"
" SQUARE[]\n"
" SEED1 [y 1.2 s 0.99 r 1.5 b -0.5 flip 90]\n"
" SEED1 [y 1.2 x 1.2 s 0.6 r -60 b -0.5]\n"
" SEED1 [y 1.2 x -1.2 s 0.5 r 60 b -0.5 flip 90]\n"
"}\n"
"\n"
 ,
"startshape SEED1\n"
"\n"
"rule SEED1 {\n"
" SQUARE{}\n"
" SEED1 {y 1.2 size 0.99 rotate 1.5 brightness 0.03}\n"
"}\n"
"\n"
"rule SEED1 0.05 {SEED1 {flip 90}}\n"
"\n"
"rule SEED1 0.05 {\n"
" SQUARE{}\n"
" SEED1 {y 1.2 s 0.99 r 1.5 b -0.5 flip 90}\n"
" SEED1 {y 1.2 x 1.2 s 0.6 r -60 b -0.5}\n"
" SEED1 {y 1.2 x -1.2 s 0.5 r 60 b -0.5 flip 90}\n"
"}\n"
"\n"
    } },
    { "welcome.cfdg", {
"startshape WELCOME\n"
"\n"
"shape WELCOME\n"
"{\n"
"	MESSAGE [ hue 225 sat 0.7 b 0.6 ]\n"
"	VINEL [ sat 1 hue 120\n"
"		x 3 y -55\n"
"		r 0 b 0.5 s 10\n"
"	]\n"
"	VINEL [ flip 90\n"
"		sat 1 hue 120\n"
"		x 85 y -55\n"
"		r 0 b 0.5 s 10\n"
"	]\n"
"}\n"
"\n"
"shape MESSAGE\n"
"{\n"
"	W [ x 0 ]\n"
"	E [ x 12 ]\n"
"	L [ x 24 ]\n"
"	C [ x 34 ]\n"
"	O [ x 46 ]\n"
"	M [ x 64 ]\n"
"	E [ x 80 ]\n"
"}\n"
"\n"
"shape W\n"
"{\n"
"	LINE [ r -7 ]\n"
"	LINE [ r 7 ]\n"
"	LINE [ x 6 r -7 ]\n"
"	LINE [ x 6 r 7 ]\n"
"}\n"
"\n"
"shape E\n"
"{\n"
"	LINE [ s 0.9 ]\n"
"	LINE [ s 0.9 -1 y 24 ]\n"
"	LINE [ s 0.4 r -90 y 0 ]\n"
"	LINE [ s 0.4 r -90 y 12 ]\n"
"	LINE [ s 0.4 r -90 y 24 ]\n"
"}\n"
"\n"
"shape L\n"
"{\n"
"	LINE [ ]\n"
"	LINE [ s 0.4 x 0.4 r -90 y 0 ]\n"
"}\n"
"\n"
"shape C\n"
"{\n"
"	ARCL [ y 12 flip 90 ]\n"
"	ARCL [ y 12 r 180 ]\n"
"}\n"
"\n"
"shape O\n"
"{\n"
"	ARCL [ y 12 flip 90]\n"
"	ARCL [ y 12 r 180 ]\n"
"	ARCL [ y 12 x 14 r 180 flip 90]\n"
"	ARCL [ y 12 x 14 ]\n"
"}\n"
"\n"
"shape M\n"
"{\n"
"	LINE [ y 24 r 180 ]\n"
"	LINE [ y 24 r  -160 s 0.75 ]\n"
"	LINE [ y 24 x 12 r 160 s 0.75 ]\n"
"	LINE [ y 24 x 12 r 180 ]\n"
"}\n"
"\n"
"shape LINE\n"
"{\n"
"	TRIANGLE [[ s 1 30 y 0.26 ]]\n"
"	//MARK { }\n"
"	//LINE { size 0.98 y 0.5 }\n"
"}\n"
"\n"
"shape ARCL\n"
"{\n"
"	MARK [ ]\n"
"	ARCL [ size 0.97 y 0.55 r 1.5 ]\n"
"}\n"
"\n"
"shape MARK\n"
"{\n"
"	SQUARE [ ]\n"
"}\n"
"\n"
"\n"
"shape VINEL\n"
"{\n"
"	STEML [ ]\n"
"	STEML [ x 1 r 5 flip 0 ]\n"
"	VINEL [ x 2 size 0.9 r 10 ]\n"
"}\n"
"\n"
"shape STEML\n"
"{\n"
"	GOL [ r 20 s 0.1 ]\n"
"	END [ s 0.2 r 120 hue 150\n"
"		x 1.3 y -0.6 b -0.3]\n"
"}\n"
"shape GOL\n"
"{\n"
"	CIRCLE [ ]\n"
"	GOL [ x 0.3 r -1 s 0.985 ]\n"
"}\n"
"\n"
"\n"
"shape END\n"
"{\n"
"	CIRCLE [ x -0.5 y 0.0 s 1.0 ]\n"
"	CIRCLE [ x 0.45 y 0.6 s 0.9 ]\n"
"	CIRCLE [ x -0.4 y 1.2 s 0.8 ]\n"
"	CIRCLE [ x 0.35 y 1.8 s 0.7 ]\n"
"	CIRCLE [ x -0.3 y 2.4 s 0.6 ]\n"
"}\n"
"\n"
 ,
"startshape WELCOME\n"
"\n"
"rule WELCOME {\n"
"	MESSAGE { hue 225 sat 0.7 b 0.6 }\n"
"	VINEL { sat 1 hue 120\n"
"		x 3 y -55\n"
"		r 0 b 0.5 s 10\n"
"	}\n"
"	VINEL { flip 90\n"
"		sat 1 hue 120\n"
"		x 85 y -55\n"
"		r 0 b 0.5 s 10\n"
"	}\n"
"}\n"
"\n"
"rule MESSAGE {\n"
"	W { x 0 }\n"
"	E { x 12 }\n"
"	L { x 24 }\n"
"	C { x 34 }\n"
"	O { x 46 }\n"
"	M { x 64 }\n"
"	E { x 80 }\n"
"}\n"
"\n"
"rule W {\n"
"	LINE { r -7 }\n"
"	LINE { r 7 }\n"
"	LINE { x 6 r -7 }\n"
"	LINE { x 6 r 7 }\n"
"}\n"
"\n"
"rule E {\n"
"	LINE { }\n"
"	LINE { s 0.4 r -90 y 0 }\n"
"	LINE { s 0.4 r -90 y 12 }\n"
"	LINE { s 0.4 r -90 y 24 }\n"
"}\n"
"\n"
"rule L {\n"
"	LINE { }\n"
"	LINE { s 0.4 x 0.4 r -90 y 0 }\n"
"}\n"
"\n"
"rule C {\n"
"	ARCL { y 12 flip 90 }\n"
"	ARCL { y 12 r 180 }\n"
"}\n"
"\n"
"rule O {\n"
"	ARCL { y 12 flip 90}\n"
"	ARCL { y 12 r 180 }\n"
"	ARCL { y 12 x 14 r 180 flip 90}\n"
"	ARCL { y 12 x 14 }\n"
"}\n"
"\n"
"rule M {\n"
"	LINE { y 24 r 180 }\n"
"	LINE { y 24 r  -160 s 0.75 }\n"
"	LINE { y 24 x 12 r 160 s 0.75 }\n"
"	LINE { y 24 x 12 r 180 }\n"
"}\n"
"\n"
"rule LINE {\n"
"	TRIANGLE [ s 1 30 y 0.26 ]\n"
"	//MARK { }\n"
"	//LINE { size 0.98 y 0.5 }\n"
"}\n"
"\n"
"rule ARCL {\n"
"	MARK { }\n"
"	ARCL { size 0.97 y 0.55 r 1.5 }\n"
"}\n"
"\n"
"rule MARK {\n"
"	SQUARE { }\n"
"}\n"
"\n"
"\n"
"rule VINEL {\n"
"	STEML { }\n"
"	STEML { x 1 r 5 flip 0 }\n"
"	VINEL { x 2 size 0.9 r 10 }\n"
"}\n"
"\n"
"rule STEML {\n"
"	GOL { r 20 s 0.1 }\n"
"	END { s 0.2 r 120 hue 150\n"
"		x 1.3 y -0.6 b -0.3}\n"
"}\n"
"rule GOL {\n"
"	CIRCLE { }\n"
"	GOL { x 0.3 r -1 s 0.985 }\n"
"}\n"
"\n"
"\n"
"rule END {\n"
"	CIRCLE { x -0.5 y 0.0 s 1.0 }\n"
"	CIRCLE { x 0.45 y 0.6 s 0.9 }\n"
"	CIRCLE { x -0.4 y 1.2 s 0.8 }\n"
"	CIRCLE { x 0.35 y 1.8 s 0.7 }\n"
"	CIRCLE { x -0.3 y 2.4 s 0.6 }\n"
"}\n"
"\n"
    } },
    { "ziggy.cfdg", {
"startshape Trident\n"
"\n"
"shape Trident\n"
"{\n"
"	ZigL [ x 0 b 0.02 ]\n"
"	Zig [ ]\n"
"	ZagL [ x 0 b 0.02 flip 90]\n"
"	CIRCLE [ x 10 y 10 s 6 b 0.75 ]\n"
"	CIRCLE [ x -10 y 10 s 6 b 0.75 ]\n"
"//	CIRCLE { x 17 y 15 s 4 b 0.75 }\n"
"//	CIRCLE { x -17 y 15 s 4 b 0.75 }\n"
"}\n"
"\n"
"shape Zig\n"
"{\n"
"	Seg [ x -0.5 r -45 ]\n"
"	Zag [ y 1 s 0.97 ]\n"
"}\n"
"shape Zag\n"
"{\n"
"	Seg [ x 0.5 r 45 ]\n"
"	Zig [ y 1 s 0.97 ]\n"
"}\n"
"\n"
"shape ZigL\n"
"{\n"
"	Seg [ x -0.5 r -45 ]\n"
"	ZagL [ y 1 s 0.97 r 2 ]\n"
"}\n"
"shape ZagL\n"
"{\n"
"	Seg [ x 0.5 r 45 ]\n"
"	ZigL [ y 1 s 0.97 r 2 ]\n"
"}\n"
"\n"
"shape ZigL\n"
"rule 0.1 { Trident [ ] }\n"
"\n"
"shape Seg\n"
"{\n"
"	SQUARE [ y 0.6925 s 0.5 1.885 ]\n"
"}\n"
 ,
"startshape Trident\n"
"\n"
"rule Trident {\n"
"	ZigL { x 0 b 0.02 }\n"
"	Zig { }\n"
"	ZagL { x 0 b 0.02 flip 90}\n"
"	CIRCLE { x 10 y 10 s 6 b 0.75 }\n"
"	CIRCLE { x -10 y 10 s 6 b 0.75 }\n"
"//	CIRCLE { x 17 y 15 s 4 b 0.75 }\n"
"//	CIRCLE { x -17 y 15 s 4 b 0.75 }\n"
"}\n"
"\n"
"rule Zig {\n"
"	Seg { x -0.5 r -45 }\n"
"	Zag { y 1 s 0.97 }\n"
"}\n"
"rule Zag {\n"
"	Seg { x 0.5 r 45 }\n"
"	Zig { y 1 s 0.97 }\n"
"}\n"
"\n"
"rule ZigL {\n"
"	Seg { x -0.5 r -45 }\n"
"	ZagL { y 1 s 0.97 r 2 }\n"
"}\n"
"rule ZagL {\n"
"	Seg { x 0.5 r 45 }\n"
"	ZigL { y 1 s 0.97 r 2 }\n"
"}\n"
"\n"
"rule ZigL 0.1 { Trident { } }\n"
"\n"
"rule Seg {\n"
"	SQUARE { y 0.6925 s 0.5 1.885 }\n"
"	//SQUARE { y 0 s 0.5 }\n"
"	//SQUARE { y 0.49 s 0.5 }\n"
"	//SQUARE { y 0.92 s 0.5 }\n"
"	//SQUARE { y 1.385 s 0.5 }\n"
"}\n"
    } },
};
